export const xml = `<?xml version="1.0" ?>
<!DOCTYPE PubmedArticleSet PUBLIC "-//NLM//DTD PubMedArticle, 1st January 2019//EN" "https://dtd.nlm.nih.gov/ncbi/pubmed/out/pubmed_190101.dtd">
<PubmedArticleSet>
<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121636</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1098-8785</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>American journal of perinatology</Title>
                <ISOAbbreviation>Am J Perinatol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Development and Validation of Early Warning Criteria to Identify Escalated Care Events in Neonatal Intensive Care Unit Patients.</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.1055/s-0039-1688997</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE"> To identify and validate the diagnostic utility of a set of clinical and laboratory criteria (early warning criteria [EWC]) that portend a clinical deterioration event (escalated care event [ECE]) in neonatal intensive care unit (NICU) patients.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS"> Using the RAND appropriateness method, we first established a consensus on seven ECE, that is, events that require additional monitoring, treatment, or stay in the NICU or that were associated with morbidity. We then established consensus on EWC that could portend an ECE from an initial set of 32 potential EWC items to a final set of 10 items. The occurrence and nonoccurrence of EWC and ECE were prospectively identified and tracked over 9 weeks.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS"> Among 170 NICU patients studied (2,502 patient-days), the frequency of an EWC was 53 per 1,000 patient-days. Of these patients, 41% had an EWC and 16% had an ECE. An EWC was followed by an ECE within 72 hours, 37% of the time, and within a median time interval of 113 minutes. The sensitivity, specificity, positive predictive values, and negative predictive values of EWC in identifying an ECE were 0.96, 0.69, 0.37, and 0.99, respectively.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS"> A simple bedside NICU-specific EWC identifies neonates likely to develop ECEs in the NICU.</AbstractText>
                <CopyrightInformation>Thieme Medical Publishers 333 Seventh Avenue, New York, NY 10001, USA.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Shivananda</LastName>
                    <ForeName>Sandesh</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, University of British Columbia, Vancouver, British Columbia, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Twiss</LastName>
                    <ForeName>Jennifer</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Paterson</LastName>
                    <ForeName>Debie</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Dyck</LastName>
                    <ForeName>Gillian</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Becker</LastName>
                    <ForeName>Stephanie</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Razack</LastName>
                    <ForeName>Abdul</ForeName>
                    <Initials>A</Initials>
                    <Identifier Source="ORCID">0000-0002-6185-3694</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Gupta</LastName>
                    <ForeName>Shikha</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, McMaster Children's Hospital, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Dutta</LastName>
                    <ForeName>Sourabh</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Neonatology, Department of Pediatrics, Postgraduate Institute of Medical Education and Research, Chandigarh, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Suresh</LastName>
                    <ForeName>Gautham</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, Baylor College of Medicine, Houston, Texas.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Perinatol</MedlineTA>
            <NlmUniqueID>8405212</NlmUniqueID>
            <ISSNLinking>0735-1631</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>None declared.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121636</ArticleId>
            <ArticleId IdType="doi">10.1055/s-0039-1688997</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121633</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1098-8785</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>American journal of perinatology</Title>
                <ISOAbbreviation>Am J Perinatol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Acidemia Can Occur Despite Category I Tracing.</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.1055/s-0039-1688998</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE"> Electronic fetal monitoring (EFM) is intended to assess fetal well-being during labor. Our objective was to test the hypothesis that findings of a category I tracing at any time in the 60 minutes prior to delivery would rule out neonatal acidemia.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS"> This was a planned secondary analysis of a single-center prospective cohort study of 8,580 singleton pregnancies undergoing labor with nonanomalous infants at term. Monitoring was reviewed by obstetric research nurses at 10-minute intervals in the 60 minutes prior to delivery. The primary outcome was acidemia, defined as an umbilical cord arterial pH of 7.10 or less.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS"> Of the 4,274 patients included, 42 (0.98%) infants had acidemia at birth. Of the 42 infants with acidemia, 13 (31%) had category I tracings in the 30 minutes prior to delivery. Three (7%) infants had neonatal acidemia despite category I tracing for &gt;40 minutes in the 60 minutes prior to delivery.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS"> Even in the presence of category I tracing in the 60 minutes prior to delivery, neonatal acidemia can still occur. Periods of category I should be interpreted within the clinical context of a priori risk for acidemia, knowing that it does not completely rule out acidemia.</AbstractText>
                <CopyrightInformation>Thieme Medical Publishers 333 Seventh Avenue, New York, NY 10001, USA.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Bruno</LastName>
                    <ForeName>Ann M</ForeName>
                    <Initials>AM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>López</LastName>
                    <ForeName>Julia D</ForeName>
                    <Initials>JD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Stout</LastName>
                    <ForeName>Molly J</ForeName>
                    <Initials>MJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Tuuli</LastName>
                    <ForeName>Methodius G</ForeName>
                    <Initials>MG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Macones</LastName>
                    <ForeName>George A</ForeName>
                    <Initials>GA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Cahill</LastName>
                    <ForeName>Alison G</ForeName>
                    <Initials>AG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Washington University School of Medicine in St. Louis, St. Louis, Missouri.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Perinatol</MedlineTA>
            <NlmUniqueID>8405212</NlmUniqueID>
            <ISSNLinking>0735-1631</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>None declared.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121633</ArticleId>
            <ArticleId IdType="doi">10.1055/s-0039-1688998</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121611</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1439-4286</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Hormone and metabolic research = Hormon- und Stoffwechselforschung = Hormones et metabolisme</Title>
                <ISOAbbreviation>Horm. Metab. Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effects of Different Fasting Durations on Glucose and Lipid Metabolism in Sprague Dawley Rats.</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.1055/a-0897-2496</ELocationID>
            <Abstract>
                <AbstractText>Overnight fasting of varying length is common practice when studying glucose and lipid metabolism in rats. However, prolonged fasting may influence insulin sensitivity, and it is unknown to which extent different fasting durations affect postprandial metabolism in rats. The purpose of this study was to investigate the effect of different fasting durations (6-, 12-, or 18-h) on fat tolerance and glucose tolerance in male Sprague Dawley rats. We also aimed to examine the effect of two test fats with different fatty acid composition on postprandial triglycerides. We conducted a fat tolerance test, where butterfat or rapeseed oil was administered in a crossover design (experiment 1), and an oral glucose tolerance test (experiment 2). Regarding the fat tolerance test, we found no effects of fasting duration on triglycerides or free fatty acids, whereas the 18-h fast resulted in reduced glucose and insulin area under the curves. We did not find differential effects of butterfat and rapeseed oil on the outcomes. We found decreased fasting insulin and homeostasis model assessment of insulin resistance (HOMA-IR), and increased beta-hydroxybutyric acid concentrations after 18-h fast compared with shorter fasting durations. Regarding the oral glucose tolerance test, both 12-h and 18-h fast resulted in greater peak insulin concentrations than 6-h fast, and peak glucose concentrations were higher after 18-h than 12-h fast. We found no effects of fasting on the insulin sensitivity index. In conclusion, extending the fasting duration had an impact on glucose metabolism in rats, but did not appear to influence fat tolerance.</AbstractText>
                <CopyrightInformation>© Georg Thieme Verlag KG Stuttgart · New York.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Rakvaag</LastName>
                    <ForeName>Elin</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Endocrinology and Internal Medicine, Aarhus University Hospital, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Lund</LastName>
                    <ForeName>Majbritt Dam</ForeName>
                    <Initials>MD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Endocrinology and Internal Medicine, Aarhus University Hospital, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Wiking</LastName>
                    <ForeName>Lars</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Food Science, Aarhus University, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Hermansen</LastName>
                    <ForeName>Kjeld</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Endocrinology and Internal Medicine, Aarhus University Hospital, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y" EqualContrib="N">
                    <LastName>Gregersen</LastName>
                    <ForeName>Søren</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Endocrinology and Internal Medicine, Aarhus University Hospital, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Steno Diabetes Center Aarhus, Aarhus, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Germany</Country>
            <MedlineTA>Horm Metab Res</MedlineTA>
            <NlmUniqueID>0177722</NlmUniqueID>
            <ISSNLinking>0018-5043</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors declare that they have no conflict of interest.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121611</ArticleId>
            <ArticleId IdType="doi">10.1055/a-0897-2496</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121601</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1460-2156</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Brain : a journal of neurology</Title>
                <ISOAbbreviation>Brain</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Differentiation of mild cognitive impairment using an entorhinal cortex-based test of virtual reality navigation.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">awz116</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1093/brain/awz116</ELocationID>
            <Abstract>
                <AbstractText>The entorhinal cortex is one of the first regions to exhibit neurodegeneration in Alzheimer's disease, and as such identification of entorhinal cortex dysfunction may aid detection of the disease in its earliest stages. Extensive evidence demonstrates that the entorhinal cortex is critically implicated in navigation underpinned by the firing of spatially modulated neurons. This study tested the hypothesis that entorhinal-based navigation is impaired in pre-dementia Alzheimer's disease. Forty-five patients with mild cognitive impairment (26 with CSF Alzheimer's disease biomarker data: 12 biomarker-positive and 14 biomarker-negative) and 41 healthy control participants undertook an immersive virtual reality path integration test, as a measure of entorhinal-based navigation. Behavioural performance was correlated with MRI measures of entorhinal cortex volume, and the classification accuracy of the path integration task was compared with a battery of cognitive tests considered sensitive and specific for early Alzheimer's disease. Biomarker-positive patients exhibited larger errors in the navigation task than biomarker-negative patients, whose performance did not significantly differ from controls participants. Path-integration performance correlated with Alzheimer's disease molecular pathology, with levels of CSF amyloid-β and total tau contributing independently to distance error. Path integration errors were negatively correlated with the volumes of the total entorhinal cortex and of its posteromedial subdivision. The path integration task demonstrated higher diagnostic sensitivity and specificity for differentiating biomarker positive versus negative patients (area under the curve = 0.90) than was achieved by the best of the cognitive tests (area under the curve = 0.57). This study demonstrates that an entorhinal cortex-based virtual reality navigation task can differentiate patients with mild cognitive impairment at low and high risk of developing dementia, with classification accuracy superior to reference cognitive tests considered to be highly sensitive to early Alzheimer's disease. This study provides evidence that navigation tasks may aid early diagnosis of Alzheimer's disease, and the basis of this in animal cellular and behavioural studies provides the opportunity to answer the unmet need for translatable outcome measures for comparing treatment effect across preclinical and clinical trial phases of future anti-Alzheimer's drugs.</AbstractText>
                <CopyrightInformation>© The Author(s) (2019). Published by Oxford University Press on behalf of the Guarantors of Brain.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Howett</LastName>
                    <ForeName>David</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Neurosciences, University of Cambridge, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Castegnaro</LastName>
                    <ForeName>Andrea</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Cognitive Neuroscience, University College London, London, UK.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Electrical Engineering, University College London, London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Krzywicka</LastName>
                    <ForeName>Katarzyna</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Neurosciences, University of Cambridge, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hagman</LastName>
                    <ForeName>Johanna</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Neurosciences, University of Cambridge, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Marchment</LastName>
                    <ForeName>Deepti</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Neurosciences, University of Cambridge, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Henson</LastName>
                    <ForeName>Richard</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>MRC Cognition and Brain Sciences Unit, and Department of Psychiatry, University of Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rio</LastName>
                    <ForeName>Miguel</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Electrical Engineering, University College London, London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>King</LastName>
                    <ForeName>John A</ForeName>
                    <Initials>JA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical, Educational and Health Psychology, University College London, London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Burgess</LastName>
                    <ForeName>Neil</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Cognitive Neuroscience, University College London, London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chan</LastName>
                    <ForeName>Dennis</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Neurosciences, University of Cambridge, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Brain</MedlineTA>
            <NlmUniqueID>0372537</NlmUniqueID>
            <ISSNLinking>0006-8950</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Alzheimer’s disease</Keyword>
            <Keyword MajorTopicYN="N">entorhinal cortex</Keyword>
            <Keyword MajorTopicYN="N">mild cognitive impairment</Keyword>
            <Keyword MajorTopicYN="N">path integration</Keyword>
            <Keyword MajorTopicYN="N">virtual reality</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121601</ArticleId>
            <ArticleId IdType="pii">5497752</ArticleId>
            <ArticleId IdType="doi">10.1093/brain/awz116</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121588</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1938-2650</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Acta cytologica</Title>
                <ISOAbbreviation>Acta Cytol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Touch Imprint Cytology: A Rapid and Accurate Method for Diagnosis of Oral Cancer.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-6</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1159/000500006</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">Touch imprint cytology (TIC) is a rapid and cheap method and can be used as an adjunct to biopsy for the evaluation of suspected malignancy. We evaluated the advantages and limitations of TIC for the preoperative diagnosis of oral squamous cell carcinoma.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS">We used 280 incisional biopsies of clinically suspected oral squamous cell carcinoma and compared TIC diagnosis to histopathological sections. The sensitivity, specificity, and diagnostic accuracy of TIC were evaluated.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">A total of 201 (82.5%) cases were diagnosed as malignant, 22 (7.9%) cases were diagnosed as suspicious of malignancy, and 54 (19.3%) cases as benign/negative on TIC. The overall sensitivity of TIC was 98.2%, specificity was 89.3%, the positive-predictive value 97.3%, and the negative-predictive value was 92.6%. The accuracy of the test was 96.4%.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">TIC is an accurate, simple, rapid, and cost-effective method that aids the diagnosis of oral squamous cell carcinoma but does not replace incisional biopsy. The cytologic examination of imprints of biopsies also helps determine the adequacy of the specimen for histologic examination.</AbstractText>
                <CopyrightInformation>© 2019 S. Karger AG, Basel.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Adhya</LastName>
                    <ForeName>Amit Kumar</ForeName>
                    <Initials>AK</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology and Laboratory Medicine, All India Institute of Medical Sciences, Bhubaneswar, India, amitadhya2003@yahoo.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kar</LastName>
                    <ForeName>Madhabananda</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgical Oncology, All India Institute of Medical Sciences, Bhubaneswar, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mohanty</LastName>
                    <ForeName>Ranjan</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Hemalata Cancer Hospitals and Research Centre, Bhubaneswar, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Switzerland</Country>
            <MedlineTA>Acta Cytol</MedlineTA>
            <NlmUniqueID>0370307</NlmUniqueID>
            <ISSNLinking>0001-5547</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Accuracy</Keyword>
            <Keyword MajorTopicYN="N">Oral cancer</Keyword>
            <Keyword MajorTopicYN="N">Squamous cell carcinoma</Keyword>
            <Keyword MajorTopicYN="N">Touch imprint cytology</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>05</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>25</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121588</ArticleId>
            <ArticleId IdType="pii">000500006</ArticleId>
            <ArticleId IdType="doi">10.1159/000500006</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121585</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1422-6421</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Cells, tissues, organs</Title>
                <ISOAbbreviation>Cells Tissues Organs (Print)</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Morphometric, Densitometric, and Mechanical Properties of Maxillary Teeth in 5-Month-Old Polish Merino Sheep.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-12</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1159/000499479</ELocationID>
            <Abstract>
                <AbstractText>This study was performed to determine morphological, densitometric, mechanical, and elemental characteristics of maxillary teeth in 5-month-old Polish Merino sheep. The total tooth volume (Tvol) was determined using quantitative computed tomography. Micro-computed tomography was used to determine the total enamel volume (Evol), volumetric enamel mineral density, total dentine volume (Dvol), volumetric dentine mineral density, and total tooth enamel and dentine volume (EDvol). Compression testing was used to determine the ultimate force of teeth. Microhardness of enamel and dentine was evaluated using Vicker's test. Elemental analysis of enamel and dentine was performed using a scanning electron microscopy technique. Tooth weight, length, Tvol, Evol, Dvol, and EDvol increased consequently from the lowest values for p2, then for p3 and p4, to the highest values obtained for M1 (all p &lt; 0.05). Ultimate force reached the lowest value for p2 compared with the other teeth (p &lt; 0.05). The comparison of left and right teeth did not reveal significant differences for all the evaluated parameters (p &gt; 0.05). Volumetric mineral density, calcium and phosphorus content, and microhardness were higher in enamel than in dentine, while the opposite results were obtained for magnesium and oxygen (all p &lt; 0.05). Significantly higher enamel microhardness was found in mandibular i1 compared with maxillary and mandibular premolars (p &lt; 0.05). The elaborated experimental model of the determination of maxillary deciduous teeth traits may serve for further studies on the effects of physiological, pathological, environmental, nutritional, pharmacological, and toxicological factors affecting tooth development and mineralized tissue properties.</AbstractText>
                <CopyrightInformation>© 2019 S. Karger AG, Basel.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Szabelska</LastName>
                    <ForeName>Anna</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Prosthetic Dentistry, Medical University in Lublin, Lublin, Poland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tatara</LastName>
                    <ForeName>Marcin R</ForeName>
                    <Initials>MR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Animal Physiology, Faculty of Veterinary Medicine, University of Life Sciences in Lublin, Lublin, Poland, matatar99@gazeta.pl.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>II Department of Radiology, Medical University in Lublin, Lublin, Poland, matatar99@gazeta.pl.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Krupski</LastName>
                    <ForeName>Witold</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>II Department of Radiology, Medical University in Lublin, Lublin, Poland.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Switzerland</Country>
            <MedlineTA>Cells Tissues Organs</MedlineTA>
            <NlmUniqueID>100883360</NlmUniqueID>
            <ISSNLinking>1422-6405</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Densitometry</Keyword>
            <Keyword MajorTopicYN="N">Maxilla</Keyword>
            <Keyword MajorTopicYN="N">Microhardness</Keyword>
            <Keyword MajorTopicYN="N">Sheep</Keyword>
            <Keyword MajorTopicYN="N">Teeth</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>05</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121585</ArticleId>
            <ArticleId IdType="pii">000499479</ArticleId>
            <ArticleId IdType="doi">10.1159/000499479</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121558</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1476-5616</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>171</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Public health</Title>
                <ISOAbbreviation>Public Health</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Exploring childhood immunization among undocumented migrants in Sweden - following qualitative study and the World Health Organizations Guide to Tailoring Immunization Programmes (TIP).</ArticleTitle>
            <Pagination>
                <MedlinePgn>97-105</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0033-3506(19)30116-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.puhe.2019.04.008</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">National vaccination coverage in Sweden is high. Recurrent outbreaks of measles and rubella however highlight some immunity gaps in the population. Current knowledge about immunization status of undocumented migrant children is scant. The World Health Organization/Europe has developed the Guide to Tailoring Immunization Programmes (TIP) to assist countries in diagnosing barriers and motivators to vaccination in communities with low vaccination coverage. Based on the TIP guide, the objective of this study was to explore determinants to vaccination among undocumented immigrants, using qualitative approach.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS">The study consisted of three steps: (i) an initial workshop for problem statement; (ii) qualitative research for increased understanding of the vaccination practices of children in the undocumented community; and (iii) a second workshop to incorporate the qualitative interview findings together with data from key stakeholders into a conceptual framework.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">This was a qualitative study featuring interviews of seven undocumented parents recruited at non-governmental clinics, three nurses at Child Health Centers, and information from key stakeholders retrieved at workshops as part of the TIP process.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">The content analysis revealed two main themes: parental fear of being questioned and parental acceptance of child immunization. Undocumented parents had a positive view and attitude toward childhood immunization but expressed strong fear of being asked for identification papers at healthcare facilities. Owing to lack of knowledge on entitlements of the undocumented among health personnel, parents were incorrectly rejected when seeking care for their children. Frequent mobility among undocumented may limit access to complete the immunization schedule. Undocumented parents mistrust healthcare providers and avoid health facilities, further delaying childrens' access to health care, including immunization services.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">The findings of this study confirm the complexity of barriers that undocumented parents face regarding childhood immunization. The TIP guide offers a valuable process for a deeper understanding of the determinants of immunization challenges among undocumented migrants.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier Ltd.. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Godoy-Ramirez</LastName>
                    <ForeName>K</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>The Public Health Agency of Sweden, Department of Communicable Disease Control and Health Protection, Folkhälsomyndigheten, SE-171 82, Solna, Sweden. Electronic address: karina.godoy@folkhalsomyndigheten.se.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Byström</LastName>
                    <ForeName>E</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>The Public Health Agency of Sweden, Department of Communicable Disease Control and Health Protection, Folkhälsomyndigheten, SE-171 82, Solna, Sweden. Electronic address: emma.bystrom@folkhalsomyndigheten.se.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lindstrand</LastName>
                    <ForeName>A</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>World Health Organization, Department of Immunization, Vaccines and Biologicals, 1202 Geneva, Switzerland. Electronic address: lindstranda@who.int.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Butler</LastName>
                    <ForeName>R</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>United Nations Children's Fund, Programme Division, 10017 New York, USA. Electronic address: rbutler@unicef.org.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ascher</LastName>
                    <ForeName>H</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Gothenburg, Department of Public Health and Community Medicine, PO Box 453, SE-405 30, Göteborg, Sweden; Angered Hospital, Department of Research and Development, PO Box 63, SE-424 22, Angered, Sweden. Electronic address: henry.ascher@gu.se.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kulane</LastName>
                    <ForeName>A</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Karolinska Institutet, Department of Public Health Sciences, SE-171 77, Stockholm, Sweden. Electronic address: Asli.Kulane@ki.se.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Public Health</MedlineTA>
            <NlmUniqueID>0376507</NlmUniqueID>
            <ISSNLinking>0033-3506</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Childhood vaccination</Keyword>
            <Keyword MajorTopicYN="N">Children</Keyword>
            <Keyword MajorTopicYN="N">Hard-to-reach</Keyword>
            <Keyword MajorTopicYN="N">Migrant</Keyword>
            <Keyword MajorTopicYN="N">Tailoring immunization programmes</Keyword>
            <Keyword MajorTopicYN="N">Undocumented</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121558</ArticleId>
            <ArticleId IdType="pii">S0033-3506(19)30116-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.puhe.2019.04.008</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121553</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1090-2414</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>180</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Ecotoxicology and environmental safety</Title>
                <ISOAbbreviation>Ecotoxicol. Environ. Saf.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Chronic toxicity of treated and untreated aqueous solutions containing imidazole-based ionic liquids and their oxydized by-products.</ArticleTitle>
            <Pagination>
                <MedlinePgn>466-472</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0147-6513(19)30589-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ecoenv.2019.05.048</ELocationID>
            <Abstract>
                <AbstractText>In the present work, an experimental study is presented aimed at assessing the chronic toxicity of three imidazole-based ionic liquids, i.e. imidazole (IM), 1-methylimidazole (1MIM), 1-ethyl-3-methyl-imidazolium chloride (1E3MIM), and 1-butyl-3-methyl-imidazolium chloride (1B3MIM), generally considered as environmentally friendly surrogates of traditional industrial solvents. In this study Daphnia magna was used as test organism due to its wide application in the ecotoxicological literature of ionic liquids, monitoring both the cumulative survival of exposed organisms, and their reproductive parameters. The intracellular oxidative stress of daphnids was also assessed through the determination of Reactive Oxygen Species (ROS) and Catalase activity (CAT). The chronic toxicity of their oxidized by-products (BPs), generated by advanced oxidation treatment with UV<sub>254</sub>/H<sub>2</sub>O<sub>2</sub>, was finally evaluated. Four generations of BPs were considered, each formed at reaction times higher than those required for the complete removal of the parent compounds. Results indicate that IM and 1MIM have a moderate chronic toxicity, which mainly affects reproductive parameters. On the contrary, 1E3MIM and 1B3MIM showed significantly higher chronic toxicity effects resulting in a significant increase in the mortality of exposed organisms compared to the controls. UV/H<sub>2</sub>O<sub>2</sub> treatment of the compounds did not always reduce the observed effects, since the generated BPs have, in some cases, higher chronic toxicity than their corresponding parent compounds. Chronic toxic effects remained significant up to the fourth generation of BPs in the cases of 1E3MIM and 1B3MIM, whereas they were found to be negligible from the second generation of BPs in the case of IM and 1MIM. The results of oxidative stress measurements confirmed the previous findings, suggesting a potential risk for the aquatic ecosystem induced by the mentioned compounds and their BPs.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>A</LastName>
                    <ForeName>Siciliano</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Biologia, Universitá degli studi di Napoli Federico II, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>D</LastName>
                    <ForeName>Russo</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Chemical Engineering and Biotechnology Department, University of Cambridge, UK. Electronic address: danilo.russo3@unina.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>D</LastName>
                    <ForeName>Spasiano</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Ingegneria Civile, Ambientale, Edile, del Territorio e di Chimica, Politecnico di Bari, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>R</LastName>
                    <ForeName>Marotta</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Ingegneria Chimica e dei Materiali, Universitá degli studi di Napoli Federico II, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>M</LastName>
                    <ForeName>Race</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Ingegneria Civile e Meccanica, Universitá deli studi di Cassino e del Lazio Meridionale, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>M</LastName>
                    <ForeName>Fabbricino</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Ingegneria Civile, Edile e Ambientale, Universitá degli studi di Napoli Federico II, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>E</LastName>
                    <ForeName>Galdiero</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Biologia, Universitá degli studi di Napoli Federico II, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>M</LastName>
                    <ForeName>Guida</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dipartimento di Biologia, Universitá degli studi di Napoli Federico II, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Ecotoxicol Environ Saf</MedlineTA>
            <NlmUniqueID>7805381</NlmUniqueID>
            <ISSNLinking>0147-6513</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Advanced oxidation processes</Keyword>
            <Keyword MajorTopicYN="N">By-products</Keyword>
            <Keyword MajorTopicYN="N">Chronic toxicity</Keyword>
            <Keyword MajorTopicYN="N">Daphnia magna</Keyword>
            <Keyword MajorTopicYN="N">Imidazole-based ionic liquids</Keyword>
            <Keyword MajorTopicYN="N">Oxidative stress</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121553</ArticleId>
            <ArticleId IdType="pii">S0147-6513(19)30589-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ecoenv.2019.05.048</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121545</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-2219</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>71</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>14</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Gait &amp; posture</Title>
                <ISOAbbreviation>Gait Posture</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Stop-signal reaction time correlates with a compensatory balance response.</ArticleTitle>
            <Pagination>
                <MedlinePgn>273-278</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0966-6362(18)31758-2</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.gaitpost.2019.05.015</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Response inhibition involves suppressing automatic, but unwanted action, which allows for behavioral flexibility. This capacity could theoretically contribute to fall prevention, especially in the cluttered environments we face daily. Although much has been learned from cognitive psychology regarding response inhibition, it is unclear if such findings translate to the intensified challenge of coordinating balance recovery reactions.</AbstractText>
                <AbstractText Label="RESEARCH QUESTION" NlmCategory="OBJECTIVE">Is the ability to stop a prepotent response preserved when comparing performance on a standard test of response inhibition versus a reactive balance test where compensatory steps must be occasionally suppressed?</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">Twelve young adults completed a stop signal task and reactive balance test separately. The stop signal task evaluates an individual's ability to quickly suppress a visually-cued button press upon hearing a 'stop' tone, and provides a measure of the speed of response inhibition called the Stop Signal Reaction Time (SSRT). Reactive balance was tested by releasing participants from a supported lean position, in situations where the environment was changed during visual occlusion. Upon receiving vision, participants were required to either step to regain balance following cable release (70% of trials), or suppress a step if an obstacle was present (30% of trials). The early muscle response of the stepping leg was compared between the 'step blocked' and 'step allowed' trials to quantify step suppression.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">SSRT was correlated with muscle activation of the stepping leg when sufficient time was provided to view the response environment (400 ms). Individuals with faster SSRTs exhibited comparably less leg muscle activity when a step was blocked, signifying a superior ability to inhibit an unwanted step.</AbstractText>
                <AbstractText Label="SIGNIFICANCE" NlmCategory="CONCLUSIONS">Performance on a standardized test of response inhibition is related to performance on a reactive balance test where automated stepping responses must occasionally be inhibited. This highlights a generalizable neural mechanism for stopping action across different behavioral contexts.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Rydalch</LastName>
                    <ForeName>G</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biology, Utah State University, United States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bell</LastName>
                    <ForeName>H B</ForeName>
                    <Initials>HB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biology, Utah State University, United States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ruddy</LastName>
                    <ForeName>K L</ForeName>
                    <Initials>KL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Neural Control of Movement Lab, ETH, Zürich, Switzerland; Institute of Neuroscience, Trinity College Dublin, Ireland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bolton</LastName>
                    <ForeName>D A E</ForeName>
                    <Initials>DAE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Kinesiology &amp; Health Science, Utah State University, 7000 Old Main Hill, Logan, UT 84322-7000, United States. Electronic address: dave.bolton@usu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Gait Posture</MedlineTA>
            <NlmUniqueID>9416830</NlmUniqueID>
            <ISSNLinking>0966-6362</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Balance</Keyword>
            <Keyword MajorTopicYN="N">Executive function</Keyword>
            <Keyword MajorTopicYN="N">Posture</Keyword>
            <Keyword MajorTopicYN="N">Response inhibition</Keyword>
            <Keyword MajorTopicYN="N">Stop Signal task</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121545</ArticleId>
            <ArticleId IdType="pii">S0966-6362(18)31758-2</ArticleId>
            <ArticleId IdType="doi">10.1016/j.gaitpost.2019.05.015</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121543</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-6424</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>251</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>06</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Environmental pollution (Barking, Essex : 1987)</Title>
                <ISOAbbreviation>Environ. Pollut.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Heterogeneous photo-Fenton degradation of formaldehyde using MIL-100(Fe) under visible light irradiation.</ArticleTitle>
            <Pagination>
                <MedlinePgn>783-791</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0269-7491(18)34446-4</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.envpol.2019.04.143</ELocationID>
            <Abstract>
                <AbstractText>Removal of toxic formaldehyde from environmental waters is crucial to maintain ecosystem sustainability and human health. In this work, MIL-100(Fe) as a heterogeneous Fenton-like photocatalyst was used for the treatment of formaldehyde-contaminated water. The MIL-100(Fe) was synthesized via a facile solvothermal method and fully characterized using different spectroscopic and microscopic techniques. Based on the results, the formation of highly porous, crystalline, and stable visible light-responsive MIL-100(Fe) was confirmed. The Fenton-like photocatalytic efficiency of the MIL-100(Fe) toward the degradation of formaldehyde was then studied under visible light irradiation. For this purpose, the effect of initial concentration of formaldehyde, photocatalyst dose, H<sub>2</sub>O<sub>2</sub> concentration, solution pH, and contact time on the removal efficiency of the MIL-100(Fe) was investigated using central composite design. The obtained results showed that the removal efficiency of the MIL-100(Fe) is significantly affected by the initial concentration of formaldehyde. A second-order model with R<sup>2</sup> = 0.93 was developed for the system that was able to adequately predict the percentage removal of formaldehyde by the MIL-100(Fe) under different experimental conditions. According to the numerical optimization results, by using 1.13 g L<sup>-1</sup> photocatalyst and 0.055 mol L<sup>-1</sup> H<sub>2</sub>O<sub>2</sub>, 93% of formaldehyde can be removed after 119 min from an aqueous solution containing 700 mg L<sup>-1</sup> of formaldehyde at pH 6.54.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Mohammadifard</LastName>
                    <ForeName>Zahra</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Nanochemical Engineering Department, Faculty of Advanced Technologies, Shiraz University, Shiraz, Iran.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Saboori</LastName>
                    <ForeName>Rahmatallah</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Nanotechnology Research Institute, Shiraz University, Shiraz, Iran.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mirbagheri</LastName>
                    <ForeName>Naghmeh Sadat</ForeName>
                    <Initials>NS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Nanochemical Engineering Department, Faculty of Advanced Technologies, Shiraz University, Shiraz, Iran.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sabbaghi</LastName>
                    <ForeName>Samad</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Nanochemical Engineering Department, Faculty of Advanced Technologies, Shiraz University, Shiraz, Iran. Electronic address: sabbaghi@shirazu.ac.ir.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>06</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Environ Pollut</MedlineTA>
            <NlmUniqueID>8804476</NlmUniqueID>
            <ISSNLinking>0269-7491</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Design-expert software</Keyword>
            <Keyword MajorTopicYN="N">Formaldehyde</Keyword>
            <Keyword MajorTopicYN="N">MIL-100(Fe)</Keyword>
            <Keyword MajorTopicYN="N">Photo-fenton processes</Keyword>
            <Keyword MajorTopicYN="N">Wastewater treatment</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121543</ArticleId>
            <ArticleId IdType="pii">S0269-7491(18)34446-4</ArticleId>
            <ArticleId IdType="doi">10.1016/j.envpol.2019.04.143</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121524</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">2213-1582</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>23</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>04</Day>
                    </PubDate>
                </JournalIssue>
                <Title>NeuroImage. Clinical</Title>
                <ISOAbbreviation>Neuroimage Clin</ISOAbbreviation>
            </Journal>
            <ArticleTitle/>
            <Pagination>
                <MedlinePgn>101854</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S2213-1582(19)30204-9</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.nicl.2019.101854</ELocationID>
            <Abstract>
                <AbstractText>Despite the traditional view of Schizophrenia (SZ) and Bipolar disorder (BD) as separate diagnostic categories, the validity of such a categorical approach is challenging. In recent years, the hypothesis of a continuum between Schizophrenia (SZ) and Bipolar disorder (BD), postulating a common pathophysiologic mechanism, has been proposed. Although appealing, this unifying hypothesis may be too simplistic when looking at cognitive and affective differences these patients display. In this paper, we aim to test an expanded version of the continuum hypothesis according to which the continuum extends over three clusters: the psychotic, the cognitive, and the affective. We applied an innovative approach known as Source-based Morphometry (SBM) to the structural images of 46 individuals diagnosed with SZ, 46 with BD and 66 healthy controls (HC). We also analyzed the psychological profiles of the three groups using cognitive, affective, and clinical tests. At a neural level, we found evidence for a shared psychotic core in a distributed network involving portions of the medial parietal and temporo-occipital areas, as well as parts of the cerebellum and the middle frontal gyrus. We also found evidence of a cognitive core more compromised in SZ, including alterations in a fronto-parietal circuit, and mild evidence of an affective core more compromised in BD, including portions of the temporal and occipital lobes, cerebellum, and frontal gyrus. Such differences were confirmed by the psychological profiles, with SZ patients more impaired in cognitive tests, while BD in affective ones. On the bases of these results we put forward an expanded view of the continuum hypothesis, according to which a common psychotic core exists between SZ and BD patients complemented by two separate cognitive and affective cores that are both impaired in the two patients' groups, although to different degrees.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Sorella</LastName>
                    <ForeName>Sara</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Cognitive Science (DiPSCo), University of Trento, Rovereto, Italy. Electronic address: sara.sorella@unitn.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lapomarda</LastName>
                    <ForeName>Gaia</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Cognitive Science (DiPSCo), University of Trento, Rovereto, Italy. Electronic address: gaia.lapomarda@unitn.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Messina</LastName>
                    <ForeName>Irene</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Universitas Mercatorum, Roma, Italy. Electronic address: irene.messina@unimercatorum.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Frederickson</LastName>
                    <ForeName>Jon Julius</ForeName>
                    <Initials>JJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Washington School of Psychiatry, Washington, DC, United States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Siugzdaite</LastName>
                    <ForeName>Roma</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Experimental Psychology, Faculty of Psychological and Pedagogical Sciences, Ghent University, Ghent, Belgium. Electronic address: Roma.Siugzdaite@ugent.be.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Job</LastName>
                    <ForeName>Remo</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Cognitive Science (DiPSCo), University of Trento, Rovereto, Italy. Electronic address: remo.job@unitn.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Grecucci</LastName>
                    <ForeName>Alessandro</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Cognitive Science (DiPSCo), University of Trento, Rovereto, Italy. Electronic address: alessandro.grecucci@unitn.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>fre</Language>
            <PublicationTypeList>
                <PublicationType UI="D004740">English Abstract</PublicationType>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <VernacularTitle>Testing the expanded continuum hypothesis of schizophrenia and bipolar disorder. Neural and psychological evidence for shared and distinct mechanisms.</VernacularTitle>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>04</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Neuroimage Clin</MedlineTA>
            <NlmUniqueID>101597070</NlmUniqueID>
            <ISSNLinking>2213-1582</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Bipolar disorder</Keyword>
            <Keyword MajorTopicYN="N">Continuum hypothesis</Keyword>
            <Keyword MajorTopicYN="N">Psychosis</Keyword>
            <Keyword MajorTopicYN="N">Schizophrenia</Keyword>
            <Keyword MajorTopicYN="N">Source-based morphometry</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121524</ArticleId>
            <ArticleId IdType="pii">S2213-1582(19)30204-9</ArticleId>
            <ArticleId IdType="doi">10.1016/j.nicl.2019.101854</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121514</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1525-5069</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>96</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Epilepsy &amp; behavior : E&amp;B</Title>
                <ISOAbbreviation>Epilepsy Behav</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Evaluating the mediating role of executive functions for antiepileptic drugs' effects on IQ in children and adolescents with epilepsy.</ArticleTitle>
            <Pagination>
                <MedlinePgn>98-103</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S1525-5050(19)30071-X</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.yebeh.2019.04.003</ELocationID>
            <Abstract>
                <AbstractText>Several studies suggest that antiepileptic drug (AED) treatment may permanently or reversibly affect intelligence (intelligence quotient [IQ]) in children and adolescents with epilepsy. Since AED treatment preferentially affects attention and executive functions, we evaluated the potentially mediating effect of executive functions in regard to the adverse effects of drug treatment on intelligence. In a retrospective observational study, 178 children and adolescents with refractory and mostly localization-related epilepsies were evaluated in regard to the interrelation of IQ (Wechsler Intelligence Scale for Children [WISC III] short-form), executive functions (EpiTrack-Junior®, a cognitive AED screening test), and drug treatment (drug load). The results indicate that a low IQ was evident in 23%, impaired executive functions in 59% of the patients. Executive functions correlated to IQ (r = 0.60) and the symbol digits and picture arrangement subtests (R<sup>2</sup> = 0.46) in particular. Odds ratios for impaired executive functions compared to being off drug (33% impaired) increased from 2.0 with one drug (53% impaired) to 9.5 (83% impaired) with at least three drugs. A mediation analysis revealed that drug dependent differences in executive functions mediate the negative effect of the AED load on intelligence. Hence, executive functions appear to link adverse cognitive side effects of AED treatment to intelligence. Considering Catell's two factor model of intelligence, AEDs preferentially affect the aspects of fluid intelligence. The overall impact of AED on intelligence appears mild. It may become relevant, however, when drug-induced impairments persist over longer time intervals during sensitive developmental phases. This issue needs to be addressed in future longitudinal studies.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Helmstaedter</LastName>
                    <ForeName>Christoph</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epileptology, University of Bonn Medical Center, Bonn, Germany. Electronic address: C.Helmstaedter@uni-bonn.de.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Witt</LastName>
                    <ForeName>Juri-Alexander</ForeName>
                    <Initials>JA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epileptology, University of Bonn Medical Center, Bonn, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hoppe</LastName>
                    <ForeName>Christian</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epileptology, University of Bonn Medical Center, Bonn, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Epilepsy Behav</MedlineTA>
            <NlmUniqueID>100892858</NlmUniqueID>
            <ISSNLinking>1525-5050</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Antiepileptic drugs</Keyword>
            <Keyword MajorTopicYN="N">Children</Keyword>
            <Keyword MajorTopicYN="N">Drug load</Keyword>
            <Keyword MajorTopicYN="N">Epilepsy</Keyword>
            <Keyword MajorTopicYN="N">Executive functions</Keyword>
            <Keyword MajorTopicYN="N">Intelligence</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121514</ArticleId>
            <ArticleId IdType="pii">S1525-5050(19)30071-X</ArticleId>
            <ArticleId IdType="doi">10.1016/j.yebeh.2019.04.003</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121489</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Print">1936-5233</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>12</Volume>
                    <Issue>7</Issue>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Translational oncology</Title>
                <ISOAbbreviation>Transl Oncol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Monitoring Progression of Ductal Carcinoma In Situ Using Photoacoustics and Contrast-Enhanced Ultrasound.</ArticleTitle>
            <Pagination>
                <MedlinePgn>973-980</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S1936-5233(19)30187-1</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.tranon.2019.04.018</ELocationID>
            <Abstract>
                <AbstractText>Breast cancer is the leading form of cancer in women, accounting for approximately 41,400 deaths in 2018. While a variety of risk factors have been identified, physical exercise has been linked to reducing both the risk and aggressiveness of breast cancer. Within breast cancer, ductal carcinoma in situ (DCIS) is a common finding. However, less than 25% of DCIS tumors actually progress into invasive breast cancer, resulting in overtreatment. This overtreatment is due to a lack of predictive precursors to assess aggressiveness and development of DCIS. We hypothesize that tissue oxygenation and perfusion measured by photoacoustic and contrast-enhanced ultrasound imaging, respectively, can predict DCIS aggressiveness. To test this, 20 FVB/NJ and 20 SV40Tag mice that genetically develop DCIS-like breast cancers were divided evenly into exercise and control groups and imaged over the course of 6 weeks. Tissue oxygenation was a predictive precursor to invasive breast cancer for FVB/NJ mice (P = 0.015) in the early stages of tumor development. Meanwhile, perfusion results were inconclusive (P &gt; 0.2) as a marker for disease progression. Moreover, voluntary physical exercise resulted in lower weekly tumor growth and significantly improved median survival (P = 0.014).</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Margolis</LastName>
                    <ForeName>Ryan</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wessner</LastName>
                    <ForeName>Corinne</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Stanczak</LastName>
                    <ForeName>Maria</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Liu</LastName>
                    <ForeName>Ji-Bin</ForeName>
                    <Initials>JB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Jingzhi</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nam</LastName>
                    <ForeName>Kibo</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Forsberg</LastName>
                    <ForeName>Flemming</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Eisenbrey</LastName>
                    <ForeName>John R</ForeName>
                    <Initials>JR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Thomas Jefferson University, Philadelphia, PA 19107, USA. Electronic address: john.eisenbrey@jefferson.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Transl Oncol</MedlineTA>
            <NlmUniqueID>101472619</NlmUniqueID>
            <ISSNLinking>1936-5233</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121489</ArticleId>
            <ArticleId IdType="pii">S1936-5233(19)30187-1</ArticleId>
            <ArticleId IdType="doi">10.1016/j.tranon.2019.04.018</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121481</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1095-8673</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>242</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>The Journal of surgical research</Title>
                <ISOAbbreviation>J. Surg. Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>A Cadaver-Based Course for Humanitarian Surgery Improves Manual Skill in Powerless External Fixation.</ArticleTitle>
            <Pagination>
                <MedlinePgn>270-275</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0022-4804(19)30266-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jss.2019.04.061</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">General surgery residents interested in humanitarian careers may benefit from supplemental training beyond modern residency. The Colorado Humanitarian Surgical Skills Workshop is a 2-d cadaver-based course for senior surgical residents, teaching low-resource skills across multiple specialties, including orthopedics. We assessed the course's ability to transmit manual competence in a critical humanitarian surgical skill, powerless lower extremity external fixation.</AbstractText>
                <AbstractText Label="MATERIALS AND METHODS" NlmCategory="METHODS">We created a novel standardized manual skills test of powerless lower extremity external fixation. Course participants had no prior experience with this technique. At course initiation, paired participants attempted to stabilize a proximal tibia-fibula fracture in a cadaver. Subsequently, participants received didactics from orthopedic surgeons followed by hands-on practice. At course completion, paired participants repeated the exercise. Fixator constructs were scored using standardized criteria. Precourse and postcourse surveys measured participants' level of confidence in performing external fixation.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Twelve senior surgical residents were included. Average scores of external fixator constructs improved significantly (23% pre versus 75% post, P &lt; 0.01). On pretesting, none of the participants completed the exercise within 15 min. Only one of six constructs was marginally stable, and none were aligned. On post-testing, five of six teams completed the exercise in an average of 12.4 min. Four of six constructs were stable and two of six were also well aligned. Confidence with external fixation also improved significantly.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Participants in a short cadaver-based workshop demonstrated significant improvements in manual skill and confidence related to powerless external fixation. However, additional training is likely required to achieve clinical competence.</AbstractText>
                <CopyrightInformation>Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Coleman</LastName>
                    <ForeName>Julia R</ForeName>
                    <Initials>JR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgery, University of Colorado-Denver, Aurora, Colorado. Electronic address: julia.coleman@ucdenver.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lin</LastName>
                    <ForeName>Yihan</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgery, University of Colorado-Denver, Aurora, Colorado.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Shaw</LastName>
                    <ForeName>Brian</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Orthopedic Surgery, University of Colorado-Denver, Aurora, Colorado.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kuwayama</LastName>
                    <ForeName>David</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Section of Vascular Surgery, Dartmouth-Hitchcock Medical Center, Lebanon, New Hampshire.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Surg Res</MedlineTA>
            <NlmUniqueID>0376340</NlmUniqueID>
            <ISSNLinking>0022-4804</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">External fixation</Keyword>
            <Keyword MajorTopicYN="N">Global surgery</Keyword>
            <Keyword MajorTopicYN="N">Manual skills testing</Keyword>
            <Keyword MajorTopicYN="N">Surgical education</Keyword>
            <Keyword MajorTopicYN="N">Workshop</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>01</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121481</ArticleId>
            <ArticleId IdType="pii">S0022-4804(19)30266-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jss.2019.04.061</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121480</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1878-9307</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>38</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>14</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Developmental cognitive neuroscience</Title>
                <ISOAbbreviation>Dev Cogn Neurosci</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Chronic trauma impairs the neural basis of empathy in mothers: Relations to parenting and children's empathic abilities.</ArticleTitle>
            <Pagination>
                <MedlinePgn>100658</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S1878-9293(18)30219-6</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.dcn.2019.100658</ELocationID>
            <Abstract>
                <AbstractText>Early life stress carries long-term negative consequences for children's well-being and maturation of the social brain. Here, we utilize a unique cohort to test its effects on mothers' social brain, targeting mothers' neural empathic response in relation to caregiving and child empathic abilities. Mother-child dyads living in a zone of repeated war-related trauma were followed from early childhood and mother-child behavioral synchrony was repeatedly observed. At pre-adolescence(11-13 years) children's empathic abilities were assessed and mothers(N = 88, N = 44 war-exposed) underwent magnetoencephalography(MEG) while exposed to vicarious pain. All mothers showed alpha suppression in sensorimotor regions, indicating automatic response to others' pain. However, trauma-exposed mothers did not exhibit gamma oscillations in viceromotor cortex, a neural marker of mature empathy which utilizes interoceptive mechanisms for higher-order understanding and does not emerge before adulthood. Mother-child synchrony across the first decade predicted mothers' viceromotor gamma, and both synchrony and maternal viceromotor gamma mediated the relations between war-exposure and child empathic abilities, possibly charting a cross-generational pathway from mothers' mature neural empathy to children's empathic capacities. Our findings are first to probe the maternal social brain in adolescence in relation to parenting and underscore the need for targeted interventions to mothers raising children in contexts of chronic stress.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier Ltd.. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Levy</LastName>
                    <ForeName>Jonathan</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Interdisciplinary Center, Herzliya, 46150, Israel. Electronic address: yoniilevy@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yirmiya</LastName>
                    <ForeName>Karen</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Interdisciplinary Center, Herzliya, 46150, Israel; Department of Psychology and the Gonda Brain Center, Bar-Ilan University, Ramat Gan, 5290002, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Goldstein</LastName>
                    <ForeName>Abraham</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and the Gonda Brain Center, Bar-Ilan University, Ramat Gan, 5290002, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Feldman</LastName>
                    <ForeName>Ruth</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Interdisciplinary Center, Herzliya, 46150, Israel; Yale University, Child Study Center, New Haven, CT, 06520, USA. Electronic address: feldman.ruth@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Dev Cogn Neurosci</MedlineTA>
            <NlmUniqueID>101541838</NlmUniqueID>
            <ISSNLinking>1878-9293</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Empathy</Keyword>
            <Keyword MajorTopicYN="N">Gamma oscillations</Keyword>
            <Keyword MajorTopicYN="N">Longitudinal studies</Keyword>
            <Keyword MajorTopicYN="N">Magnetoencephalography</Keyword>
            <Keyword MajorTopicYN="N">Mother-child synchrony</Keyword>
            <Keyword MajorTopicYN="N">Trauma</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121480</ArticleId>
            <ArticleId IdType="pii">S1878-9293(18)30219-6</ArticleId>
            <ArticleId IdType="doi">10.1016/j.dcn.2019.100658</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121478</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Print">2162-2531</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>16</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>02</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Molecular therapy. Nucleic acids</Title>
                <ISOAbbreviation>Mol Ther Nucleic Acids</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Aminoglycoside Enhances the Delivery of Antisense Morpholino Oligonucleotides In Vitro and in mdx Mice.</ArticleTitle>
            <Pagination>
                <MedlinePgn>663-674</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S2162-2531(19)30096-4</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.omtn.2019.04.023</ELocationID>
            <Abstract>
                <AbstractText>Antisense oligonucleotide (AO) therapy has been the specific treatment for Duchenne muscular dystrophy, with ongoing clinical trials. However, therapeutic applications of AOs remain limited, particularly because of the lack of efficient cellular delivery methods imperative for achieving efficacy. In this study, we investigated a few aminoglycosides (AGs) for their potential to improve the delivery of antisense phosphorodiamidate morpholino oligomer (PMO) both in vitro and in vivo. AGs had lower cytotoxicity compared with Endoporter, the currently most effective delivery reagent for PMO in vitro, and improved efficiency in PMO delivery 9- to 15-fold over PMO alone. Significant enhancement in systemic PMO-targeted dystrophin exon 23 skipping was observed in mdx mice, up to a 6-fold increase with AG3 (kanamycin) and AG7 (sisomicin) compared with PMO only. No muscle damage could be detected clearly with the test dosages. These results establish AGs as PMO delivery-enhancing agents for treating muscular dystrophy or other diseases.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Author(s). Published by Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Wang</LastName>
                    <ForeName>Mingxing</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>McColl-Lockwood Laboratory for Muscular Dystrophy Research, Department of Neurology, Cannon Research Center, Carolinas Medical Center, 1000 Blythe Blvd., Charlotte, NC 28203, USA. Electronic address: mingxing.wang@atriumhealth.org.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wu</LastName>
                    <ForeName>Bo</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>McColl-Lockwood Laboratory for Muscular Dystrophy Research, Department of Neurology, Cannon Research Center, Carolinas Medical Center, 1000 Blythe Blvd., Charlotte, NC 28203, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Shah</LastName>
                    <ForeName>Sapana N</ForeName>
                    <Initials>SN</Initials>
                    <AffiliationInfo>
                        <Affiliation>McColl-Lockwood Laboratory for Muscular Dystrophy Research, Department of Neurology, Cannon Research Center, Carolinas Medical Center, 1000 Blythe Blvd., Charlotte, NC 28203, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lu</LastName>
                    <ForeName>Peijuan</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>McColl-Lockwood Laboratory for Muscular Dystrophy Research, Department of Neurology, Cannon Research Center, Carolinas Medical Center, 1000 Blythe Blvd., Charlotte, NC 28203, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lu</LastName>
                    <ForeName>Qilong</ForeName>
                    <Initials>Q</Initials>
                    <AffiliationInfo>
                        <Affiliation>McColl-Lockwood Laboratory for Muscular Dystrophy Research, Department of Neurology, Cannon Research Center, Carolinas Medical Center, 1000 Blythe Blvd., Charlotte, NC 28203, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Mol Ther Nucleic Acids</MedlineTA>
            <NlmUniqueID>101581621</NlmUniqueID>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">PMO</Keyword>
            <Keyword MajorTopicYN="N">aminoglycoside</Keyword>
            <Keyword MajorTopicYN="N">antisense delivery</Keyword>
            <Keyword MajorTopicYN="N">exon skipping</Keyword>
            <Keyword MajorTopicYN="N">muscular dystrophy</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121478</ArticleId>
            <ArticleId IdType="pii">S2162-2531(19)30096-4</ArticleId>
            <ArticleId IdType="doi">10.1016/j.omtn.2019.04.023</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121476</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-801X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>61</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>08</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of fluency disorders</Title>
                <ISOAbbreviation>J Fluency Disord</ISOAbbreviation>
            </Journal>
            <ArticleTitle>A three-arm randomized controlled trial of Lidcombe Program and Westmead Program early stuttering interventions.</ArticleTitle>
            <Pagination>
                <MedlinePgn>105708</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0094-730X(19)30009-9</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jfludis.2019.105708</ELocationID>
            <Abstract>
                <AbstractText Label="PURPOSE" NlmCategory="OBJECTIVE">To compare two experimental Westmead Program treatments with a control Lidcombe Program treatment for early stuttering.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">The design was a three-arm randomized controlled trial with blinded outcome assessments 9 months post-randomization. Participants were 91 pre-school children.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">There was no evidence of difference in percentage syllables stuttered at 9 months among groups. Dropout rates were substantive and may have been connected with novel aspects of the trial design: the use of community clinicians, no exclusion criteria, and randomization of children younger than 3 years of age.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">The substantive dropout rate for all three arms in this trial means that any conclusions about the 9-month stuttering outcomes must be regarded as tentative. However, continued development of the Westmead Program is warranted, and we are currently constructing an internet version.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Trajkovski</LastName>
                    <ForeName>Natasha</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Natasha.Trajkovski@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>O'Brian</LastName>
                    <ForeName>Sue</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Susan.Obrian@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Onslow</LastName>
                    <ForeName>Mark</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Mark.Onslow@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Packman</LastName>
                    <ForeName>Ann</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Ann.Packman@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lowe</LastName>
                    <ForeName>Robyn</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Robyn.Lowe@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Menzies</LastName>
                    <ForeName>Ross</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Australian Stuttering Research Centre, Faculty of Health Science, The University of Sydney, NSW, Australia. Electronic address: Ross.Menzies@uts.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jones</LastName>
                    <ForeName>Mark</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Public Health, The University of Queensland, QLD, Australia. Electronic address: majones@bond.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Reilly</LastName>
                    <ForeName>Sheena</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Menzies Health Institute Queensland, Griffith University, QLD, Australia; Murdoch Childrens Research Institute, Melbourne, Australia. Electronic address: s.reilly@griffith.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Fluency Disord</MedlineTA>
            <NlmUniqueID>7601744</NlmUniqueID>
            <ISSNLinking>0094-730X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Pre-school</Keyword>
            <Keyword MajorTopicYN="N">Stuttering</Keyword>
            <Keyword MajorTopicYN="N">Treatment</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121476</ArticleId>
            <ArticleId IdType="pii">S0094-730X(19)30009-9</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jfludis.2019.105708</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121455</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-264X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>173</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>Apr</Month>
                        <Day>13</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of pharmaceutical and biomedical analysis</Title>
                <ISOAbbreviation>J Pharm Biomed Anal</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Measurement of ultra-trace level of intact oxytocin in plasma using SALLE combined with nano-LC-MS.</ArticleTitle>
            <Pagination>
                <MedlinePgn>62-67</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0731-7085(18)32753-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jpba.2019.04.023</ELocationID>
            <Abstract>
                <AbstractText>Measurement of peptides such as oxytocin in plasma is a critical challenge in clinical research because of their extreme low concentrations as well as the tremendous interferencing substances co-presented in plasma. In this study, we developed an efficient salt-out assisted liquid-liquid extraction (SALLE) to treat plasma, and then analyzed the samples using nano-LC-MS to quantify intact oxytocin (OT) in human and rat plasmas. Our results showed that the use of SALLE (Isopropanol/K<sub>2</sub>HPO<sub>4</sub> (4 M)) allows efficient removal of various disrupters, including proteins, inorganic salts, and lipids, which helps avoid the risk of blocked capillary columns and matrix effects. Moreover, instant SALLE can reduce the possible binding between OT and proteins, thus allowing high repeatability of OT extraction from the original plasma. This combination of SALLE and nano-LC-MS method provided in the end a 1 pg/m L of detection limit. Comparative analysis showed that the concentration of OT in the plasma taken from 12 volunteers ranged from 3 to 214 pg/m L, about one order less than those in the plasma of rats. Compared to the previously reported LC-MS and immunoassay methods, the combination of SALLE and nano-LC-MS permits reliable measurement of intact OT even in human plasma. Our approach may be an alternative method for quantitative determination of other ultra-trace peptides in plasma, which would help the investigators understand the role of peptides in behaviours and diseases.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Liu</LastName>
                    <ForeName>Dan</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Separation Sciences for Analytical Chemistry, Dalian Institute of Chemical Physics, Chinese Academy of Sciences, 457 Zhongshan Road, Dalian, 116023, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Han</LastName>
                    <ForeName>Xiaoli</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Separation Sciences for Analytical Chemistry, Dalian Institute of Chemical Physics, Chinese Academy of Sciences, 457 Zhongshan Road, Dalian, 116023, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Liu</LastName>
                    <ForeName>Xinxin</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Separation Sciences for Analytical Chemistry, Dalian Institute of Chemical Physics, Chinese Academy of Sciences, 457 Zhongshan Road, Dalian, 116023, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cheng</LastName>
                    <ForeName>Mengchun</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Separation Sciences for Analytical Chemistry, Dalian Institute of Chemical Physics, Chinese Academy of Sciences, 457 Zhongshan Road, Dalian, 116023, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>He</LastName>
                    <ForeName>Meixi</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Key Laboratory of Structure-Based Drug Design ＆ Discovery of Ministry of Education, Shenyang Pharmaceutical University, Shenyang, 110016, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rainer</LastName>
                    <ForeName>Gregor</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine, University of Fribourg, Chemin de Musee 5, Fribourg, CH-1700, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gao</LastName>
                    <ForeName>Huiyuan</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Key Laboratory of Structure-Based Drug Design ＆ Discovery of Ministry of Education, Shenyang Pharmaceutical University, Shenyang, 110016, China. Electronic address: sypugaohy@163.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Xiaozhe</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Separation Sciences for Analytical Chemistry, Dalian Institute of Chemical Physics, Chinese Academy of Sciences, 457 Zhongshan Road, Dalian, 116023, China. Electronic address: zhangxz@dicp.ac.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>13</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>J Pharm Biomed Anal</MedlineTA>
            <NlmUniqueID>8309336</NlmUniqueID>
            <ISSNLinking>0731-7085</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Nano-LC–MS</Keyword>
            <Keyword MajorTopicYN="N">Oxytocin</Keyword>
            <Keyword MajorTopicYN="N">Plasma</Keyword>
            <Keyword MajorTopicYN="N">SALLE</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121455</ArticleId>
            <ArticleId IdType="pii">S0731-7085(18)32753-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jpba.2019.04.023</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121440</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-5347</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>232</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>14</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Social science &amp; medicine (1982)</Title>
                <ISOAbbreviation>Soc Sci Med</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Measuring perceived mistreatment across diverse social groups: An evaluation of the Everyday Discrimination Scale.</ArticleTitle>
            <Pagination>
                <MedlinePgn>298-306</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0277-9536(19)30276-X</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.socscimed.2019.05.011</ELocationID>
            <Abstract>
                <AbstractText Label="RATIONALE" NlmCategory="BACKGROUND">Research assessing the health-related consequences of perceived discrimination depends upon high quality measures of perceived discrimination. The Everyday Discrimination Scale (EDS) is among the most frequently used instruments to assess perceptions of discrimination in general, as well as specific types of discrimination (e.g., based on race/ethnicity or age). While numerous studies attest to its validity and reliability for racial/ethnic minority groups, no existing study has examined its psychometric equivalence across gender, age, or socio-economic groups. This study fills this gap.</AbstractText>
                <AbstractText Label="HYPOTHESIS" NlmCategory="OBJECTIVE">We hypothesize that because social hierarchies of race/ethnicity, age, gender and class have different histories and are differently organized and institutionalized in contemporary United States, racial/ethnic, age, gender, and education-based groups differ in the types of discrimination they experience and perceive. As a result, the EDS may not be equivalent across these social groups.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">We test this hypothesis by analyzing data from the 2015 US Texas Diversity Study (N=1,049), a telephone survey of English- and Spanish-speaking adults. We examine two forms of the EDS - one focusing on discrimination regardless of attribution and one focusing specifically on discrimination attributed to respondents' race/ethnicity.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Multi-group confirmatory factor analyses revealed that neither version of the scale generates estimates of discrimination that can be meaningfully compared across all racial/ethnic, age, gender, and education-based groups.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Our results urge caution when drawing comparisons of perceived discrimination across diverse social groups based on the EDS and point to avenues for future scale development.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Harnois</LastName>
                    <ForeName>Catherine E</ForeName>
                    <Initials>CE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Sociology, Wake Forest University, Winston-Salem, NC, USA. Electronic address: harnoice@wfu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bastos</LastName>
                    <ForeName>João L</ForeName>
                    <Initials>JL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Public Health, Federal University of Santa Catarina, Florianópolis, SC, Brazil.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Campbell</LastName>
                    <ForeName>Mary E</ForeName>
                    <Initials>ME</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Sociology, Texas A&amp;M University, College Station, TX, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Keith</LastName>
                    <ForeName>Verna M</ForeName>
                    <Initials>VM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Sociology, University of Alabama at Birmingham, Birmingham, AL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Soc Sci Med</MedlineTA>
            <NlmUniqueID>8303205</NlmUniqueID>
            <ISSNLinking>0277-9536</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Age</Keyword>
            <Keyword MajorTopicYN="N">Bias</Keyword>
            <Keyword MajorTopicYN="N">Gender</Keyword>
            <Keyword MajorTopicYN="N">Psychometrics</Keyword>
            <Keyword MajorTopicYN="N">Racism</Keyword>
            <Keyword MajorTopicYN="N">Social Discrimination</Keyword>
            <Keyword MajorTopicYN="N">Socio-economic Status</Keyword>
            <Keyword MajorTopicYN="N">United States.</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>05</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>25</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121440</ArticleId>
            <ArticleId IdType="pii">S0277-9536(19)30276-X</ArticleId>
            <ArticleId IdType="doi">10.1016/j.socscimed.2019.05.011</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121439</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-5347</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>232</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>10</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Social science &amp; medicine (1982)</Title>
                <ISOAbbreviation>Soc Sci Med</ISOAbbreviation>
            </Journal>
            <ArticleTitle>A reproductive justice approach to understanding women's experiences with HPV and cervical cancer prevention.</ArticleTitle>
            <Pagination>
                <MedlinePgn>289-297</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0277-9536(19)30274-6</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.socscimed.2019.05.010</ELocationID>
            <Abstract>
                <AbstractText>Cervical cancer is a preventable disease. HPV infection has been linked to more than 90% of cervical cancers. A vaccine to prevent the acquisition of HPV has been available since 2006. The purpose of this study was to investigate women's perceptions of cervical cancer prevention, including HPV vaccination. A reproductive justice framework guided data collection and analysis. In 2016, researchers conducted 70 in-depth, semi-structured qualitative interviews with women aged 19-78 years in South Carolina. A purposive sampling approach was employed to maximize requisite variety based on social, economic, and environmental axes of inequality. Participants self-identified as white (53%), African American (33%), and Hispanic (9%). Data analysis included an inductive constant comparative method to identify patterns and themes across the interviews. Misinformation about the prevalence and risk of HPV and cervical cancer led to &quot;othering&quot; of women with HPV-related diagnoses based on the flawed assumption of not being at risk. Participants described a lack of knowledge about the effectiveness and safety of the HPV vaccine. Social norms influenced participants' perceptions of HPV vaccination and cervical cancer, including concerns about sexual activity and intergenerational communication. Participants' social construction of identity, including race/ethnicity, socioeconomic position, ability, age, gender, sexual orientation, and immigration status, impacted their perceptions of cervical cancer screening and the HPV vaccine. In particular, participants believed that the HPV vaccine was &quot;only for girls&quot; and identified gender norms that limited uptake. Participants described barriers to accessing health care and cervical cancer screening, including cost, health insurance, and life changes (e.g., pregnancy, relocating). Many participants experienced an abnormal Papanicolaou test and described follow-up care, including biopsies and treatment for cervical dysplasia. Findings from this study offer insight into women's identity and perceptions of cervical cancer prevention. Results provide practical recommendations to increase women's agency in the development of successful public health interventions.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Sundstrom</LastName>
                    <ForeName>Beth</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Communication, College of Charleston, Charleston, SC, USA. Electronic address: BLS@cofc.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Smith</LastName>
                    <ForeName>Ellie</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>College of Public Health and Human Sciences, Oregon State University, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Delay</LastName>
                    <ForeName>Cara</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of History, College of Charleston, Charleston, SC, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Luque</LastName>
                    <ForeName>John S</ForeName>
                    <Initials>JS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Public Health, Florida A&amp;M University, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Davila</LastName>
                    <ForeName>Caroline</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Public Health Sciences, Medical University of South Carolina, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Feder</LastName>
                    <ForeName>Bailey</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Communication, College of Charleston, Charleston, SC, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Paddock</LastName>
                    <ForeName>Vincenza</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Communication, College of Charleston, Charleston, SC, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Poudrier</LastName>
                    <ForeName>Jessie</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Communication, College of Charleston, Charleston, SC, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pierce</LastName>
                    <ForeName>Jennifer Young</ForeName>
                    <Initials>JY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Mitchell Cancer Institute, University of South Alabama, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Brandt</LastName>
                    <ForeName>Heather M</ForeName>
                    <Initials>HM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Arnold School of Public Health, University of South Carolina, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>10</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Soc Sci Med</MedlineTA>
            <NlmUniqueID>8303205</NlmUniqueID>
            <ISSNLinking>0277-9536</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Cervical cancer</Keyword>
            <Keyword MajorTopicYN="N">HPV</Keyword>
            <Keyword MajorTopicYN="N">Qualitative methodology</Keyword>
            <Keyword MajorTopicYN="N">Reproductive justice</Keyword>
            <Keyword MajorTopicYN="N">United States</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2017</Year>
                <Month>10</Month>
                <Day>05</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121439</ArticleId>
            <ArticleId IdType="pii">S0277-9536(19)30274-6</ArticleId>
            <ArticleId IdType="doi">10.1016/j.socscimed.2019.05.010</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121421</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-2782</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>116</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>04</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Neural networks : the official journal of the International Neural Network Society</Title>
                <ISOAbbreviation>Neural Netw</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Multivariate LSTM-FCNs for time series classification.</ArticleTitle>
            <Pagination>
                <MedlinePgn>237-245</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0893-6080(19)30120-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.neunet.2019.04.014</ELocationID>
            <Abstract>
                <AbstractText>Over the past decade, multivariate time series classification has received great attention. We propose transforming the existing univariate time series classification models, the Long Short Term Memory Fully Convolutional Network (LSTM-FCN) and Attention LSTM-FCN (ALSTM-FCN), into a multivariate time series classification model by augmenting the fully convolutional block with a squeeze-and-excitation block to further improve accuracy. Our proposed models outperform most state-of-the-art models while requiring minimum preprocessing. The proposed models work efficiently on various complex multivariate time series classification tasks such as activity recognition or action recognition. Furthermore, the proposed models are highly efficient at test time and small enough to deploy on memory constrained systems.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Karim</LastName>
                    <ForeName>Fazle</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Mechanical and Industrial Engineering, University of Illinois at Chicago, 900 W. Taylor St., Chicago, IL, 60607, USA. Electronic address: karim1@uic.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Majumdar</LastName>
                    <ForeName>Somshubra</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Computer Science, University of Illinois at Chicago, 900 W. Taylor St., Chicago, IL, 60607, USA. Electronic address: smajum6@uic.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Darabi</LastName>
                    <ForeName>Houshang</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Mechanical and Industrial Engineering, University of Illinois at Chicago, 900 W. Taylor St., Chicago, IL, 60607, USA. Electronic address: hdarabi@uic.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harford</LastName>
                    <ForeName>Samuel</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Mechanical and Industrial Engineering, University of Illinois at Chicago, 900 W. Taylor St., Chicago, IL, 60607, USA. Electronic address: sharfo2@uic.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>04</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Neural Netw</MedlineTA>
            <NlmUniqueID>8805018</NlmUniqueID>
            <ISSNLinking>0893-6080</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Convolutional neural network</Keyword>
            <Keyword MajorTopicYN="N">Long short term memory</Keyword>
            <Keyword MajorTopicYN="N">Multivariate time series classification</Keyword>
            <Keyword MajorTopicYN="N">Recurrent neural network</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>08</Month>
                <Day>21</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121421</ArticleId>
            <ArticleId IdType="pii">S0893-6080(19)30120-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.neunet.2019.04.014</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121407</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-2448</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>159</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>01</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Water research</Title>
                <ISOAbbreviation>Water Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effect of microbial activity and microbial community structure on the formation of dissolved organic nitrogen (DON) and bioavailable DON driven by low temperatures.</ArticleTitle>
            <Pagination>
                <MedlinePgn>397-405</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0043-1354(19)30366-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.watres.2019.04.049</ELocationID>
            <Abstract>
                <AbstractText>Dissolved organic nitrogen (DON) formed by microbial metabolism in wastewater treatment processes adversely impacts wastewater reuse and receiving waters quality, and microbial metabolism is greatly influenced by temperatures. However, little is known about the effect of microorganisms on DON and bioavailable DON (ABDON) formation under low temperatures. In this study, six reactors were operated at low (8 °C and 15 °C) and room (25 °C) temperatures to evaluate the relationship between microbial activity, microbial communities, and DON and ABDON. Results showed that DON and ABDON concentrations significantly increased at low temperatures (p &lt; 0.05, t-test). DON formation was significantly correlated to microbial activity only, with adenosine triphosphate (negative, r = -0.64) and polysaccharide (positive, r = 0.61) as key indicators; however, ABDON formation was influenced by both microbial activity (polysaccharide &gt; triphenyltetrazolium chloride-dehydrogenases &gt; adenosine triphosphate) and microbial community structure. Short-term tests using the biomass from six reactors were performed at room temperature to further validate the relationship. The distinct differences between these results provide a basis for different strategies on reducing effluent DON and ABDON under low temperatures.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Liao</LastName>
                    <ForeName>Kewei</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>State Key Laboratory of Pollution Control and Resource Reuse, School of the Environment, Nanjing University, Nanjing, 210023, Jiangsu, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hu</LastName>
                    <ForeName>Haidong</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>State Key Laboratory of Pollution Control and Resource Reuse, School of the Environment, Nanjing University, Nanjing, 210023, Jiangsu, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ma</LastName>
                    <ForeName>Sijia</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>State Key Laboratory of Pollution Control and Resource Reuse, School of the Environment, Nanjing University, Nanjing, 210023, Jiangsu, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ren</LastName>
                    <ForeName>Hongqiang</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>State Key Laboratory of Pollution Control and Resource Reuse, School of the Environment, Nanjing University, Nanjing, 210023, Jiangsu, PR China. Electronic address: hqren@nju.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>01</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Water Res</MedlineTA>
            <NlmUniqueID>0105072</NlmUniqueID>
            <ISSNLinking>0043-1354</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Dissolved organic nitrogen (DON)</Keyword>
            <Keyword MajorTopicYN="N">Microbial activity</Keyword>
            <Keyword MajorTopicYN="N">Microbial communities</Keyword>
            <Keyword MajorTopicYN="N">Temperature</Keyword>
            <Keyword MajorTopicYN="N">Wastewater treatment</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>26</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121407</ArticleId>
            <ArticleId IdType="pii">S0043-1354(19)30366-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.watres.2019.04.049</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121394</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-1379</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>115</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>Apr</Month>
                        <Day>17</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of psychiatric research</Title>
                <ISOAbbreviation>J Psychiatr Res</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Beneficial effects of Silexan on sleep are mediated by its anxiolytic effect.</ArticleTitle>
            <Pagination>
                <MedlinePgn>69-74</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0022-3956(18)31099-9</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jpsychires.2019.04.013</ELocationID>
            <Abstract>
                <AbstractText>Disturbed sleep is among the most prevalent hyperarousal symptoms in anxiety disorders. Most drugs recommended for anxiety and insomnia have a sedating effect which is related to their beneficial effect on disturbed sleep. Silexan is a proprietary essential oil from Lavandula angustifolia. This drug has significant anxiolytic and sleep improving properties. Interestingly, these effects are not associated with sedation. Here we asked whether the positive effects on sleep are due to primary pharmacodynamic or secondary, disease related effects. We used the data from a double-blind, randomized study in which 212 patients were analyzed for efficacy after ten weeks' treatment with 80 mg/day Silexan or placebo. Anxiety and disturbed sleep were assessed using the Hamilton Anxiety Scale (HAMA) and the Pittsburgh Sleep Quality Index (PSQI), respectively. Regression-based mediation analysis was employed to estimate direct treatment effects and indirect effects mediated by anxiety control separately for each study group. Sobel's test was used to investigate the extent to which the mediator (HAMA change) contributes to the total effect of the independent variable (treatment) on the dependent variable (PSQI change). Compared to placebo, Silexan significantly reduced the total scores of the HAMA (p &lt; 0.001) and of the PSQI (p = 0.002) after ten weeks, with clinically meaningful treatment group differences that were observed already after two and six weeks for HAMA and PSQI, respectively. Silexan had a statistically meaningful indirect effect on sleep (mediated by the effect on anxiety; p &lt; 0.001) but no appreciable direct effect (p = 0.958). The ratio between the indirect and the total effect was determined to be 0.984, i. e., 98.4% of the total effect of Silexan on disturbed sleep were explained by the effect of Silexan on the symptoms of anxiety whereas 1.6% were attributable to a direct effect. The results indicate that Silexan exerts a secondary sleep improving effect almost exclusively through its anxiolytic action rather than by sedation. Findings are consistent with the drug's assumed mechanism of action.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Seifritz</LastName>
                    <ForeName>Erich</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, Psychotherapy and Psychosomatics, Psychiatric Hospital, University of Zurich Lenggstrasse, 31/PO-Box 1931, 8032, Zürich, Switzerland. Electronic address: erich.seifritz@bli.uzh.ch.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Schläfke</LastName>
                    <ForeName>Sandra</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dr. Willmar Schwabe GmbH &amp; Co. KG, Willmar-Schwabe-Straße 4, 76227, Karlsruhe, Germany. Electronic address: Sandra.Schlaefke@schwabe.de.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Holsboer-Trachsler</LastName>
                    <ForeName>Edith</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Basel, Psychiatric Clinics (UPK), Center for Affective, Stress and Sleep Disorders, Wilhelm Klein-Strasse 27, 4002, Basel, Switzerland. Electronic address: edith.holsboer@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>17</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>J Psychiatr Res</MedlineTA>
            <NlmUniqueID>0376331</NlmUniqueID>
            <ISSNLinking>0022-3956</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Anxiety</Keyword>
            <Keyword MajorTopicYN="N">Efficacy</Keyword>
            <Keyword MajorTopicYN="N">Lavender oil</Keyword>
            <Keyword MajorTopicYN="N">Mediation analysis</Keyword>
            <Keyword MajorTopicYN="N">Silexan</Keyword>
            <Keyword MajorTopicYN="N">Sleep</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121394</ArticleId>
            <ArticleId IdType="pii">S0022-3956(18)31099-9</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jpsychires.2019.04.013</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121388</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1573-2517</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>255</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>13</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of affective disorders</Title>
                <ISOAbbreviation>J Affect Disord</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Novel susceptibility genes were found in a targeted sequencing of stroke patients with or without depression in the Chinese Han population.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-9</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0165-0327(19)30602-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jad.2019.05.023</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Both stroke and depression are multi-factorial diseases, with both genetic and environmental factors likely to participate in their pathogenesis. Post stroke depression (PSD) is a common complication after stroke leading to poor functional outcome, increased physical disability and mortality. Although several genes have been associated with PSD, the genetic basis of PSD remains poorly understood.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">A 2-stage candidate gene study by targeted sequencing was conducted involving stroke patients with or without depression and health controls. In the discovery stage (121 PSD, 131 non-PSD and 639 HC), logistic regression was used to test associations respectively in PSD and non-PSD groups. In the replication stage (200 PSD, 218 non-PSD and 983 HC), 54 selected SNPs were again genotyped in an independent cohort. Fixed-effects inverse variance-weighted meta-analysis was used in the combined samples.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">The study identified 2 novel genes associated with PSD [HTR3D (rs55674402, p = 0.002512, odds ratio (OR) = 0.7431); NEUROG3 (rs144643855, p = 0.00325, OR = 0.6523)] and 3 risk SNPs in one risk gene associated with non-PSD [PIK3C2B (rs17406271, p = 0.0006801, OR = 1.446; rs2271419, p = 0.0005836, OR = 1.497; rs2271420, p = 0.001031, OR = 1.431)] in the Chinese sample. NEUROG3 shows highest expression level in hippocampus. Functional enrichment analysis shows that susceptibility genes for PSD are mostly enriched in chemical synaptic transmission and regulation of lipid synthetic process.</AbstractText>
                <AbstractText Label="LIMITATIONS" NlmCategory="CONCLUSIONS">The sample size was not sufficient to reach a genome-wide p value level. To overcome this shortage, some unique strategies were applied during the selection of SNPs for replication. Secondly, the age, gender composition and depressive severity between two stages were not well-matched. Different sample sources should be blamed, and to minimizing the influence, gender was corrected as co-variant in logistic regression.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">This study identified that HTR3D and NEUROG3 were linked with the susceptibility of PSD and PIK3C2B with stroke in the Chinese Han population. Further replication of these findings in a larger and better matched sample is warranted. Functional analysis suggests that the pathogenesis of PSD may be implicated in 5-HT synaptic transmission, neural plasticity and lipid metabolism, and therapeutic interventions targeting these pathways may be effective approaches for PSD treatment.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fuying</LastName>
                    <ForeName>Zhao</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychosomatics and Psychiatry, ZhongDa Hospital, Institute of Psychosomatics, School of Medical, Southeast University, Nanjing, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yingying</LastName>
                    <ForeName>Yue</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychosomatics and Psychiatry, ZhongDa Hospital, Institute of Psychosomatics, School of Medical, Southeast University, Nanjing, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Shining</LastName>
                    <ForeName>Zhang</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Nanjing Brain Hospital, Affiliated to Nanjing Medical University, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kezhong</LastName>
                    <ForeName>Zhang</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Jiangsu Province Hospital, The First Affiliated Hospital of Nanjing Medical University, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yanyan</LastName>
                    <ForeName>Shi</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Nanjing First Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Xuemei</LastName>
                    <ForeName>Zhang</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Affiliated Nanjing Jiangning Hospital of Nanjing Medical Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yin</LastName>
                    <ForeName>Cao</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Affiliated Changzhou Second People's Hospital of Nanjing Medical Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jinxia</LastName>
                    <ForeName>Cao</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Second People's Hospital of Lianyungang, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Huajie</LastName>
                    <ForeName>Li</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The First People's Hospital of Changzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yanfeng</LastName>
                    <ForeName>Wu</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Second Affiliated Hospital of Nanjing Medical University, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yanrong</LastName>
                    <ForeName>Feng</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Nanjing Tongren Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhong</LastName>
                    <ForeName>Zhao</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Suzhou Municipal Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ningfeng</LastName>
                    <ForeName>Pan</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Nanjing Central Hospital, Nanjing Municipal Government Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lei</LastName>
                    <ForeName>Sheng</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, Second Chinese Medicine Hospital of Jiangsu Province, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Deqin</LastName>
                    <ForeName>Geng</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Affiliated Hospital of Xuzhou Medical University, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Aiqin</LastName>
                    <ForeName>Wu</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychosomatics, The Affiliated First Hospital of Soochow University, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yong</LastName>
                    <ForeName>Yang</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Suchow Guangji Hospital, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hua</LastName>
                    <ForeName>Tang</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, The Third People's Hospital of Huaian, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jianxin</LastName>
                    <ForeName>Lu</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Neurology, People's Hospital of Gaochun County, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Xianbo</LastName>
                    <ForeName>Zuo</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>State Key Laboratory Incubation Base of Dermatology, Ministry of National Science and Technology, Hefei, Anhui, China. Electronic address: 28080806@qq.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yonggui</LastName>
                    <ForeName>Yuan</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychosomatics and Psychiatry, ZhongDa Hospital, Institute of Psychosomatics, School of Medical, Southeast University, Nanjing, China. Electronic address: yygylh2000@sina.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>13</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>J Affect Disord</MedlineTA>
            <NlmUniqueID>7906073</NlmUniqueID>
            <ISSNLinking>0165-0327</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">China</Keyword>
            <Keyword MajorTopicYN="N">Post stroke depression</Keyword>
            <Keyword MajorTopicYN="N">Stroke</Keyword>
            <Keyword MajorTopicYN="N">Targeted sequencing</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121388</ArticleId>
            <ArticleId IdType="pii">S0165-0327(19)30602-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jad.2019.05.023</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121387</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-491X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>95</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>Apr</Month>
                        <Day>26</Day>
                    </PubDate>
                </JournalIssue>
                <Title>International journal of nursing studies</Title>
                <ISOAbbreviation>Int J Nurs Stud</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Patient engagement in admission and discharge medication communication: A systematic mixed studies review.</ArticleTitle>
            <Pagination>
                <MedlinePgn>87-102</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0020-7489(19)30106-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ijnurstu.2019.04.009</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">To synthesise peer-reviewed research evidence concerning patients' perceptions of how they engage in admission and discharge medication communication, and barriers and enablers to engagement in medication admission and discharge communication.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">A systematic mixed studies review.</AbstractText>
                <AbstractText Label="DATA SOURCES" NlmCategory="METHODS">Two search strategies were undertaken including a bibliographic database search, followed by citation tracking. Fifteen studies were included in this review.</AbstractText>
                <AbstractText Label="REVIEW METHODS" NlmCategory="METHODS">Study selection and quality appraisal were undertaken independently by two reviewers. One reviewer extracted data and synthesised findings, with input from team members to check the accuracy or confirm/question findings.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Three themes were found during data synthesis. In the first theme 'desiring and enacting a range of levels of engagement', patients displayed medication communication by taking responsibility for sharing accurate medication information, and by seeking out different choices during communication. The second theme 'enabling patients' medication communication' uncovered various strategies to promote patients' medication communication, including informing and empowering patients, and encouraging family involvement. The final theme, 'barriers to undertaking medication communication' included challenges enacting two-way information sharing and patients' preference.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Patients view patient engagement in admission and discharge medication communication as two-way accurate information-sharing; however, they sometimes experience challenges undertaking this role or prefer a passive role in information-sharing. Various strategies inform and empower patients to engage in medication communication, however, further investigation is needed of patients' experiences and acceptability of these strategies, and of further strategies that empower patients. Enabling health care professionals' communication skills may promote a patient-centred approach to medication communication, and could enable patient engagement in medication communication.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Tobiano</LastName>
                    <ForeName>Georgia</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Gold Coast Health, Gold Coast University Hospital, 1 Hospital Boulevard, Southport, Queensland, 4215, Australia. Electronic address: georgia.tobiano@health.qld.gov.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chaboyer</LastName>
                    <ForeName>Wendy</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Nursing and Midwifery, Griffith University, Parklands Drive, Southport, Queensland, 4215, Australia; Menzies Health Institute Queensland, Griffith University, Parklands Drive, Southport, Queensland, 4215, Australia. Electronic address: w.chaboyer@griffith.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Teasdale</LastName>
                    <ForeName>Trudy</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Gold Coast Health, Gold Coast University Hospital, 1 Hospital Boulevard, Southport, Queensland, 4215, Australia. Electronic address: Trudy.Teasdale@health.qld.gov.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Raleigh</LastName>
                    <ForeName>Rachael</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Gold Coast Health, Gold Coast University Hospital, 1 Hospital Boulevard, Southport, Queensland, 4215, Australia. Electronic address: Rachael.Raleigh@health.qld.gov.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Manias</LastName>
                    <ForeName>Elizabeth</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Nursing and Midwifery, Centre for Quality and Patient Safety Research, Deakin University, 221 Burwood Highway, Burwood, Victoria, 3125, Australia; Centre for Quality and Patient Safety Research, Deakin University, 221 Burwood Highway, Burwood, Victoria, 3125, Australia. Electronic address: emanias@deakin.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>26</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Int J Nurs Stud</MedlineTA>
            <NlmUniqueID>0400675</NlmUniqueID>
            <ISSNLinking>0020-7489</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Communication</Keyword>
            <Keyword MajorTopicYN="N">Inpatients</Keyword>
            <Keyword MajorTopicYN="N">Medication history</Keyword>
            <Keyword MajorTopicYN="N">Medication reconciliation</Keyword>
            <Keyword MajorTopicYN="N">Nursing</Keyword>
            <Keyword MajorTopicYN="N">Patient medication knowledge</Keyword>
            <Keyword MajorTopicYN="N">Patient participation</Keyword>
            <Keyword MajorTopicYN="N">Patient preference</Keyword>
            <Keyword MajorTopicYN="N">Pharmacy</Keyword>
            <Keyword MajorTopicYN="N">Review</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>20</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121387</ArticleId>
            <ArticleId IdType="pii">S0020-7489(19)30106-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ijnurstu.2019.04.009</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121386</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-491X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>95</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>01</Day>
                    </PubDate>
                </JournalIssue>
                <Title>International journal of nursing studies</Title>
                <ISOAbbreviation>Int J Nurs Stud</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effectiveness and experiences of mental health nurses in cases of medical emergency and severe physiological deterioration: A systematic review.</ArticleTitle>
            <Pagination>
                <MedlinePgn>73-86</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0020-7489(19)30111-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ijnurstu.2019.04.014</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">From a baseline of near zero, there has in recent years been a growing number of empirical studies related to mental health nurses' delivery of healthcare for severely physically deteriorating patients or in medical emergency situations. To date, this evidence-base has not been systematically identified, appraised, and integrated.</AbstractText>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">To systematically identify, appraise and synthesise the available empirical evidence about mental health nurses, medical emergencies, and the severely physiologically deteriorating patient.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">A systematic review in accordance with relevant points of the Preferred Reporting Items for Systematic Reviews and Meta-Analyses guidelines.</AbstractText>
                <AbstractText Label="DATA SOURCES" NlmCategory="METHODS">Multiple electronic databases (CINAHL; PubMed; MedLine; Scopus, ProQuest Dissertations and Theses) were searched using comprehensive terms.</AbstractText>
                <AbstractText Label="REVIEW METHODS" NlmCategory="METHODS">Inclusion criteria: English language papers describing empirical studies (any design) about i) the effectiveness of interventions to improve any outcome related to mental health nurses' delivery of emergency medical care or care for the severely deteriorating patient; or ii) mental health nurses' emergency medical care-related knowledge, skills, experience, attitudes, or training needs. Further information was sought from study authors. Included studies were independently assessed for quality. Effect sizes from intervention studies were extracted or calculated where there was sufficient information. An integrative synthesis of study findings was conducted.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">A total of 22 studies, all but one published since 2011, met inclusion criteria. Ten were intervention studies and twelve were cross-sectional observational or qualitative studies. Intervention studies were all of weak quality overall and utilised pre- post designs mostly with limited post intervention follow-up time. Observational and qualitative studies were generally of good quality but only parts of the evidence from these studies were relevant to emergency physical care since most focused on mental health nurses and their routine physical healthcare practice.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">There are currently no validated instruments to investigate mental health nurses' emergency medical care-related attitudes. More rigorous controlled trials of interventions are needed to better establish an evidence-base for educational interventions to improve this groups' emergency care-related practice.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Dickens</LastName>
                    <ForeName>Geoffrey L</ForeName>
                    <Initials>GL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Applied Nursing Research (CANR), Ingham Institute for Applied Medical Research, Western Sydney University and South Western Sydney Local Health District, Locked Bag 7103, Liverpool BC, NSW, 1871, Australia. Electronic address: g.dickens@westernsydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ramjan</LastName>
                    <ForeName>Lucie</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Applied Nursing Research (CANR), Ingham Institute for Applied Medical Research, Western Sydney University and South Western Sydney Local Health District, Locked Bag 7103, Liverpool BC, NSW, 1871, Australia; School of Nursing and Midwifery, Western Sydney University, Building EB/LG Room 35, Parramatta South Campus, Locked Bag 1797, Penrith, NSW, 2751, Australia. Electronic address: l.ramjan@westernsydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Endrawes</LastName>
                    <ForeName>Gihane</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Nursing and Midwifery, Western Sydney University, Building EB/LG Room 35, Parramatta South Campus, Locked Bag 1797, Penrith, NSW, 2751, Australia. Electronic address: g.endrawes@westernsydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Barlow</LastName>
                    <ForeName>Emily May</ForeName>
                    <Initials>EM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Mental Health Nursing and Counselling, School of Social and Health Sciences, Abertay University, Bell Street, Dundee, DD1 1HG, United Kingdom. Electronic address: e.barlow@abertay.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Everett</LastName>
                    <ForeName>Bronwyn</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Applied Nursing Research (CANR), Ingham Institute for Applied Medical Research, Western Sydney University and South Western Sydney Local Health District, Locked Bag 7103, Liverpool BC, NSW, 1871, Australia; School of Nursing and Midwifery, Western Sydney University, Building EB/LG Room 35, Parramatta South Campus, Locked Bag 1797, Penrith, NSW, 2751, Australia. Electronic address: b.everett@westernsydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
                <PublicationType UI="D016454">Review</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>01</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Int J Nurs Stud</MedlineTA>
            <NlmUniqueID>0400675</NlmUniqueID>
            <ISSNLinking>0020-7489</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Attitudes</Keyword>
            <Keyword MajorTopicYN="N">Deteriorating patient</Keyword>
            <Keyword MajorTopicYN="N">Educational interventions</Keyword>
            <Keyword MajorTopicYN="N">Emergency medicine</Keyword>
            <Keyword MajorTopicYN="N">Knowledge</Keyword>
            <Keyword MajorTopicYN="N">Mental health nurses</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>08</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>21</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121386</ArticleId>
            <ArticleId IdType="pii">S0020-7489(19)30111-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ijnurstu.2019.04.014</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121385</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-491X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>95</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>11</Day>
                    </PubDate>
                </JournalIssue>
                <Title>International journal of nursing studies</Title>
                <ISOAbbreviation>Int J Nurs Stud</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effectiveness of Managing Diabetes During Ramadan Conversation Map intervention: A difference-in-differences (self-comparison) design.</ArticleTitle>
            <Pagination>
                <MedlinePgn>65-72</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0020-7489(19)30126-9</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ijnurstu.2019.04.020</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Some individuals with diabetes fast during Ramadan despite medical concerns for risk of adverse outcomes. The Managing Diabetes During Ramadan Conversation Map is a self-management education group-based intervention for Muslim individuals with type 2 diabetes, specifically addressing diabetes management during Ramadan.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">The aim of this study was to evaluate the effectiveness of the Managing Diabetes During Ramadan Conversation Map intervention in improving short-term clinical outcomes and reducing healthcare utilization following Ramadan.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">This was a retrospective rolling cohort study.</AbstractText>
                <AbstractText Label="SETTINGS" NlmCategory="METHODS">Participants were Clalit Health Services members with type 2 diabetes who participated in the intervention between 2014 and 2017 across Israel.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">This study included 1732 participants who enrolled in the intervention over the five-year study period. The cohort was mainly between the ages of 45 and 74 years (83.3%), female (71.9%), of lower socioeconomic status (92.1%), with a diabetes duration of 10 years or more (51.7%), obese (64.0%), and had never smoked (73.8%).</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">The data used in this study came from Clalit Health Services' electronic health records, which are integrated in a central data warehouse. We used a difference-in-differences (self-comparison) design to examine the effect of the intervention on changes in laboratory results and healthcare utilization over a six month baseline and follow-up. Mixed model linear regressions and Poisson regressions were used to estimate continuous and count outcomes, respectively.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Post intervention, participants experienced a reduction of 8.61 mg/dL in their glucose levels (p = 0.005) and 0.34% in their HbA1c levels (p &lt; 0.001). In a sub-group analysis of participants with HbA1c &gt; 7%, larger reductions in glucose (17.02 mg/dL [p &lt; 0.001]) and HbA1c (0.63% [p &lt; 0.001]) levels were recorded. This sub-group also experienced a reduction of 4.83 mg/dL in LDL level (p = 0.007) and had 0.2 fewer primary care visits (p &lt; 0.001).</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Participation in the Managing Diabetes During Ramadan Conversation Map improved patient glucose and HbA1c levels. A greater benefit was reported in those individuals with HbA1c &gt; 7%. These findings hold important global health implications for the millions of individuals with type 2 diabetes for whom Ramadan can pose a challenge in disease control.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Srulovici</LastName>
                    <ForeName>Einav</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Nursing, University of Haifa, Haifa, Israel; Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel. Electronic address: esrulovici@univ.haifa.ac.il.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Leventer-Roberts</LastName>
                    <ForeName>Maya</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Curtis</LastName>
                    <ForeName>Bradley</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Eli Lilly, West Ryde, New South Wales, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>He</LastName>
                    <ForeName>Xuanyao</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>Eli Lilly and Company, United States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hoshen</LastName>
                    <ForeName>Moshe</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rotem</LastName>
                    <ForeName>Mina</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Community Nursing Division, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bachrach</LastName>
                    <ForeName>Asaf</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Reges</LastName>
                    <ForeName>Orna</ForeName>
                    <Initials>O</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Key</LastName>
                    <ForeName>Calanit</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Community Nursing Division, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Levin-Iaina</LastName>
                    <ForeName>Nomy</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Eli Lilly, Ruhama, HaDarom (South) District, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Strizek</LastName>
                    <ForeName>Alena</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Eli Lilly, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Feldman</LastName>
                    <ForeName>Becca</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clalit Research Institute, Clalit Healthcare Services, Tel Aviv, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>11</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Int J Nurs Stud</MedlineTA>
            <NlmUniqueID>0400675</NlmUniqueID>
            <ISSNLinking>0020-7489</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Diabetes conversation map</Keyword>
            <Keyword MajorTopicYN="N">Diabetes mellitus</Keyword>
            <Keyword MajorTopicYN="N">Program evaluation</Keyword>
            <Keyword MajorTopicYN="N">Ramadan</Keyword>
            <Keyword MajorTopicYN="N">Self-management</Keyword>
            <Keyword MajorTopicYN="N">Type 2</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>20</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121385</ArticleId>
            <ArticleId IdType="pii">S0020-7489(19)30126-9</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ijnurstu.2019.04.020</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121383</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-0429</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>57</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Current opinion in biotechnology</Title>
                <ISOAbbreviation>Curr. Opin. Biotechnol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Biotreatment technologies for stormwater harvesting: critical perspectives.</ArticleTitle>
            <Pagination>
                <MedlinePgn>191-196</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0958-1669(18)30218-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.copbio.2019.04.005</ELocationID>
            <Abstract>
                <AbstractText>Biotreatment technologies offer many advantages for passive stormwater treatment before harvesting, but performance can be variable and sensitive to system design, construction, operation and maintenance. While there is substantial research underpinning pollutant removal, hydraulic function, internal processes and optimal design, specific focus upon stormwater harvesting is relatively limited. Recent advances in system design include testing media amendments for targeted pollutant removal, enhanced pathogen removal using antimicrobial plants, and broadening technology application. However, the production of reliable fit-for-purpose water requires the development of robust validation methodologies to meet public safety expectations. While foundation studies exist, more needs to be done to extend the validation framework, monitor and control system performance and operation in real-time, and apply standards and regulatory checks.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Payne</LastName>
                    <ForeName>Emily Gi</ForeName>
                    <Initials>EG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Civil Engineering, Monash University, Clayton, Victoria 3800, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>McCarthy</LastName>
                    <ForeName>David T</ForeName>
                    <Initials>DT</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Civil Engineering, Monash University, Clayton, Victoria 3800, Australia; Environmental and Public Health Microbiology Laboratory, Department of Civil Engineering, Monash University, Clayton, Victoria 3800, Australia. Electronic address: david.mccarthy@monash.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Deletic</LastName>
                    <ForeName>Ana</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Water Research Centre, School of Civil and Environmental Engineering, UNSW Sydney, NSW 2052, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Kefeng</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Water Research Centre, School of Civil and Environmental Engineering, UNSW Sydney, NSW 2052, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
                <PublicationType UI="D016454">Review</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Curr Opin Biotechnol</MedlineTA>
            <NlmUniqueID>9100492</NlmUniqueID>
            <ISSNLinking>0958-1669</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>21</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121383</ArticleId>
            <ArticleId IdType="pii">S0958-1669(18)30218-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.copbio.2019.04.005</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121353</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-1026</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>682</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>05</Day>
                    </PubDate>
                </JournalIssue>
                <Title>The Science of the total environment</Title>
                <ISOAbbreviation>Sci. Total Environ.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Will temperature increases associated with climate change potentiate toxicity of environmentally relevant concentrations of chloride on larval green frogs (Lithobates clamitans)?</ArticleTitle>
            <Pagination>
                <MedlinePgn>282-290</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0048-9697(19)32029-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.scitotenv.2019.05.018</ELocationID>
            <Abstract>
                <AbstractText>An important challenge in amphibian ecotoxicology and conservation is that amphibian toxicity tests are usually focused on a single chemical while populations experience multiple, simultaneous stressors. For example, about 14 million tons of road de-icing salts are used each year in North America with NaCl accounting for 98% of total salt use and, hence, elevated chloride is an important environmental stressor to aquatic organisms, including amphibians. As well, higher temperature as a result of climate change is becoming an increasingly important environmental stressor. There are no data on the combined effects of chloride and temperature on amphibians hinders conservation efforts. We conducted field studies to characterize chloride concentrations and water temperatures in known amphibian breeding habitats and performed toxicity tests to explore impacts of these two stressors on a common anuran, the green frog (Lithobates clamitans). A 96-hour acute toxicity test was conducted to first determine a chloride LC50 (2587.5 mg Cl<sup>-</sup>/L) at a single, neutral temperature, which was used to inform the treatment levels of the sub-chronic test, which also included a temperature range. In the sub-chronic study, green frog larvae were exposed to three temperatures (18, 22, and 25 °C), and four concentrations of chloride (0, 500, 1000, and 2000 mg Cl<sup>-</sup>/L) for 35 days. At all temperatures, tadpoles exposed to 2000 mg Cl<sup>-</sup>/L had significantly higher mortality. While there was no significant effect of temperature alone on mortality, survival of tadpoles was significantly lower at 1000 mg Cl<sup>-</sup>/L at the two higher temperatures suggesting a potentiation of chloride ion toxicity with increasing temperature. Comparing toxicity results to field measurements of chloride and temperature suggests green frog tadpoles and other species with similar sensitivity are likely negatively affected. Data on additional species and populations would further increase our understanding of how salt and temperature may shape aquatic communities.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Green</LastName>
                    <ForeName>Frank B</ForeName>
                    <Initials>FB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Environmental Science and Studies Program, Towson University, Towson, MD, United States of America; Department of Biological Sciences, Towson University, Towson, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>East</LastName>
                    <ForeName>Andrew G</ForeName>
                    <Initials>AG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Environmental Science and Studies Program, Towson University, Towson, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Salice</LastName>
                    <ForeName>Christopher J</ForeName>
                    <Initials>CJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Environmental Science and Studies Program, Towson University, Towson, MD, United States of America; Department of Biological Sciences, Towson University, Towson, MD, United States of America. Electronic address: csalice@towson.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>05</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Sci Total Environ</MedlineTA>
            <NlmUniqueID>0330500</NlmUniqueID>
            <ISSNLinking>0048-9697</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Amphibians</Keyword>
            <Keyword MajorTopicYN="N">Increased temperature</Keyword>
            <Keyword MajorTopicYN="N">Multiple stressors</Keyword>
            <Keyword MajorTopicYN="N">Road salt</Keyword>
            <Keyword MajorTopicYN="N">Runoff</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>01</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121353</ArticleId>
            <ArticleId IdType="pii">S0048-9697(19)32029-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.scitotenv.2019.05.018</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121342</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-7654</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>238</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>15</Day>
                    </PubDate>
                </JournalIssue>
                <Title>European journal of obstetrics, gynecology, and reproductive biology</Title>
                <ISOAbbreviation>Eur. J. Obstet. Gynecol. Reprod. Biol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Increased placental expressions of nuclear factor erythroid 2-related factor 2 and antioxidant enzymes in gestational diabetes: Protective mechanisms against the placental oxidative stress?</ArticleTitle>
            <Pagination>
                <MedlinePgn>78-85</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0301-2115(19)30235-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ejogrb.2019.05.016</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">Gestational diabetes mellitus is associated with increased oxidative stress. Oxidative stress may contribute to the risk for pregnancy pathologies associated with gestational diabetes mellitus. In this study we investigated the expression of placental nuclear factor erythroid 2-related factor 2 (Nrf2) and antioxidant enzymes of gestational diabetes mellitus and healthy pregnant women and correlated them with the maternal and cord plasma as well as placental tissue oxidative stress parameters.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS">A cross sectional study was carried out in a South Indian Tamil population. Forty healthy pregnant women and forty gestational diabetes mellitus patients in the gestational age of 32 ± 4weeks were recruited. Maternal plasma, cord plasma and placental oxidative stress parameters were measured. Placental expression of Nrf2, phospho Nrf2, catalase and superoxide dismutase 1(SOD1) were analyzed by western blotting and immunohistochemistry.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Placental expression of Nrf2, catalase and SOD1 were found to be significantly higher in gestational diabetes mellitus. The maternal plasma, cord plasma and placental tissue oxidative stress parameters, total antioxidant status (TAS) levels were significantly lower; whereas MDA (malondialdehyde) and MDA/TAS levels were significantly higher in gestational diabetes mellitus. Placental Nrf2 expression correlated positively with the placental catalase expression and negatively with placental TAS levels in both groups.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">Maternal, fetal and placental oxidative stress was observed in gestational diabetes mellitus. The gestational diabetic placenta had an increased Nrf2 protein expression. The activated placental Nrf2/ antioxidant response element (ARE) pathway might have led to an increased expression of antioxidant enzymes SOD1 and catalase. This may be viewed as a protective mechanism in placenta from the further onslaught of oxidative stress.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Manoharan</LastName>
                    <ForeName>Balachandiran</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biochemistry, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, 605 006, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bobby</LastName>
                    <ForeName>Zachariah</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biochemistry, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, 605 006, India. Electronic address: zacbobby@yahoo.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dorairajan</LastName>
                    <ForeName>Gowri</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics &amp; Gynaecology, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jacob</LastName>
                    <ForeName>Sajini Elizabeth</ForeName>
                    <Initials>SE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gladwin</LastName>
                    <ForeName>Victorraj</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anatomy, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vinayagam</LastName>
                    <ForeName>Vickneshwaran</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biochemistry, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, 605 006, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Packirisamy</LastName>
                    <ForeName>Rajaa Muthu</ForeName>
                    <Initials>RM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biochemistry, Jawaharlal Institute of Postgraduate Medical Education and Research (JIPMER), Puducherry, 605 006, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Ireland</Country>
            <MedlineTA>Eur J Obstet Gynecol Reprod Biol</MedlineTA>
            <NlmUniqueID>0375672</NlmUniqueID>
            <ISSNLinking>0301-2115</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Antioxidant enzymes</Keyword>
            <Keyword MajorTopicYN="N">Gestational diabetes mellitus</Keyword>
            <Keyword MajorTopicYN="N">Nuclear factor erythroid 2–related factor 2</Keyword>
            <Keyword MajorTopicYN="N">Placental oxidative stress</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>31</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121342</ArticleId>
            <ArticleId IdType="pii">S0301-2115(19)30235-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ejogrb.2019.05.016</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121340</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1532-2793</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>79</Volume>
                    <PubDate>
                        <Year>2018</Year>
                        <Month>Nov</Month>
                        <Day>16</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Nurse education today</Title>
                <ISOAbbreviation>Nurse Educ Today</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Experiential learning of HIV self-test among student nurses: A qualitative study.</ArticleTitle>
            <Pagination>
                <MedlinePgn>111-116</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0260-6917(18)30484-2</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.nedt.2018.11.012</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">There is increasing demand for HIV self-tests, and nurses play an important role in counselling and assisting in the testing process. Traditional lecture-based nursing education has not typically focused on self-testing procedures, and there is little understanding of clients' experiences of self-testing.</AbstractText>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">To understand the experiential learning (EL) of student nurses during the process of self-testing for HIV.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">This study used a qualitative design.</AbstractText>
                <AbstractText Label="SETTINGS" NlmCategory="METHODS">A college in northern Taiwan.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">We recruited a purposive sample of 30 nursing students.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">The OraQuick self-test was used as the self-testing tool in this study. After participants used the OraQuick self-test, they underwent a semi-structured interview during the post-test counselling period. All interview data were subjected to line-by-line content analysis.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">We extracted nine themes of nursing students' experiences during experiential learning of HIV self-test. In the pre-test stage, they recalled possible risk behaviors for HIV infection, decided to complete the self-test alone or asked for significant others to accompany them, and endured emotional fluctuations immediately prior to the test. When waiting for the test results, they felt isolated from the outside world. Some participants also began questioning the accuracy and safety of the test, and either viewed the results immediately or later on. In the post-test stage, some participants reported being uncertain about the results. Participants reported a greater understanding of the personal impact of testing and revealed their needs for support. Some identified a sense of loss and linked this to the rapid and direct delivery of test results.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Our results can be used to guide HIV-related education courses and prevention programs. Experiential learning has the potential to improve HIV pre and post-test counselling, as nurses develop both clinical knowledge and personal insight of the testing process.</AbstractText>
                <CopyrightInformation>Copyright © 2018. Published by Elsevier Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Chiou</LastName>
                    <ForeName>Piao-Yi</ForeName>
                    <Initials>PY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Nursing, National Taipei University of Nursing and Health Science, No.365, Ming-te Road, Peitou District, Taipei City, Taiwan. Electronic address: paioyi@ntunhs.edu.tw.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chien</LastName>
                    <ForeName>Chih-Yin</ForeName>
                    <Initials>CY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Nursing, Mackay Medicine, Nursing and Management College, No.92, Shengjing Rd., Beitou Dist., Taipei City 112, Taiwan. Electronic address: s157@eip.mkc.edu.tw.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lee</LastName>
                    <ForeName>Amanda</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Health Sciences, University of Hull, Cottingham Road, Hull HU67RX, United Kingdom of Great Britain and Northern Ireland. Electronic address: A.J.Lee@hull.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mark</LastName>
                    <ForeName>Hayter</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Health Sciences, University of Hull, Cottingham Road, Hull HU67RX, United Kingdom of Great Britain and Northern Ireland. Electronic address: M.Hayter@hull.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ko</LastName>
                    <ForeName>Nai-Ying</ForeName>
                    <Initials>NY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Nursing, National Cheng Kung University, No. 1, University Road, Tainan City 701, Taiwan. Electronic address: nyko@mail.ncku.edu.tw.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>16</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Scotland</Country>
            <MedlineTA>Nurse Educ Today</MedlineTA>
            <NlmUniqueID>8511379</NlmUniqueID>
            <ISSNLinking>0260-6917</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Experiential learning</Keyword>
            <Keyword MajorTopicYN="N">HIV</Keyword>
            <Keyword MajorTopicYN="N">Nurse education</Keyword>
            <Keyword MajorTopicYN="N">Self-test</Keyword>
            <Keyword MajorTopicYN="N">Student experience</Keyword>
            <Keyword MajorTopicYN="N">Student nurses</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>08</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121340</ArticleId>
            <ArticleId IdType="pii">S0260-6917(18)30484-2</ArticleId>
            <ArticleId IdType="doi">10.1016/j.nedt.2018.11.012</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121336</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">2213-7173</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of global antimicrobial resistance</Title>
                <ISOAbbreviation>J Glob Antimicrob Resist</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Elucidation of drug resistant mutations of Mycobacterium tuberculosis by whole genome sequencing from North India.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S2213-7165(19)30129-8</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jgar.2019.05.019</ELocationID>
            <Abstract>
                <AbstractText Label="INTRODUCTION" NlmCategory="BACKGROUND">Rapid diagnosis of drug resistant tuberculosis is required for better patient management and treatment outcome. Whole-genome sequencing (WGS) can detect single nucleotide polymorphisms (SNPs) and deletions/insertions which are responsible for mostMycobacterium tuberculosis drug resistance. WGS is being performed at scale in high-income countries but there are still limited reports of its use in India.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">In this study, 33 clinicalM. tuberculosis isolates were taken from Mycobacterial repository in Chandigarh and were whole-genome sequenced. Phenotypic drug susceptibility testing was performed according to WHO recommendations. Four were considered culture contaminated.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Among the other 29 isolates, 21(72.4%) were multi-drug resistance (MDR-TB) and one was extensively-drug resistant (XDR-TB). The most common mutations observed for isoniazid, rifampicin, ofloxacin and kanamycin werekatG_S315 T, rpoB_S450 L, gyrA_A90 V and rrs_A1401 G respectively. The isolates belonged to lineage 2 and 3, with most MDR-TB among lineage 2 isolates.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">Whole-Genome Sequencing ofMycobacterium tuberculosis offers the detection of drug resistance to all drugs in a single test and also provides insight into the evolution and drug-resistant tuberculosis.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Sethi</LastName>
                    <ForeName>Sunil</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medical Microbiology, Post Graduate Institute of Medical Education and Research (PGIMER), Chandigarh, 160012, India. Electronic address: sunilsethi10@hotmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hao</LastName>
                    <ForeName>Yuhan</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, New York University School of Medicine, NY, 10016, USA; Applied Bioinformatics Laboratories, New York University School of Medicine, NY, 10016, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Brown</LastName>
                    <ForeName>Stuart M</ForeName>
                    <Initials>SM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Applied Bioinformatics Laboratories, New York University School of Medicine, NY, 10016, USA; Department of Cell Biology, New York University School of Medicine, NY, 10016, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Walker</LastName>
                    <ForeName>Timothy</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Microbiology and Infectious Diseases, Nuffield Department of Medicine, University of Oxford, Oxford, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yadav</LastName>
                    <ForeName>Rakesh</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medical Microbiology, Post Graduate Institute of Medical Education and Research (PGIMER), Chandigarh, 160012, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zaman</LastName>
                    <ForeName>Kamran</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medical Microbiology, Post Graduate Institute of Medical Education and Research (PGIMER), Chandigarh, 160012, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Aggarwal</LastName>
                    <ForeName>Ashutosh Nath</ForeName>
                    <Initials>AN</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pulmonary Medicine, Post Graduate Institute of Medical Education and Research (PGIMER), Chandigarh, 160012, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Behera</LastName>
                    <ForeName>Digambar</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pulmonary Medicine, Post Graduate Institute of Medical Education and Research (PGIMER), Chandigarh, 160012, India.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>J Glob Antimicrob Resist</MedlineTA>
            <NlmUniqueID>101622459</NlmUniqueID>
            <ISSNLinking>2213-7165</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Diagnosis</Keyword>
            <Keyword MajorTopicYN="N">Drug resistance</Keyword>
            <Keyword MajorTopicYN="N">Strain typing</Keyword>
            <Keyword MajorTopicYN="N">Tuberculosis</Keyword>
            <Keyword MajorTopicYN="N">Whole Genome Sequencing</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>08</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121336</ArticleId>
            <ArticleId IdType="pii">S2213-7165(19)30129-8</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jgar.2019.05.019</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121323</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1469-0691</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Clinical microbiology and infection : the official publication of the European Society of Clinical Microbiology and Infectious Diseases</Title>
                <ISOAbbreviation>Clin. Microbiol. Infect.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Clinical research designs to study treatment effects for multidrug-resistant bacteria.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S1198-743X(19)30217-4</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.cmi.2019.05.004</ELocationID>
            <Abstract>
                <AbstractText>To accompany a theme issue on the treatment of three multidrugresistant (MDR) bacteria, the current editorial summarizes the poor state of the evidence on the optimal antibiotic treatment of carbapenemresistant. Gram-negative bacteria. We propose observational study designs addressing the main areas of bias in existing observational data:selection bias due to treatment by indication and standardization of the treatment groups. We propose novel randomized control trial (RCT) designs that will allow efficient and cost-effective recruitment of patients with carbapenem-resistant Gram-negative bacteria. Registry-based RCTs with adaptive designs could make use of existing MDR surveillance systems. Non-inferiority plus superiority hybrid designs may combine a. non-inferiority aim in the entire sample with a superiority design for the MDR subgroup. A paradigm shift is needed in clinical study design to create a solid evidence-base for the optimal treatment of MDR bacteria.</AbstractText>
                <CopyrightInformation>Copyright © 2019 European Society of Clinical Microbiology and Infectious Diseases. Published by Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Paul</LastName>
                    <ForeName>Mical</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Rambam Health Care Campus and The Ruth and Bruce Rappaport Faculty of Medicine, Technion, Israel Institute of Technology. Haifa, Israel. Electronic address: paulm@technion.ac.il.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Scudeller</LastName>
                    <ForeName>Luigia</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>IRCCS Policlinic San Matteo Foundation. Scientific Direction. Clinical Epidemiology and Biostatistics Unit. Pavia, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016421">Editorial</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Clin Microbiol Infect</MedlineTA>
            <NlmUniqueID>9516420</NlmUniqueID>
            <ISSNLinking>1198-743X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Bias</Keyword>
            <Keyword MajorTopicYN="N">Carbapenemresistant</Keyword>
            <Keyword MajorTopicYN="N">Gram-negative bacteria</Keyword>
            <Keyword MajorTopicYN="N">Observational studies</Keyword>
            <Keyword MajorTopicYN="N">Registry trials</Keyword>
            <Keyword MajorTopicYN="N">Research methods</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>05</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121323</ArticleId>
            <ArticleId IdType="pii">S1198-743X(19)30217-4</ArticleId>
            <ArticleId IdType="doi">10.1016/j.cmi.2019.05.004</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121304</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1878-5921</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of clinical epidemiology</Title>
                <ISOAbbreviation>J Clin Epidemiol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Prevalence of trial registration varies by study characteristics and risk of bias.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0895-4356(19)30043-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jclinepi.2019.05.009</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">Determine the prevalence of trial registration in health research, whether trial registration status and timing vary depending on trial characteristics, and the relationship between trial registration status and risk of bias.</AbstractText>
                <AbstractText Label="STUDY DESIGN AND SETTING" NlmCategory="METHODS">We systematically reviewed all clinical trials published from January to June 2017 in 28 high- and low-impact factor general and specialty medicine journals.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">We identified 370 trials and assessed risk of bias in 183 trials. Trial registration rates were high; 95% of trials were registered prospectively or retrospectively before enrolment completion. Larger sample size, multiple recruitment countries and primary industry funding were all predictors of earlier trial registration. Prospectively registered trials had a significantly lower risk of bias compared to unregistered trials across all domains. Prospectively registered trials had a similar risk of bias compared to retrospectively registered trials across four out of six domains, and a lower risk of bias across the remaining two domains.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">Trial registration is an imperfect proxy for risk of bias. Systematic reviewers should assess risk of bias on a case-by-case basis and conduct sensitivity analyses excluding high risk of bias studies. In the longer term, mechanisms should be implemented to facilitate prospective registration of all trials.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Tan</LastName>
                    <ForeName>Aidan Christopher</ForeName>
                    <Initials>AC</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jiang</LastName>
                    <ForeName>Ivy</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Askie</LastName>
                    <ForeName>Lisa</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hunter</LastName>
                    <ForeName>Kylie</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Simes</LastName>
                    <ForeName>Robert John</ForeName>
                    <Initials>RJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Seidler</LastName>
                    <ForeName>Anna Lene</ForeName>
                    <Initials>AL</Initials>
                    <AffiliationInfo>
                        <Affiliation>NHMRC Clinical Trials Centre, University of Sydney, Sydney, Australia. Electronic address: lene.seidler@ctc.usyd.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
                <PublicationType UI="D016454">Review</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Clin Epidemiol</MedlineTA>
            <NlmUniqueID>8801383</NlmUniqueID>
            <ISSNLinking>0895-4356</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">clinical trials</Keyword>
            <Keyword MajorTopicYN="N">prospective registration</Keyword>
            <Keyword MajorTopicYN="N">publication bias</Keyword>
            <Keyword MajorTopicYN="N">risk of bias</Keyword>
            <Keyword MajorTopicYN="N">systematic review</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121304</ArticleId>
            <ArticleId IdType="pii">S0895-4356(19)30043-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jclinepi.2019.05.009</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121302</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1878-5921</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of clinical epidemiology</Title>
                <ISOAbbreviation>J Clin Epidemiol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Funders improved the management of learning and clustering effects through design and analysis of randomised trials involving surgery.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0895-4356(19)30063-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jclinepi.2019.05.007</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To provide insight into current practice in planning for, and acknowledging, the presence of learning and clustering effects, by treating centre and surgeon, when developing randomised surgical trials.</AbstractText>
                <AbstractText Label="STUDY DESIGN AND SETTING" NlmCategory="METHODS">Complexities associated with delivering surgical interventions, such as clustering effects, by centre or surgeon, and surgical learning, should be considered at trial design. Main trial publications within the wider literature under-report these considerations Funded applications, within a four year period, from a leading UK funding body were searched. Data were extracted on considerations for learning and clustering effects and the driver, funder or applicant, behind these.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Fifty trials were eligible. Managing learning through establishing pre-defined centre and surgeon credentials was common. One planned exploratory analysis of learning within centre, and two within surgeon. Clustering, by site and surgeon, was often managed through stratifying randomisation, with 81% and 60% respectively also planning to subsequently adjust analysis. One-third of responses to referees contained funder led changes accounting for learning and/or clustering.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">This review indicates that researchers do consider impact of learning and clustering, by centres and surgeon, during trial development. Furthermore, the funder is identified as a potential driver of considerations.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>J Conroy</LastName>
                    <ForeName>Elizabeth</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biostatistics, University of Liverpool, a member of Liverpool Health Partners, UK. Electronic address: ejconroy@liverpool.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rosala-Hallas</LastName>
                    <ForeName>Anna</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biostatistics, University of Liverpool, a member of Liverpool Health Partners, UK. Electronic address: arosala@liverpool.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Blazeby</LastName>
                    <ForeName>Jane M</ForeName>
                    <Initials>JM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Surgical Research, Population Health Sciences, University of Bristol, UK. Electronic address: j.m.blazeby@bristol.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Burnside</LastName>
                    <ForeName>Girvan</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Statistics in Medicine, University of Oxford, UK. Electronic address: gburnsid@liverpool.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cook</LastName>
                    <ForeName>Jonathan A</ForeName>
                    <Initials>JA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Statistics in Medicine, University of Oxford, UK. Electronic address: jonathan.cook@ndorms.ox.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gamble</LastName>
                    <ForeName>Carrol</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biostatistics, University of Liverpool, a member of Liverpool Health Partners, UK; North West Hub for Trials Methodology Research, University of Liverpool, UK. Electronic address: carrolp@liverpool.ac.uk.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Clin Epidemiol</MedlineTA>
            <NlmUniqueID>8801383</NlmUniqueID>
            <ISSNLinking>0895-4356</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Clustering</Keyword>
            <Keyword MajorTopicYN="N">Learning curve</Keyword>
            <Keyword MajorTopicYN="N">Randomized controlled trials</Keyword>
            <Keyword MajorTopicYN="N">Statistics</Keyword>
            <Keyword MajorTopicYN="N">Surgery</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121302</ArticleId>
            <ArticleId IdType="pii">S0895-4356(19)30063-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jclinepi.2019.05.007</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121294</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1522-9653</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Osteoarthritis and cartilage</Title>
                <ISOAbbreviation>Osteoarthr. Cartil.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effect of Cane Use on Bone Marrow Lesion Volume in People with Medial Tibiofemoral Knee Osteoarthritis: Randomized Clinical Trial.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S1063-4584(19)30981-1</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.joca.2019.05.004</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To evaluate effects of daily cane use for 3 months on medial tibiofemoral bone marrow lesion (BML) volumes in people with medial tibiofemoral osteoarthritis (OA).</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">In this randomized controlled trial, 79 participants with medial tibiofemoral OA were randomized to either a cane group (using a cane whenever walking) or control group (not using any gait aid) for 3 months. The cane group received a single training session by a physiotherapist, using a biofeedback cane to teach optimal technique and body weight support and motor learning principles to facilitate retention of learning. The primary outcome was change in total medial tibiofemoral BML volume (per unit bone volume) measured from magnetic resonance imaging (MRI) at 3 months. Secondary outcomes were BML volumes (per unit bone volume) of the medial tibia and femur, and patient-reported outcomes of overall knee pain, knee pain on walking, physical function, perceived global symptom changes and health-related quality of life. MRI analyses were performed by a blinded assessor.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Seventy-eight participants (99%) completed the primary outcome. Mean (standard deviation) daily cane use was 2.3 (1.7) hours over 3 months. No evidence of between-group differences was found for change in total medial tibiofemoral BML volume (mean difference: -0.0010 (95% confidence intervals: -0.0022, 0.0003)). Most secondary outcomes showed minimal differences between groups.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">Daily use of a cane during walking for 3 months aiming to reduce knee joint loading did not change medial tibiofemoral BML volumes compared to no use of gait aids.</AbstractText>
                <AbstractText Label="CLINICAL TRIAL REGISTRATION" NlmCategory="BACKGROUND">Australian New Zealand Clinical Trial Registry (ACTRN12614000909628).</AbstractText>
                <CopyrightInformation>Copyright © 2019 Osteoarthritis Research Society International. Published by Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Van Ginckel</LastName>
                    <ForeName>Ans</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Rehabilitation Sciences, Ghent University, Ghent, Belgium; Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: Ans.VanGinckel@UGent.be.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hinman</LastName>
                    <ForeName>Rana S</ForeName>
                    <Initials>RS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: ranash@unimelb.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wrigley</LastName>
                    <ForeName>Tim V</ForeName>
                    <Initials>TV</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: timw@unimelb.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hunter</LastName>
                    <ForeName>David J</ForeName>
                    <Initials>DJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: david.hunter@sydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Marshall</LastName>
                    <ForeName>Charlotte J</ForeName>
                    <Initials>CJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: c.marshall@unimelb.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Duryea</LastName>
                    <ForeName>Jeff</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Radiology, Brigham and Women's Hospital, Harvard Medical School, Boston, United States of America. Electronic address: jduryea@bwh.harvard.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Melo</LastName>
                    <ForeName>Luciano</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Bone and Joint Research, Kolling Institute, The University of Sydney, Sydney, Australia. Department of Rheumatology, Royal North Shore Hospital, St Leonards, Australia. Electronic address: luciano.melo@sydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Simic</LastName>
                    <ForeName>Milena</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Discipline of Physiotherapy, Musculoskeletal Research Group, Faculty of Heatlh Sciences, The University of Sydney, Sydney, Australia. Electronic address: milena.simic@sydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kasza</LastName>
                    <ForeName>Jessica</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology and Preventive Medicine, Monash University, Melbourne, Australia. Electronic address: jessica.kasza@monash.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Robbins</LastName>
                    <ForeName>Sarah R</ForeName>
                    <Initials>SR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Bone and Joint Research, Kolling Institute, The University of Sydney, Sydney, Australia. Department of Rheumatology, Royal North Shore Hospital, St Leonards, Australia. Electronic address: sarah.robbins@sydney.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wallis</LastName>
                    <ForeName>Jason A</ForeName>
                    <Initials>JA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Physical Therapy, Eastern Health. Department of Physical Therapy, La Trobe University, Melbourne, Australia. Electronic address: Jason.wallis@easternhealth.org.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bennell</LastName>
                    <ForeName>Kim L</ForeName>
                    <Initials>KL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health, Exercise and Sports Medicine, The University of Melbourne, Parkville, Australia. Electronic address: k.bennell@unimelb.edu.au.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Osteoarthritis Cartilage</MedlineTA>
            <NlmUniqueID>9305697</NlmUniqueID>
            <ISSNLinking>1063-4584</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">biomechanics</Keyword>
            <Keyword MajorTopicYN="N">bone marrow lesions</Keyword>
            <Keyword MajorTopicYN="N">cane</Keyword>
            <Keyword MajorTopicYN="N">knee</Keyword>
            <Keyword MajorTopicYN="N">magnetic resonance imaging</Keyword>
            <Keyword MajorTopicYN="N">osteoarthritis</Keyword>
            <Keyword MajorTopicYN="N">randomized controlled trial</Keyword>
            <Keyword MajorTopicYN="N">structure-modification</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121294</ArticleId>
            <ArticleId IdType="pii">S1063-4584(19)30981-1</ArticleId>
            <ArticleId IdType="doi">10.1016/j.joca.2019.05.004</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121292</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1522-9653</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Osteoarthritis and cartilage</Title>
                <ISOAbbreviation>Osteoarthr. Cartil.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Propagation of Microcracks in Collagen Networks of Cartilage Under Mechanical Loads.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S1063-4584(19)30982-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.joca.2019.04.017</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">We recently demonstrated that low-energy mechanical impact to articular cartilage, usually considered non-injurious, can in fact cause microscale cracks (widths &lt;30μm) in the collagen network of visually pristine human cartilage. While research on macro-scale cracks in cartilage and microcracks in bone abounds, how microcracks within cartilage initiate and propagate remains unknown. We quantified the extent to which microcracks initiate and propagate in the collagen network during mechanical loading representative of normal activities.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">We tested 76 full-thickness, cylindrical osteochondral plugs. We imaged untreated specimens (pristine phase) via second harmonic generation and assigned specimens to three low-energy impact groups (none, low, high), and thereafter to three cyclic compression groups (none, low, high) which simulate walking. We re-imaged specimens in the post-impact and post-cyclic compression phases to identify and track microcracks.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Microcracks in the network of collagen did not present in untreated controls but did initiate and propagate under mechanical treatments. We found that the length and width of microcracks increased from post-impact to post-cyclic compression in tracked microcracks, but neither depth nor angle presented statistically significant differences.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">The microcracks we initiated under low-energy impact loading increased in length and width during subsequent cyclic compression that simulated walking. The extent of this propagation depended on the combination of impact and cyclic compression. More broadly, the initiation and propagation of microcracks may characterize pathogenesis of osteoarthritis, and may suggest therapeutic targets for future studies.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Osteoarthritis Research Society International. Published by Elsevier Ltd. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Santos</LastName>
                    <ForeName>Stephany</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biomedical Engineering, University of Connecticut.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Emery</LastName>
                    <ForeName>Nancy</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Ecology and Evolutionary Biology, University of Colorado Boulder.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Neu</LastName>
                    <ForeName>Corey P</ForeName>
                    <Initials>CP</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Mechanical Engineering, University of Colorado Boulder.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pierce</LastName>
                    <ForeName>David M</ForeName>
                    <Initials>DM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Biomedical Engineering, University of Connecticut; Department of Mechanical Engineering, University of Connecticut. Electronic address: dmpierce@engr.uconn.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Osteoarthritis Cartilage</MedlineTA>
            <NlmUniqueID>9305697</NlmUniqueID>
            <ISSNLinking>1063-4584</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Articular Cartilage</Keyword>
            <Keyword MajorTopicYN="N">Cyclic Compression</Keyword>
            <Keyword MajorTopicYN="N">Low-Energy Impact</Keyword>
            <Keyword MajorTopicYN="N">Mechanical Injury</Keyword>
            <Keyword MajorTopicYN="N">Microcracks</Keyword>
            <Keyword MajorTopicYN="N">SHG</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121292</ArticleId>
            <ArticleId IdType="pii">S1063-4584(19)30982-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.joca.2019.04.017</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121289</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>25</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1095-9947</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>91</Volume>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>21</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Fish &amp; shellfish immunology</Title>
                <ISOAbbreviation>Fish Shellfish Immunol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effect of dietary replacement of fish meal with insect meal on in vitro bacterial and viral induced gene response in Atlantic salmon (Salmo salar) head kidney leukocytes.</ArticleTitle>
            <Pagination>
                <MedlinePgn>223-232</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S1050-4648(19)30598-4</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.fsi.2019.05.042</ELocationID>
            <Abstract>
                <AbstractText>With the fast growth of today's aquaculture industry, the demand for aquafeeds is expanding dramatically. Insects, which are part of the natural diet of salmonids, could represent a sustainable ingredient for aquaculture feed. The aim of the current study was to test how a partial or total replacement of dietary fishmeal with insect meal affect gene responses involved in inflammation, the eicosanoid pathway and stress response in Atlantic salmon (Salmo salar L.) in isolated head kidney leukocytes after exposure to bacterial or viral mimic. Insect meal (IM) was produced from black soldier fly (BSF, Hermetia illucens) larvae. Seawater Atlantic salmon were fed three different diets for 8 weeks; a control diet (IM<sub>0</sub>, protein from fishmeal and plant based ingredients (25:75) and lipid from fish oil and vegetable oil (33:66); and two insect-meal containing diets, IM<sub>66</sub> and IM<sub>100</sub>, where 66 and 100% of the fishmeal protein was replaced with IM, respectively. Leukocytes were isolated from the head kidney of fish (n = 6) from each of the three dietary groups. Isolated leukocytes were seeded into culture wells and added either a bacterial mimic (lipopolysaccharide, LPS) or a viral mimic (polyinosinic acid: polycytidylic acid, poly I: C) to induce an inflammatory response. Controls (Ctl) without LPS and poly I: C were included. The transcription of interleukins IL-1β, IL-8, IL-10 and TNF-α were elevated in LPS treated leukocytes isolated from salmon fed the three dietary groups (IM<sub>0</sub>, IM<sub>66</sub> and IM<sub>100</sub>). The inflammatory-related gene expression in head kidney cells were, however, not affected by the pre-fed substitution of fish meal with IM in the diet of salmon. Gene transcriptions of PTGDS and PTGES were neither affected by LPS, poly I: C or the experimental diets fed prior to cell isolation, while salmon fed with IM showed a lower expression of LOX5. The gene expression of TLR22 and C/EBP-β were down-regulated by the LPS treatment in the cells isolated from salmon fed insect-based diets (IM<sub>66</sub> and IM<sub>100</sub>) compared to fish fed the IM<sub>0</sub>. Similarly, the leukocytes challenged with LPS and isolated from fish fed with IM<sub>66</sub> and IM<sub>100</sub> down-regulated the expression of Mn-SOD, GPx1, HSP27 and HSP70 compared to salmon fed IM<sub>0</sub>. In general, these results suggested that replacement of fishmeal with IM in the diets of Atlantic salmon had no effect on the transcription of pro-inflammatory genes in the head kidney cells. There was, however, an effect of dietary IM on the transcription of antioxidant and stress related genes in the leukocytes.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier Ltd.. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Stenberg</LastName>
                    <ForeName>Oda Kvalsvik</ForeName>
                    <Initials>OK</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Holen</LastName>
                    <ForeName>Elisabeth</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Piemontese</LastName>
                    <ForeName>Luisa</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway; Department of Agriculture, Food, Environment and Forestry, University of Florence, Via delle Cascine 5, 50144, Firenze, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Liland</LastName>
                    <ForeName>Nina S</ForeName>
                    <Initials>NS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lock</LastName>
                    <ForeName>Erik-Jan</ForeName>
                    <Initials>EJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Espe</LastName>
                    <ForeName>Marit</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Belghit</LastName>
                    <ForeName>Ikram</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Marine Research, P.O. Box 1870 Nordnes, 5817, Bergen, Norway. Electronic address: Ikram.Belghit@hi.no.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>21</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Fish Shellfish Immunol</MedlineTA>
            <NlmUniqueID>9505220</NlmUniqueID>
            <ISSNLinking>1050-4648</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Atlantic salmon</Keyword>
            <Keyword MajorTopicYN="N">C</Keyword>
            <Keyword MajorTopicYN="N">Head kidney leukocytes</Keyword>
            <Keyword MajorTopicYN="N">Insect meal</Keyword>
            <Keyword MajorTopicYN="N">LPS</Keyword>
            <Keyword MajorTopicYN="N">Poly I</Keyword>
            <Keyword MajorTopicYN="N">Stress response</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121289</ArticleId>
            <ArticleId IdType="pii">S1050-4648(19)30598-4</ArticleId>
            <ArticleId IdType="doi">10.1016/j.fsi.2019.05.042</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121277</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-4995</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of controlled release : official journal of the Controlled Release Society</Title>
                <ISOAbbreviation>J Control Release</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Therapeutic mRNA delivery to leukocytes.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0168-3659(19)30288-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jconrel.2019.05.032</ELocationID>
            <Abstract>
                <AbstractText>In the past few years mRNA molecules have become an attractive class of new drugs with numerous opportunities. mRNA therapeutics holds great potential for the treatment of a variety of diseases and is an emerging field both in academia and in the pharma industry. Among the various mRNA-based therapeutic approaches, immunotherapy is one of the pioneering and most advanced therapy to date. Immune cells manipulation using mRNA is commonly used for vaccination purposes, but its potential is much broader. In this review, we discuss the promise of mRNA delivery to leukocytes. We aim to provide an overview of the main progress in this field, as well as the challenges in expanding the scope of mRNA therapy for different therapeutic applications. We also discuss the main technological developments for overcoming mRNA therapy limitations, including mRNA rational design and delivery platforms.</AbstractText>
                <CopyrightInformation>Copyright © 2018. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Granot-Matok</LastName>
                    <ForeName>Yasmin</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Precision NanoMedicine, Tel Aviv University, Tel Aviv 69978, Israel; School of Molecular Cell Biology and Biotechnology, George S Wise Faculty of Life Sciences, Tel Aviv University, Tel Aviv 69978, Israel; Department of Materials Sciences and Engineering, Iby and Aladar Fleischman Faculty of Engineering, Tel Aviv University, Tel Aviv 69978, Israel; Center for Nanoscience and Nanotechnology, and Tel Aviv University, Tel Aviv 69978, Israel; Cancer Biology Research Center, Tel Aviv University, Tel Aviv 69978, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kon</LastName>
                    <ForeName>Edo</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Precision NanoMedicine, Tel Aviv University, Tel Aviv 69978, Israel; School of Molecular Cell Biology and Biotechnology, George S Wise Faculty of Life Sciences, Tel Aviv University, Tel Aviv 69978, Israel; Department of Materials Sciences and Engineering, Iby and Aladar Fleischman Faculty of Engineering, Tel Aviv University, Tel Aviv 69978, Israel; Center for Nanoscience and Nanotechnology, and Tel Aviv University, Tel Aviv 69978, Israel; Cancer Biology Research Center, Tel Aviv University, Tel Aviv 69978, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dammes</LastName>
                    <ForeName>Niels</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Precision NanoMedicine, Tel Aviv University, Tel Aviv 69978, Israel; School of Molecular Cell Biology and Biotechnology, George S Wise Faculty of Life Sciences, Tel Aviv University, Tel Aviv 69978, Israel; Department of Materials Sciences and Engineering, Iby and Aladar Fleischman Faculty of Engineering, Tel Aviv University, Tel Aviv 69978, Israel; Center for Nanoscience and Nanotechnology, and Tel Aviv University, Tel Aviv 69978, Israel; Cancer Biology Research Center, Tel Aviv University, Tel Aviv 69978, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mechtinger</LastName>
                    <ForeName>Gilad</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Precision NanoMedicine, Tel Aviv University, Tel Aviv 69978, Israel; School of Molecular Cell Biology and Biotechnology, George S Wise Faculty of Life Sciences, Tel Aviv University, Tel Aviv 69978, Israel; Department of Materials Sciences and Engineering, Iby and Aladar Fleischman Faculty of Engineering, Tel Aviv University, Tel Aviv 69978, Israel; Center for Nanoscience and Nanotechnology, and Tel Aviv University, Tel Aviv 69978, Israel; Cancer Biology Research Center, Tel Aviv University, Tel Aviv 69978, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Peer</LastName>
                    <ForeName>Dan</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Precision NanoMedicine, Tel Aviv University, Tel Aviv 69978, Israel; School of Molecular Cell Biology and Biotechnology, George S Wise Faculty of Life Sciences, Tel Aviv University, Tel Aviv 69978, Israel; Department of Materials Sciences and Engineering, Iby and Aladar Fleischman Faculty of Engineering, Tel Aviv University, Tel Aviv 69978, Israel; Center for Nanoscience and Nanotechnology, and Tel Aviv University, Tel Aviv 69978, Israel; Cancer Biology Research Center, Tel Aviv University, Tel Aviv 69978, Israel. Electronic address: peer@tauex.tau.ac.il.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>J Control Release</MedlineTA>
            <NlmUniqueID>8607908</NlmUniqueID>
            <ISSNLinking>0168-3659</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121277</ArticleId>
            <ArticleId IdType="pii">S0168-3659(19)30288-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jconrel.2019.05.032</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121263</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-8057</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Molecular and cellular endocrinology</Title>
                <ISOAbbreviation>Mol. Cell. Endocrinol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Associations between neuropsychological performance and appetite-regulating hormones in patients with anorexia nervosa and healthy controls: Ghrelin's putative role as a mediator of decision-making.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0303-7207(19)30135-2</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.mce.2019.04.021</ELocationID>
            <Abstract>
                <AbstractText>Anorexia nervosa (AN) is a severe eating disorder accompanied by alterations in endocrinological circuits and deficits in neuropsychological performance. In this study, a series of appetite-regulating hormones (ghrelin, leptin, cholecystokinin, PYY, adiponectin, and visfatin) were measured under fasting conditions in female patients with AN and female healthy controls. All of the participants also underwent a battery of neuropsychological assessment [namely the Iowa Gambling Task (IGT), the Wisconsin Card Sorting Test (WCST), and the Stroop Color and Word Test (SCWT)]. As the main finding, we found that higher ghrelin levels predict better performance in the IGT. Ghrelin may be a putative mediator of decision-making, a finding that has not been described so far. The role of ghrelin in decision-making can only be described as speculative, as there are hardly any additional evidence-based data published up to date. Further studies are warranted.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Paslakis</LastName>
                    <ForeName>Georgios</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Toronto General Hospital, University Health Network, Toronto, Ontario, M5G 2C4, Canada; Department of Psychiatry, University of Toronto, Toronto, Ontario, M5T 1R8, Canada; Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Agüera</LastName>
                    <ForeName>Zaida</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain; CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Public Health, Mental Health and Perinatal Nursing, School of Nursing, University of Barcelona, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Granero</LastName>
                    <ForeName>Roser</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Psychobiology and Methodology of Health Science, Autonomous University of Barcelona, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sánchez</LastName>
                    <ForeName>Isabel</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Riesco</LastName>
                    <ForeName>Nadine</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jiménez-Murcia</LastName>
                    <ForeName>Susana</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain; CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Clinical Sciences, School of Medicine and Health Sciences, University of Barcelona, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fernández-García</LastName>
                    <ForeName>Jose C</ForeName>
                    <Initials>JC</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Diabetes, Endocrinology and Nutrition, Hospital Clínico Universitario Virgen de Victoria, Málaga, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Garrido-Sánchez</LastName>
                    <ForeName>Lourdes</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Diabetes, Endocrinology and Nutrition, Hospital Clínico Universitario Virgen de Victoria, Málaga, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tinahones</LastName>
                    <ForeName>Francisco J</ForeName>
                    <Initials>FJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Diabetes, Endocrinology and Nutrition, Hospital Clínico Universitario Virgen de Victoria, Málaga, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Casanueva</LastName>
                    <ForeName>Felipe F</ForeName>
                    <Initials>FF</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Medicine, Endocrinology Division, Santiago de Compostela University, Complejo Hospitalario Universitario, Santiago de Compostela, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Baños</LastName>
                    <ForeName>Rosa M</ForeName>
                    <Initials>RM</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Psychological, Personality, Evaluation and Treatment of the University of Valencia, Valencia, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Botella</LastName>
                    <ForeName>Cristina</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychological, Personality, Evaluation and Treatment of the University of Valencia, Valencia, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Crujeiras</LastName>
                    <ForeName>Ana B</ForeName>
                    <Initials>AB</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Medicine, Endocrinology Division, Santiago de Compostela University, Complejo Hospitalario Universitario, Santiago de Compostela, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Torre</LastName>
                    <ForeName>Rafael de la</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Integrated Pharmacology and Systems Neurosciences Research Group, Neuroscience Research Program Organization IMIM (Hospital del Mar Medical Research Institute), Barcelona, Spain; Department of Health and Experimental Sciences, Universitat Pompeu Fabra, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fernández-Real</LastName>
                    <ForeName>Jose M</ForeName>
                    <Initials>JM</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Diabetes, Endocrinology and Nutrition, Institu d'Investigació, Biomèdica de Girona (IdIBGi), Hospital Dr Josep Trueta, Girona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Frühbeck</LastName>
                    <ForeName>Gema</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Metabolic Research Laboratory, Clínica Universidad de Navarra, University of Navarra-IdiSNA, Pamplona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ortega</LastName>
                    <ForeName>Francisco J</ForeName>
                    <Initials>FJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Diabetes, Endocrinology and Nutrition, Institu d'Investigació, Biomèdica de Girona (IdIBGi), Hospital Dr Josep Trueta, Girona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rodríguez</LastName>
                    <ForeName>Amaia</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Metabolic Research Laboratory, Clínica Universidad de Navarra, University of Navarra-IdiSNA, Pamplona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Serra-Majem</LastName>
                    <ForeName>Luís</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Clinical Sciences, Research Institute of Biomedical and Health Sciences, University of Las Palmas de Gran Canaria, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fitó</LastName>
                    <ForeName>Montserrat</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Cardiovascular Risk and Nutrition Research Group, Inflammatory and Cardiovascular Disorders Research Program, IMIM (Hospital del Mar Medical Research Institute), Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Menchón</LastName>
                    <ForeName>José M</ForeName>
                    <Initials>JM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain; Department of Clinical Sciences, School of Medicine and Health Sciences, University of Barcelona, Barcelona, Spain; CIBER Salud Mental (CIBERSAM), Instituto Salud Carlos III, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fernández-Aranda</LastName>
                    <ForeName>Fernando</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychiatry, University Hospital of Bellvitge-IDIBELL, Barcelona, Spain; CIBER Fisiopatología Obesidad y Nutrición (CIBERobn), Instituto de Salud Carlos III, Barcelona, Spain; Department of Clinical Sciences, School of Medicine and Health Sciences, University of Barcelona, Barcelona, Spain. Electronic address: ffernandez@bellvitgehospital.cat.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
                <PublicationType UI="D016454">Review</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Ireland</Country>
            <MedlineTA>Mol Cell Endocrinol</MedlineTA>
            <NlmUniqueID>7500844</NlmUniqueID>
            <ISSNLinking>0303-7207</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Anorexia nervosa</Keyword>
            <Keyword MajorTopicYN="N">Appetite regulation</Keyword>
            <Keyword MajorTopicYN="N">Decision-making</Keyword>
            <Keyword MajorTopicYN="N">Ghrelin</Keyword>
            <Keyword MajorTopicYN="N">Neuropsychological performance</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>25</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121263</ArticleId>
            <ArticleId IdType="pii">S0303-7207(19)30135-2</ArticleId>
            <ArticleId IdType="doi">10.1016/j.mce.2019.04.021</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121258</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1878-1632</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>The spine journal : official journal of the North American Spine Society</Title>
                <ISOAbbreviation>Spine J</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Effect of Preoperative Symptom Duration on Outcome in Lumbar Spinal Stenosis: a CSORN registry study.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S1529-9430(19)30189-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.spinee.2019.05.008</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Lumbar degenerative stenosis is one of the most common spine pathologies for which surgical intervention is indicated. There is some evidence that a prolonged duration of neurological compression could lead to a failure of surgery to alleviate symptoms.</AbstractText>
                <AbstractText Label="PURPOSE" NlmCategory="OBJECTIVE">Determination of whether longer symptom duration was associated with worse post-operative disability outcomes after decompressive surgery for lumbar degenerative stenosis.</AbstractText>
                <AbstractText Label="STUDY DESIGN/SETTING" NlmCategory="METHODS">The Canadian Spine Outcomes and Research Network (CSORN) prospective database includes pre- and post-operative data from 18 tertiary care hospitals.</AbstractText>
                <AbstractText Label="PATIENT SAMPLE" NlmCategory="METHODS">The CSORN database was queried for all cases of degenerative lumbar stenosis receiving surgical decompression for neurogenic claudication or radiculopathy. Patients with tumor, infection, fracture, or previous surgery were excluded. Patients were divided into groups based on symptom duration (&lt;6 weeks, 6-12 weeks, 3-6 months, 6-12 months, 1-2 years, and &gt;2 years).</AbstractText>
                <AbstractText Label="OUTCOME MEASURES" NlmCategory="METHODS">Change between preoperative and 12-month postoperative Oswestry Disability Index (ODI) was compared between symptom duration groups. Secondary outcomes included SF12 physical component score, and numeric rating scales for leg and back pain. Outcomes were also assessed at 3 months and 24 months postoperatively.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">Change in ODI, and secondary outcome measures, were compared between different symptom duration groups. Multiple regression analysis was used to identify factors interacting with symptom duration to predict change in ODI.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Four hundred and seventy-eight cases of lumbar stenosis with 12-month postoperative data were identified. Longer symptom duration correlated with less improvement in ODI (p&lt;0.001). Patients with &gt;1 year of symptoms were less likely to achieve a Minimal Clinically Significant Difference in ODI (54.4% vs 66.1%; p=0.03) and were more likely to experience no improvement or worse disability, postoperatively (22.1% vs 11.3%; p=0.008). Similar results were found at 3- and 24-month timepoints. Smaller postoperative improvements in SF12 PCS and leg pain scales were also correlated with longer symptom duration (p&lt;0.05).</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Multicenter registry data provides important real-world evidence to guide consent, surgical planning, and health resource management. Longer symptom duration was found to correlate with less improvement in pain and disability after lumbar stenosis surgery suggesting that these patients may benefit from earlier treatment.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Cushnie</LastName>
                    <ForeName>Duncan</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: contact@duncancushnie.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Thomas</LastName>
                    <ForeName>Kenneth</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: kthomas@ucalgary.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jacobs</LastName>
                    <ForeName>W Bradley</ForeName>
                    <Initials>WB</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: wbjacobs@ucalgary.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cho</LastName>
                    <ForeName>Roger K H</ForeName>
                    <Initials>RKH</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: rocho@ucalgary.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Soroceanu</LastName>
                    <ForeName>Alex</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: alex.soroceanu@hotmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>AhnMD</LastName>
                    <ForeName>Henry</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Toronto, Toronto, ON, Canada; St. Michael's Hospital, Toronto, ON, Canada. Electronic address: AhnH@smh.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Attabib</LastName>
                    <ForeName>Najmedden</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dalhousie University, Halifax, NS, Canada. Electronic address: attabib2002@yahoo.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bailey</LastName>
                    <ForeName>Christopher S</ForeName>
                    <Initials>CS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Schulich School of Medicine, Western University, London, ON, Canada. Electronic address: Chris.Bailey@lhsc.on.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fisher</LastName>
                    <ForeName>Charles G</ForeName>
                    <Initials>CG</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of British Columbia, Vancouver, BC, Canada; Vancouver General Hospital, Vancouver, BC, Canada. Electronic address: Charles.Fisher@vch.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Glennie</LastName>
                    <ForeName>R Andrew</ForeName>
                    <Initials>RA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dalhousie University, Halifax, NS, Canada. Electronic address: andrew_glennie@hotmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hall</LastName>
                    <ForeName>Hamilton</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Toronto, Toronto, ON, Canada. Electronic address: hhall@cbi.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jarzem</LastName>
                    <ForeName>Peter</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>McGill Scoliosis &amp; Spine Group, Department of Surgery, McGill University, Montreal, QC, Canada. Electronic address: pjarzem@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Johnson</LastName>
                    <ForeName>Michael G</ForeName>
                    <Initials>MG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Winnipeg Spine Program Health Sciences Centre, University of Manitoba, Winnipeg, MN, Canada. Electronic address: mgjohnson@hsc.mb.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Manson</LastName>
                    <ForeName>Neil A</ForeName>
                    <Initials>NA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dalhousie University, Halifax, NS, Canada; Canada East Spine Centre, Saint John, NB, Canada. Electronic address: neilmansonmd@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nataraj</LastName>
                    <ForeName>Andrew</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Alberta, Edmonton, AB, Canada. Electronic address: anataraj@ualberta.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Paquet</LastName>
                    <ForeName>Jerome</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>CHU de Québec-Université Laval, Laval, QC, Canada. Electronic address: jerome_paquet@yahoo.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rampersaud</LastName>
                    <ForeName>Y Raja</ForeName>
                    <Initials>YR</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Toronto, Toronto, ON, Canada; University Health Network, Toronto, ON, Canada; Arthritis Program, Krembil Research Institute, Toronto, ON, Canada. Electronic address: raja.rampersaud@uhn.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Phan</LastName>
                    <ForeName>Philippe</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Ottawa, Ottawa, ON, Canada; The Ottawa Hospital Research Institute, Ottawa, ON, Canada. Electronic address: philippe.phan@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Casha</LastName>
                    <ForeName>Steven</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Calgary, Calgary, AB, Canada; Foothills Medical Centre, Calgary, AB, Canada. Electronic address: scasha2@outlook.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Spine J</MedlineTA>
            <NlmUniqueID>101130732</NlmUniqueID>
            <ISSNLinking>1529-9430</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121258</ArticleId>
            <ArticleId IdType="pii">S1529-9430(19)30189-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.spinee.2019.05.008</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121250</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-6513</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of pain and symptom management</Title>
                <ISOAbbreviation>J Pain Symptom Manage</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Evaluation of the Psychometric and Structural Properties of the Spanish Version of the Hospital Anxiety and Depression Scale in Latina Cancer Patients.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0885-3924(19)30243-X</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jpainsymman.2019.05.003</ELocationID>
            <Abstract>
                <AbstractText Label="CONTEXT" NlmCategory="BACKGROUND">The Hospital Anxiety and Depression Scale (HADS) is a brief self-report measure commonly used to screen for symptoms of anxiety and depression in cancer patients. The HADS has demonstrated validity in over 100 languages, including Spanish. However, validation studies have largely used European Spanish-speaking samples with a variety of medical diagnoses.</AbstractText>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">The aim of this study was to examine the psychometric properties of the Spanish version of the HADS in a sample of Spanish-speaking Latina women with cancer in the United States.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">Participants (N=242) completed self-report measures of anxiety and depression (HADS), quality of life (FACT-G), cancer-related distress (IES-R Intrusion Subscale), and cancer symptomatology (MSAS-SF) prior to initiating chemotherapy and 5-7 weeks later. Analyses evaluated internal consistency and test-retest reliability, construct validity, and convergent validity.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Factor analysis supported a 2-factor structure as proposed by the original HADS developers (X<sup>2</sup> (76, N = 242) = 143.3, p&lt;.001, CFI=.94, RMSEA=.06, SRMR=.06). The HADS and its subscales demonstrated good internal consistency (α= .83 to .88) and test-retest reliability (ICC=.76 to .82). Construct validity was evidenced by factor analysis and item-subscale, item-total, and subscale-total correlations. Convergent validity was demonstrated by strong positive correlations with cancer-related distress (r=.51 to .71) and symptom severity (r=.54 to .62) and strong negative correlations with quality of life (r=-.63 to -.76) (all p's &lt; .001).</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">The Spanish version of the HADS evidenced sound psychometric properties in Latinas with cancer in the United States, supporting its use in clinical oncology research and practice.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Hyland</LastName>
                    <ForeName>Kelly A</ForeName>
                    <Initials>KA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA; University of South Florida, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hoogland</LastName>
                    <ForeName>Aasha I</ForeName>
                    <Initials>AI</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA; University of South Florida, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gonzalez</LastName>
                    <ForeName>Brian D</ForeName>
                    <Initials>BD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nelson</LastName>
                    <ForeName>Ashley M</ForeName>
                    <Initials>AM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA; University of South Florida, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lechner</LastName>
                    <ForeName>Suzanne</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Miami, Miami, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tyson</LastName>
                    <ForeName>Dinorah Martinez</ForeName>
                    <Initials>DM</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of South Florida, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Barata</LastName>
                    <ForeName>Anna</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Hospital de la Santa Creu I Sant Pau, Universitat Autònoma de Barcelona, Barcelona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gomez</LastName>
                    <ForeName>Maria F</ForeName>
                    <Initials>MF</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Antoni</LastName>
                    <ForeName>Michael H</ForeName>
                    <Initials>MH</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Miami, Miami, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Small</LastName>
                    <ForeName>Brent</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA; University of South Florida, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Meade</LastName>
                    <ForeName>Cathy D</ForeName>
                    <Initials>CD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA. Electronic address: cathy.meade@moffitt.org.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jacobsen</LastName>
                    <ForeName>Paul B</ForeName>
                    <Initials>PB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Healthcare Delivery Research Program, National Cancer Institute, Bethesda, MD, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jim</LastName>
                    <ForeName>Heather S L</ForeName>
                    <Initials>HSL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Moffitt Cancer Center, Tampa, FL, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Pain Symptom Manage</MedlineTA>
            <NlmUniqueID>8605836</NlmUniqueID>
            <ISSNLinking>0885-3924</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Anxiety</Keyword>
            <Keyword MajorTopicYN="N">Cancer</Keyword>
            <Keyword MajorTopicYN="N">Depression</Keyword>
            <Keyword MajorTopicYN="N">Latina</Keyword>
            <Keyword MajorTopicYN="N">Psychometric</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121250</ArticleId>
            <ArticleId IdType="pii">S0885-3924(19)30243-X</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jpainsymman.2019.05.003</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121240</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-9711</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Neurotoxicology</Title>
                <ISOAbbreviation>Neurotoxicology</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Measuring the middle-ear reflex: A quantitative method to assess effects of industrial solvents on central auditory pathways.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0161-813X(19)30047-6</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.neuro.2019.05.007</ELocationID>
            <Abstract>
                <AbstractText>Volatile organic solvents are frequently present in industrial atmospheres. Their lipophilic properties mean they quickly reach the brain following inhalation. Acute exposure to some solvents perturbs the middle ear reflex, which could jeopardize cochlear protection against loud noises. As the physiological mechanisms involved in this protective reflex are highly complex, in vivo rodent models are required to allow rapid and reliable identification of any adverse effects of solvents on the middle ear reflex (MER). In this study, MER amplitude was measured in anesthetized Brown-Norway rats by monitoring the decrease in distortion product otoacoustic emissions (DPOAEs) caused by a contralateral stimulation. Our screening test consisted in measuring the impact of inhalation of solvent vapors at 3000 ppm for 15 minutes on the MER amplitude. We had previously studied a selection of aromatic solvents with this model; here, we extended the analysis to volatile compounds from other chemical families. The results obtained shed light on the mechanisms involved in the interactions between solvents and their neuronal targets. Thus, benzene and chlorobenzene had the greatest effect on MER (≥ +1.8 dB), followed by a group composed of toluene, styrene, p-xylene, m-xylene, tetrachloroethylene and cyclohexane, which had a moderate effect on the MER (between +0.3 and +0.7 dB). Finally, trichloroethylene, n-hexane, methyl-ethyl-ketone, acetone, o-xylene, and ethylbenzene had no effect on the MER. Thus, the effect of solvents on the MER is not simply linked to their lipophilicity, rather it depends on specific interactions with neuronal targets. These interactions appear to be governed by the compound's chemical structure, e.g. the presence of an aromatic ring and its steric hindrance. In addition, perturbation of the MER by a solvent is independent of its toxic effects on cochlear cells. As the MER plays a protective role against exposure to high-intensity noises, these findings could have a significant impact in terms of prevention for subjects exposed to both noise and solvents.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Wathier</LastName>
                    <ForeName>Ludivine</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Venet</LastName>
                    <ForeName>Thomas</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bonfanti</LastName>
                    <ForeName>Elodie</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nunge</LastName>
                    <ForeName>Hervé</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cosnier</LastName>
                    <ForeName>Frédéric</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Parietti-Winkler</LastName>
                    <ForeName>Cécile</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Service d'O.R.L. et Chirurgie Cervico-faciale. CHU-Hôpital Central. F-54000, Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Campo</LastName>
                    <ForeName>Pierre</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France; Développement, Adaptation et Handicap EA3450. Université de Lorraine. Faculté de Médecine de Nancy. F-54505, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pouyatos</LastName>
                    <ForeName>Benoît</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institut National de Recherche et de Sécurité. F-54519, Vandœuvre-lès-Nancy, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Neurotoxicology</MedlineTA>
            <NlmUniqueID>7905589</NlmUniqueID>
            <ISSNLinking>0161-813X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Middle-ear reflex</Keyword>
            <Keyword MajorTopicYN="N">Occupational exposure</Keyword>
            <Keyword MajorTopicYN="N">Screening test</Keyword>
            <Keyword MajorTopicYN="N">Solvent</Keyword>
            <Keyword MajorTopicYN="N">in vivo model</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>21</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121240</ArticleId>
            <ArticleId IdType="pii">S0161-813X(19)30047-6</ArticleId>
            <ArticleId IdType="doi">10.1016/j.neuro.2019.05.007</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121238</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-9711</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Neurotoxicology</Title>
                <ISOAbbreviation>Neurotoxicology</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Changes in Thyroid Hormone Activity Disrupt Photomotor Behavior of Larval Zebrafish.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0161-813X(19)30048-8</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.neuro.2019.05.008</ELocationID>
            <Abstract>
                <AbstractText>High throughput in vitro, in silico, and computational approaches have identified numerous environmental chemicals that interfere with thyroid hormone (TH) activity, and it is posited that human exposures to such chemicals is a contributing factor to neurodevelopmental disorders. However, whether hits in TH activity screens are predictive of developmental neurotoxicity (DNT) has yet to be systematically addressed. The zebrafish has been proposed as a second tier model for assessing the in vivo DNT potential of TH active chemicals. As an initial evaluation of the feasibility of this proposal, we determined whether an endpoint often used to assess DNT in larval zebrafish, specifically photomotor behavior, is altered by experimentally induced hyper- and hypothyroidism. Developmental hyperthyroidism was simulated by static waterborne exposure of zebrafish to varying concentrations (3-300 nM) of thyroxine (T4) or triiodothyronine (T3) beginning at 6 hours post-fertilization (hpf) and continuing through 5 days post-fertilization (dpf). Teratogenic effects and lethality were observed at 4 and 5 dpf in fish exposed to T4 or T3 at concentrations &gt; 30 nM. However, as early as 3 dpf, T4 (&gt; 3 nM) and T3 (&gt; 10 nM) significantly increased swimming activity triggered by sudden changes from light to dark, particularly during the second dark period (Dark 2). Conversely, developmental hypothyroidism, which was induced by treatment with 6-propyl-2-thiouracil (PTU), morpholino knockdown of the TH transporter mct8, or ablation of thyroid follicles in adult females prior to spawning, generally decreased swimming activity during dark periods, although effects did vary across test days. All effects of developmental hypothyroidism on photomotor behavior occurred independent of teratogenic effects and were most robust during Dark 2. Treatment with the T4 analog, Tetrac, restored photomotor response in mct8 morphants to control levels. Collectively, these findings suggest that while the sensitivity of photomotor behavior in larval zebrafish to detect TH disruption is influenced by test parameters, this test can distinguish between TH promoting and TH blocking activity and may be useful for assessing the DNT potential of TH-active chemicals.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Walter</LastName>
                    <ForeName>Kyla M</ForeName>
                    <Initials>KM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Molecular Biosciences, University of California-Davis School of Veterinary Medicine, Davis, CA, 95616, United States. Electronic address: kwalter@ucdavis.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Miller</LastName>
                    <ForeName>Galen W</ForeName>
                    <Initials>GW</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Molecular Biosciences, University of California-Davis School of Veterinary Medicine, Davis, CA, 95616, United States. Electronic address: gwmiller@ucdavis.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Xiaopeng</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Molecular Biosciences, University of California-Davis School of Veterinary Medicine, Davis, CA, 95616, United States. Electronic address: chenxiaopengemail@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harvey</LastName>
                    <ForeName>Danielle J</ForeName>
                    <Initials>DJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Public Health Sciences University of California, Davis, School of Medicine, Davis, California 95616, United States. Electronic address: djharvey@ucdavis.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Puschner</LastName>
                    <ForeName>Birgit</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Molecular Biosciences, University of California-Davis School of Veterinary Medicine, Davis, CA, 95616, United States. Electronic address: bpuschner@ucdavis.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lein</LastName>
                    <ForeName>Pamela J</ForeName>
                    <Initials>PJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Molecular Biosciences, University of California-Davis School of Veterinary Medicine, Davis, CA, 95616, United States. Electronic address: pjlein@ucdavis.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Neurotoxicology</MedlineTA>
            <NlmUniqueID>7905589</NlmUniqueID>
            <ISSNLinking>0161-813X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">endocrine disruption</Keyword>
            <Keyword MajorTopicYN="N">photomotor behavior</Keyword>
            <Keyword MajorTopicYN="N">teratogenicity</Keyword>
            <Keyword MajorTopicYN="N">thyroid hormone</Keyword>
            <Keyword MajorTopicYN="N">zebrafish</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121238</ArticleId>
            <ArticleId IdType="pii">S0161-813X(19)30048-8</ArticleId>
            <ArticleId IdType="doi">10.1016/j.neuro.2019.05.008</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121229</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-0003</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>International journal of biological macromolecules</Title>
                <ISOAbbreviation>Int. J. Biol. Macromol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Structure based identification of novel inhibitors against ATP synthase of Mycobacterium tuberculosis: A combined in silico and in vitro study.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0141-8130(19)31095-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ijbiomac.2019.05.108</ELocationID>
            <Abstract>
                <AbstractText>The shortcomings of conventional tuberculosis treatments resulting from the development of drug resistance in Mycobacterium tuberculosis drive a need for the formulation of novel therapeutic agents. The diarylquinoline class of drugs such as bedaquiline was recently approved for the treatment of multidrug-resistant strains of tuberculosis, primarily targeting c and ε subunits of the ATP synthases. Yet resistance to bedaquiline has already been reported. Therefore, Rv1311 was used as the target for the identification of possible inhibitors against the M. tuberculosis. The structure of Rv1311 was predicted and common feature pharmacophore models were generated which facilitated the identification of potential inhibitors in the ZINC database. The activities of the selected molecules were compared with known inhibitors of the ATP synthase using quantitative structure-activity relationship. The ZINC classified inhibitors showed comparable predicted activities with that of known inhibitors. Furthermore, the inhibitory behavior of the studied drug molecules was experimentally determined using in vitro techniques and showed the minimum inhibitory concentration as low as 25 μM. The resulted outcomes provide a deeper insight into the structural basis of Rv1311 inhibitions and can facilitate the process of drug design against tuberculosis.</AbstractText>
                <CopyrightInformation>Copyright © 2018. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Shahbaaz</LastName>
                    <ForeName>Mohd</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>South African National Bioinformatics Institute (SANBI), SA Medical Research Council Bioinformatics Unit, University of the Western Cape, Private Bag X17, Bellville, 7535 Cape Town, South Africa.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cloete</LastName>
                    <ForeName>Ruben</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>South African National Bioinformatics Institute (SANBI), SA Medical Research Council Bioinformatics Unit, University of the Western Cape, Private Bag X17, Bellville, 7535 Cape Town, South Africa.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Grobbelaar</LastName>
                    <ForeName>Melanie</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>DST-NRF Centre of Excellence for Biomedical Tuberculosis Research, SA MRC Centre for TB Research, Division of Molecular Biology and Human Genetics, Faculty of Medicine and Health Sciences, Stellenbosch University, Cape Town, South Africa.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sampson</LastName>
                    <ForeName>Samantha</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>DST-NRF Centre of Excellence for Biomedical Tuberculosis Research, SA MRC Centre for TB Research, Division of Molecular Biology and Human Genetics, Faculty of Medicine and Health Sciences, Stellenbosch University, Cape Town, South Africa.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Christoffels</LastName>
                    <ForeName>Alan</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>South African National Bioinformatics Institute (SANBI), SA Medical Research Council Bioinformatics Unit, University of the Western Cape, Private Bag X17, Bellville, 7535 Cape Town, South Africa. Electronic address: alan@sanbi.ac.za.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Int J Biol Macromol</MedlineTA>
            <NlmUniqueID>7909578</NlmUniqueID>
            <ISSNLinking>0141-8130</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">ATP synthase</Keyword>
            <Keyword MajorTopicYN="N">Molecular docking</Keyword>
            <Keyword MajorTopicYN="N">Molecular dynamic simulations</Keyword>
            <Keyword MajorTopicYN="N">Mycobacterium tuberculosis</Keyword>
            <Keyword MajorTopicYN="N">Pharmacophore modeling</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121229</ArticleId>
            <ArticleId IdType="pii">S0141-8130(19)31095-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ijbiomac.2019.05.108</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121228</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-0003</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>International journal of biological macromolecules</Title>
                <ISOAbbreviation>Int. J. Biol. Macromol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Extracellular polysaccharide produced by Chlorella vulgaris - Chemical characterization and anti-asthmatic profile.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0141-8130(19)32253-6</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ijbiomac.2019.05.104</ELocationID>
            <Abstract>
                <AbstractText>Microalgae are the lowest plant organisms producing a wide range of metabolites that make them interesting organisms for industrial applications. Cultivation of green microalgal species Chlorella vulgaris resulted a significant production of extracellular polysaccharide (EPS). Preliminary chemico-spectroscopic studies on EPS revealed its molecular profile, a complex primary structure consisting of six monosaccharide units occurring in both furano and pyrano forms, a high sugar binding variability and the presence of partially methylated derivatives of some sugar constituents. Biological activity tests showed that EPS caused significant bronchodilatory, anti-inflammatory and antitussive effects in test animals. Chlorella EPS appears to be a promising agent for the prevention of chronic airway inflammation, which is the basic pathogenic mechanism of many respiratory diseases, including bronchial asthma.</AbstractText>
                <CopyrightInformation>Copyright © 2018. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Barboríková</LastName>
                    <ForeName>Jana</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pharmacology, Jessenius Faculty of Medicine, 03601 Martin, Slovakia; Biomedical Center, Jessenius Faculty of Medicine, 03601 Martin, Slovakia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Šutovská</LastName>
                    <ForeName>Martina</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pharmacology, Jessenius Faculty of Medicine, 03601 Martin, Slovakia; Biomedical Center, Jessenius Faculty of Medicine, 03601 Martin, Slovakia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kazimierová</LastName>
                    <ForeName>Ivana</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biomedical Center, Jessenius Faculty of Medicine, 03601 Martin, Slovakia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jošková</LastName>
                    <ForeName>Marta</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pharmacology, Jessenius Faculty of Medicine, 03601 Martin, Slovakia; Biomedical Center, Jessenius Faculty of Medicine, 03601 Martin, Slovakia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fraňová</LastName>
                    <ForeName>Soňa</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pharmacology, Jessenius Faculty of Medicine, 03601 Martin, Slovakia; Biomedical Center, Jessenius Faculty of Medicine, 03601 Martin, Slovakia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kopecký</LastName>
                    <ForeName>Jiri</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Microbiology, Academy of Sciences of the Czech Republic, Treboň, Czechia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Capek</LastName>
                    <ForeName>Peter</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Chemistry, Center for Glycomics, Slovak Academy of Sciences, Dúbravská cesta 9, SK-84538 Bratislava, Slovakia. Electronic address: chemcape@savba.sk.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Int J Biol Macromol</MedlineTA>
            <NlmUniqueID>7909578</NlmUniqueID>
            <ISSNLinking>0141-8130</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Anti-asthmatic effect</Keyword>
            <Keyword MajorTopicYN="N">Extracellular polysaccharide</Keyword>
            <Keyword MajorTopicYN="N">Green microalgae</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>27</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121228</ArticleId>
            <ArticleId IdType="pii">S0141-8130(19)32253-6</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ijbiomac.2019.05.104</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121220</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-7549</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Behavioural brain research</Title>
                <ISOAbbreviation>Behav. Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Age and Sex Differences in Motivation and Spatial Working Memory in 3xTg-AD Mice in the Hebb-Williams Maze.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0166-4328(19)30356-0</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.bbr.2019.111937</ELocationID>
            <Abstract>
                <AbstractText>The 3xTg-AD mouse model of Alzheimer's disease (AD) has both amyloid beta plaque and tau tangle pathology. However, the results of behavioural testing with these mice have been inconsistent due to age- and sex-related differences, as well as differences in the difficulty of the tests used to measure cognitive function. In order to better understand the sex- and age-related spatial working memory deficits in the 3xTg-AD mice compared to their B6129S/F2 wildtype controls, we tested 4 and 7-month-old males and females and 13-month-old females in the Hebb-Williams maze. In the acquisition phase, the 3xTg-AD mice performed better than the WT controls, but the females of both genotypes showed motivational deficits; often returning to the start box and failing to eat the food reward, thus taking longer than males to meet the criterion for acquisition. The 3xTg-AD mice showed more working memory deficits than WT mice during the test phase, and the difference increased as the problems increased in difficulty. The results of this study indicate that female 3xTg-AD mice may have motivational deficits in tests using food reward and that the cognitive deficits of the 3xTg-AD mice are not apparent when the tests are too easy; the more difficult the task, the more deficits are shown in the 3xTg-AD mice compared to WT controls. Thus, the inconsistency in previous results may result from differences in motivation and in test difficulty and these must be considered when evaluating cognitive deficits in the 3xTg-AD mice.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fertan</LastName>
                    <ForeName>Emre</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Neuroscience, Dalhousie University, Halifax, Nova Scotia, B3H 4R2, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wong</LastName>
                    <ForeName>Aimée A</ForeName>
                    <Initials>AA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Neuroscience, Dalhousie University, Halifax, Nova Scotia, B3H 4R2, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vienneau</LastName>
                    <ForeName>Nicole A</ForeName>
                    <Initials>NA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Neuroscience, Dalhousie University, Halifax, Nova Scotia, B3H 4R2, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Brown</LastName>
                    <ForeName>Richard E</ForeName>
                    <Initials>RE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology and Neuroscience, Dalhousie University, Halifax, Nova Scotia, B3H 4R2, Canada. Electronic address: Richard.Brown@dal.ca.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Behav Brain Res</MedlineTA>
            <NlmUniqueID>8004872</NlmUniqueID>
            <ISSNLinking>0166-4328</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Alzheimer's disease</Keyword>
            <Keyword MajorTopicYN="N">Hebb-Williams maze</Keyword>
            <Keyword MajorTopicYN="N">learning and memory</Keyword>
            <Keyword MajorTopicYN="N">motivation</Keyword>
            <Keyword MajorTopicYN="N">mouse models</Keyword>
            <Keyword MajorTopicYN="N">sex difference</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>01</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121220</ArticleId>
            <ArticleId IdType="pii">S0166-4328(19)30356-0</ArticleId>
            <ArticleId IdType="doi">10.1016/j.bbr.2019.111937</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121219</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-7549</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Behavioural brain research</Title>
                <ISOAbbreviation>Behav. Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Behavioral consequences of co-administration of MTEP and the COX-2 inhibitor NS398 in mice. Part 1.</ArticleTitle>
            <Pagination>
                <MedlinePgn>111961</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0166-4328(18)31729-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.bbr.2019.111961</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">The immunologic modulation of glutamate (Glu) neurotransmission is a topic of great interest. Neuroinflammation is an intrinsic component of neurodegenerative diseases, as well as a factor responsible for cognitive and behavioral changes. Cyclooxygenase-2 (COX-2) expression in the brain was shown to be associated with inflammation. COX-2 is also widely expressed in the brain including neurons and glia and participates in fundamental brain functions, e.g. in synaptic plasticity or memory consolidation. Furthermore, COX-2/Glu interplay has been reported, while metabotropic glutamate receptors (mGluRs) are known to contribute to plastic changes and to behavior. The primary goal of this study was to explain the behavioral consequences of the modulation of the glutamatergic pathway via the interaction of the mGlu5 receptor and COX-2, utilizing a panel of behavioral tests.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">To determine whether the glutamatergic pathway and COX-2 are involved in modulating the behavior of mice, C57B1/6 J and CD-1 male mice were injected daily with MTEP an mGluR5 antagonist, or a combination of MTEP and NS398 (COX-2 inhibitor) for 7 and 14 days. The following behavioral tests were used to screen for possible effects of the drug administration and interaction of the 2 compounds: the modified Barnes maze (MBM), stress-induced hyperthermia (SIH), Porsolt test (PT), tail suspension test (TST), modified rotarod (MR), and social interaction (SI) test.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">A time-dependent influence on spatial learning was found after the co-administration of MTEP and NS398. Furthermore, NS398 injected chronically amplified the antidepressant-like effects of MTEP in the PT and TST, and influenced the tolerance development observed after MTEP treatment in the SIH test.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Stachowicz</LastName>
                    <ForeName>Katarzyna</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Maj Institute of Pharmacology, Polish Academy of Sciences, Smętna 12, 31-343 Krakow, Poland. Electronic address: stachow@if-pan.krakow.pl.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Behav Brain Res</MedlineTA>
            <NlmUniqueID>8004872</NlmUniqueID>
            <ISSNLinking>0166-4328</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">COX-2</Keyword>
            <Keyword MajorTopicYN="N">Modified Barnes Maze</Keyword>
            <Keyword MajorTopicYN="N">Social Interactions</Keyword>
            <Keyword MajorTopicYN="N">TST</Keyword>
            <Keyword MajorTopicYN="N">mGluR5</Keyword>
            <Keyword MajorTopicYN="N">mice</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121219</ArticleId>
            <ArticleId IdType="pii">S0166-4328(18)31729-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.bbr.2019.111961</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121218</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-7549</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Behavioural brain research</Title>
                <ISOAbbreviation>Behav. Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Somatotopic representation of tactile duration: evidence from tactile duration aftereffect.</ArticleTitle>
            <Pagination>
                <MedlinePgn>111954</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="pii" ValidYN="Y">S0166-4328(19)30016-6</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.bbr.2019.111954</ELocationID>
            <Abstract>
                <AbstractText>Accurate perception of sub-second tactile duration is critical for successful human-machine interaction and human daily life. However, it remains debated where the cortical processing of tactile duration takes place. Previous studies have shown that prolonged adaptation to a relatively long or short auditory or visual stimulus leads to a repulsive duration aftereffect such that the durations of subsequent test stimuli within a certain range appear to be contracted or expanded. Here, we demonstrated a robust repulsive tactile duration aftereffect with the method of single stimuli, where participants determined whether the duration of the test stimulus was shorter or longer than the internal mean formed before the adaptation (Experiment 1A). The tactile duration aftereffect was also observed when participants reproduced the duration of the test stimulus by holding down a button press (Experiment 1B). Importantly, the observed tactile duration aftereffect was tuned around the adapting durations (Experiment 1C). Moreover, the effect was confined in the adapted sensory modality (Experiment 2) and the enacted fingers within a somatotopic framework (Experiment 3). These findings suggest the early somatosensory areas with the topographic organization of hands play an essential role in sub-second tactile duration perception.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Baolin</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Psychological and Cognitive Sciences and Beijing Key Laboratory of Behavior and Mental Health, Peking University, Beijing, China. Electronic address: lblpsy@pku.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Lihan</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Psychological and Cognitive Sciences and Beijing Key Laboratory of Behavior and Mental Health, Peking University, Beijing, China; Key Laboratory of Machine Perception (Ministry of Education), Peking University, Beijing, China. Electronic address: clh@pku.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fang</LastName>
                    <ForeName>Fang</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Psychological and Cognitive Sciences and Beijing Key Laboratory of Behavior and Mental Health, Peking University, Beijing, China; Key Laboratory of Machine Perception (Ministry of Education), Peking University, Beijing, China; Peking-Tsinghua Center for Life Sciences, Peking University, Beijing, China; PKU-IDG/McGovern Institute for Brain Research, Peking University, Beijing, China. Electronic address: ffang@pku.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Behav Brain Res</MedlineTA>
            <NlmUniqueID>8004872</NlmUniqueID>
            <ISSNLinking>0166-4328</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">adaptation aftereffect</Keyword>
            <Keyword MajorTopicYN="N">somatotopic distance</Keyword>
            <Keyword MajorTopicYN="N">somatotopic processing</Keyword>
            <Keyword MajorTopicYN="N">tactile duration</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121218</ArticleId>
            <ArticleId IdType="pii">S0166-4328(19)30016-6</ArticleId>
            <ArticleId IdType="doi">10.1016/j.bbr.2019.111954</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121203</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-8111</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Neuroscience research</Title>
                <ISOAbbreviation>Neurosci. Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Coffee polyphenols prevent cognitive dysfunction and suppress amyloid β plaques in APP/PS2 transgenic mouse.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0168-0102(18)30575-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.neures.2019.05.001</ELocationID>
            <Abstract>
                <AbstractText>Epidemiological studies have found that habitual coffee consumption may reduce the risk of Alzheimer's disease. Coffee contains numerous phenolic compounds (coffee polyphenols) such as chlorogenic acids. However, evidence demonstrating the contribution of chlorogenic acids to the prevention of cognitive dysfunction induced by Alzheimer's disease is limited. The present study investigated the effect of chlorogenic acids on the prevention of cognitive dysfunction in APP/PS2 transgenic mouse model of Alzheimer's disease. Five-week-old APP/PS2 mice were administered a diet supplemented with coffee polyphenols daily for 5 months. The memory and cognitive function of mice was determined using the novel object recognition test, Morris water maze test, and the step-through passive avoidance test. Immunohistochemical analysis revealed that chronic treatment with coffee polyphenols prevented cognitive dysfunction and significantly reduced the amount of amyloid β (Aβ) plaques in the hippocampus. Furthermore, we determined that 5-caffeoylquinic acid, one of the primary coffee polyphenols, did not inhibit Aβ fibrillation; however, degraded Aβ fibrils. In conclusion, our results demonstrate that coffee polyphenols prevent cognitive deficits and reduce Aβ plaque deposition via disaggregation of Aβ in the APP/PS2 mouse.</AbstractText>
                <CopyrightInformation>Copyright © 2019 The Authors. Published by Elsevier B.V. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Ishida</LastName>
                    <ForeName>Keiko</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: ishida.keiko2@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yamamoto</LastName>
                    <ForeName>Masaki</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: yamamoto.masaki@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Misawa</LastName>
                    <ForeName>Kensuke</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: misawa.kensuke@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nishimura</LastName>
                    <ForeName>Hitomi</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: nishimura.hitomi@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Misawa</LastName>
                    <ForeName>Koichi</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: misawa.koichi@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ota</LastName>
                    <ForeName>Noriyasu</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biological Science Laboratories, Kao Corporation, 2606 Akabane, Ichikai-machi, Haga-gun, Tochigi, 321-3497, Japan. Electronic address: ota.noriyasu@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Shimotoyodome</LastName>
                    <ForeName>Akira</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Health Care Food Research Laboratories, Kao Corporation, 2-1-3 Bunka, Sumida, Tokyo, 131-8501, Japan. Electronic address: shimotoyodome.akira@kao.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Ireland</Country>
            <MedlineTA>Neurosci Res</MedlineTA>
            <NlmUniqueID>8500749</NlmUniqueID>
            <ISSNLinking>0168-0102</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Alzheimer’s disease</Keyword>
            <Keyword MajorTopicYN="N">Amyloid β peptides</Keyword>
            <Keyword MajorTopicYN="N">Chlorogenic acid</Keyword>
            <Keyword MajorTopicYN="N">Cognitive function</Keyword>
            <Keyword MajorTopicYN="N">Polyphenolic</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>11</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>26</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121203</ArticleId>
            <ArticleId IdType="pii">S0168-0102(18)30575-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.neures.2019.05.001</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121202</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-5894</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Magnetic resonance imaging</Title>
                <ISOAbbreviation>Magn Reson Imaging</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Multi-modal imaging with specialized sequences improves accuracy of the automated subcortical grey matter segmentation.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0730-725X(19)30091-8</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.mri.2019.05.025</ELocationID>
            <Abstract>
                <AbstractText>The basal ganglia and limbic system, particularly the thalamus, putamen, internal and external globus pallidus, substantia nigra, and sub-thalamic nucleus, comprise a clinically relevant signal network for Parkinson's disease. In order to manually trace these structures, a combination of high-resolution and specialized sequences at 7 T are used, but it is not feasible to routinely scan clinical patients in those scanners. Targeted imaging sequences at 3 T have been presented to enhance contrast in a select group of these structures. In this work, we show that a series of atlases generated at 7 T can be used to accurately segment these structures at 3 T using a combination of standard and optimized imaging sequences, though no one approach provided the best result across all structures. In the thalamus and putamen, a median Dice Similarity Coefficient (DSC) over 0.88 and a mean surface distance &lt;1.0 mm were achieved using a combination of T1 and an optimized inversion recovery imaging sequences. In the internal and external globus pallidus a DSC over 0.75 and a mean surface distance &lt;1.2 mm were achieved using a combination of T1 and inversion recovery imaging sequences. In the substantia nigra and sub-thalamic nucleus a DSC of over 0.6 and a mean surface distance of &lt;1.0 mm were achieved using the inversion recovery imaging sequence. On average, using T1 and optimized inversion recovery together significantly improved segmentation results than over individual modality (p &lt; 0.05 Wilcoxon sign-rank test).</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Plassard</LastName>
                    <ForeName>Andrew J</ForeName>
                    <Initials>AJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Computer Science, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bao</LastName>
                    <ForeName>Shunxing</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Computer Science, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA. Electronic address: Shunxing.Bao@vanderbilt.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>D'Haese</LastName>
                    <ForeName>Pierre F</ForeName>
                    <Initials>PF</Initials>
                    <AffiliationInfo>
                        <Affiliation>Electrical Engineering, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pallavaram</LastName>
                    <ForeName>Srivatsan</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Electrical Engineering, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Claassen</LastName>
                    <ForeName>Daniel O</ForeName>
                    <Initials>DO</Initials>
                    <AffiliationInfo>
                        <Affiliation>Neurology, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dawant</LastName>
                    <ForeName>Benoit M</ForeName>
                    <Initials>BM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Computer Science, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA; Electrical Engineering, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Landman</LastName>
                    <ForeName>Bennett A</ForeName>
                    <Initials>BA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Computer Science, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA; Electrical Engineering, Vanderbilt University, 2301 Vanderbilt Place, Nashville, TN 37235, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Magn Reson Imaging</MedlineTA>
            <NlmUniqueID>8214883</NlmUniqueID>
            <ISSNLinking>0730-725X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Multi-atlas</Keyword>
            <Keyword MajorTopicYN="N">Multi-modal</Keyword>
            <Keyword MajorTopicYN="N">Segmentation</Keyword>
            <Keyword MajorTopicYN="N">Subcortical grey matter</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121202</ArticleId>
            <ArticleId IdType="pii">S0730-725X(19)30091-8</ArticleId>
            <ArticleId IdType="doi">10.1016/j.mri.2019.05.025</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121194</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1532-8392</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Human pathology</Title>
                <ISOAbbreviation>Hum. Pathol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>PD-L1 expression in non-small cell lung cancer: evaluation of the diagnostic accuracy of a laboratory developed test using clone E1L3N in comparison with 22C3 and SP263 assays.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0046-8177(19)30088-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.humpath.2019.05.003</ELocationID>
            <Abstract>
                <AbstractText>Different studies have evaluated the comparability of various immunohistochemical assays for PD-L1 expression evaluation, with contrasting results. Besides the important issues related to analytic performance and comparability of validated assays, not all platforms are available in all laboratories; moreover, standardized assays are very expensive and funding for PD-L1 testing is hard to obtain, especially in the research setting. One of the most widely used and inexpensive PD-L1 clone is E1L3N (Cell Signaling Technology, Danvers, MA), which is labeled for research use only. In this work, we wanted to further study and validate in a larger cohort the analytical performance of E1L3N clone on Ventana platform and its comparability with assays SP263 and 22C3 run onto their dedicated platforms. Serial sections of tissue microarrays built from 165 cases of resected lung cancer were stained for E1L3N onto Ventana platform following a previously reported protocol and for 22C3 and SP263 assays onto their respective platforms following manufacturer's instructions. Overall, we found very high concordance when comparing E1L3N with SP263 both at 1% and 50% cutoffs. Lower overall concordance was found between E1L3N and 22C3 at both cutoff; however, 100% sensitivity was found for E1L3N compared with both SP263 and 22C3 at 50% cutoff. Given the 100% sensitivity at 50% cutoff demonstrated by E1L3N in comparison with both SP263 and 22C3 and therefore the lack of false negative cases, we propose an algorithm for PD-L1 testing in NSCLC when considering pembrolizumab as first line therapy.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Munari</LastName>
                    <ForeName>Enrico</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, IRCCS Sacro Cuore Don Calabria, 37024 Negrar (VR), Italy. Electronic address: enrico_munari@yahoo.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zamboni</LastName>
                    <ForeName>Giuseppe</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, IRCCS Sacro Cuore Don Calabria, 37024 Negrar (VR), Italy; Deaprtment of Diagnostics and Public Health, University of Verona, 37134 Verona, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lunardi</LastName>
                    <ForeName>Gianluigi</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Oncology, IRCCS Sacro Cuore Don Calabria, 37024 Negrar (VR), Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Marconi</LastName>
                    <ForeName>Marcella</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, IRCCS Sacro Cuore Don Calabria, 37024 Negrar (VR), Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Brunelli</LastName>
                    <ForeName>Matteo</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Deaprtment of Diagnostics and Public Health, University of Verona, 37134 Verona, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Martignoni</LastName>
                    <ForeName>Guido</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, Pederzoli Hospital, 37019 Peschiera del Garda (VR), Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Netto</LastName>
                    <ForeName>George J</ForeName>
                    <Initials>GJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Alabama at Birmingham, Birmingham, AL, 35233-7331, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Quatrini</LastName>
                    <ForeName>Linda</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Immunology Area, IRCCS Bambino Gesù Pediatric Hospital, Rome, Italy, 00146, Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vacca</LastName>
                    <ForeName>Paola</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Immunology Area, IRCCS Bambino Gesù Pediatric Hospital, Rome, Italy, 00146, Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Moretta</LastName>
                    <ForeName>Lorenzo</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Immunology Area, IRCCS Bambino Gesù Pediatric Hospital, Rome, Italy, 00146, Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bogina</LastName>
                    <ForeName>Giuseppe</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, IRCCS Sacro Cuore Don Calabria, 37024 Negrar (VR), Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Hum Pathol</MedlineTA>
            <NlmUniqueID>9421547</NlmUniqueID>
            <ISSNLinking>0046-8177</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">22C3</Keyword>
            <Keyword MajorTopicYN="N">Comparison</Keyword>
            <Keyword MajorTopicYN="N">E1L3N</Keyword>
            <Keyword MajorTopicYN="N">Lung Cancer</Keyword>
            <Keyword MajorTopicYN="N">PD-L1</Keyword>
            <Keyword MajorTopicYN="N">SP263</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121194</ArticleId>
            <ArticleId IdType="pii">S0046-8177(19)30088-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.humpath.2019.05.003</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121191</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1532-8392</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Human pathology</Title>
                <ISOAbbreviation>Hum. Pathol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>In situ hybridization for high-risk HPV E6/E7 mRNA is a superior method for detecting transcriptionally active HPV in oropharyngeal cancer.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0046-8177(19)30091-7</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.humpath.2019.05.006</ELocationID>
            <Abstract>
                <AbstractText>Current human papillomavirus (HPV) detection methods in oropharyngeal squamous cell carcinoma (OPSCC) have varying sensitivity and specificity. We aimed to compare different HPV-detection methods against the test used in clinical practice i.e. p16 immunohistochemistry (IHC) and to evaluate whether another HPV-detection test additional to p16 IHC would be worthwhile in OPSCC specimen. The study cohort comprised 357 consecutive OPSCC patients during two time periods: 2000-2009 and 2012-2016. From tumor tissue slides, HPV mRNA via in situ hybridization (ISH), HPV DNA via ISH and HPV DNA via polymerase chain reaction (PCR) were detected. The results of these methods were compared with p16 IHC results. Additionally, clinicopathological factors were compared with the methods studied. The sensitivity of HPV mRNA ISH, HPV DNA ISH and HPV DNA PCR were 93.4%, 86.3% and 83.5%, respectively. The corresponding specificity was 92.4%, 95.3%, and 89.1%, respectively. The negative predictive value for p16 IHC was highest (89.0%) when using mRNA ISH, and followed by DNA ISH (83.5%). ISH for high-risk HPV E6/E7 mRNA was found to be a highly specific and sensitive method for detecting HPV in OPSCC. As p16 protein may be overexpressed due to HPV-independent mechanisms, all p16 IHC-positive OPSCCs should be considered for retesting using mRNA ISH in order to verify transcriptionally active HPV. This is especially critical when considering de-escalated treatment approaches for patients with HPV-positive tumors and still maintaining favorable outcomes for this subgroup of patients.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Randén-Brady</LastName>
                    <ForeName>Reija</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 21, FI-00014 HUS, Helsinki, Finland. Electronic address: reija.randen-brady@hus.fi.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Carpén</LastName>
                    <ForeName>Timo</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 21, FI-00014 HUS, Helsinki, Finland; Department of Otorhinolaryngology - Head and Neck Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 263, FI-00029 HUS, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jouhi</LastName>
                    <ForeName>Lauri</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Otorhinolaryngology - Head and Neck Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 263, FI-00029 HUS, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Syrjänen</LastName>
                    <ForeName>Stina</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Oral Pathology and Oral Radiology, University of Turku and Department of Pathology, Turku University Hospital, Lemminkäisenkatu 2, F, IN-20520, Turku, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Haglund</LastName>
                    <ForeName>Caj</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 440, FI-00029 HUS, Helsinki, Finland; Research Programs Unit, Translational Cancer Biology, University of Helsinki, P.O.Box 63, FI-00014, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tarkkanen</LastName>
                    <ForeName>Jussi</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 21, FI-00014 HUS, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Remes</LastName>
                    <ForeName>Satu</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 21, FI-00014 HUS, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mäkitie</LastName>
                    <ForeName>Antti</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Otorhinolaryngology - Head and Neck Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 263, FI-00029 HUS, Helsinki, Finland; Division of Ear, Nose and Throat Diseases, Department of Clinical Sciences, Intervention and Technology, Karolinska Institutet and Karolinska Hospital, SE-171 76, Stockholm, Sweden; Research Programme in Systems Oncology, Faculty of Medicine, University of Helsinki, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mattila</LastName>
                    <ForeName>Petri S</ForeName>
                    <Initials>PS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Otorhinolaryngology - Head and Neck Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 263, FI-00029 HUS, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Silén</LastName>
                    <ForeName>Suvi</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Otorhinolaryngology - Head and Neck Surgery, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 263, FI-00029 HUS, Helsinki, Finland; Department of Biosciences and Nutrition, Karolinska Institutet, SE-171 76, Stockholm, Sweden.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hagström</LastName>
                    <ForeName>Jaana</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pathology, University of Helsinki and HUS Helsinki University Hospital, P.O.Box 21, FI-00014 HUS, Helsinki, Finland; Research Programs Unit, Translational Cancer Biology, University of Helsinki, P.O.Box 63, FI-00014, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Hum Pathol</MedlineTA>
            <NlmUniqueID>9421547</NlmUniqueID>
            <ISSNLinking>0046-8177</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Carcinoma</Keyword>
            <Keyword MajorTopicYN="N">DNA</Keyword>
            <Keyword MajorTopicYN="N">Oropharynx</Keyword>
            <Keyword MajorTopicYN="N">Polymerase Chain Reaction</Keyword>
            <Keyword MajorTopicYN="N">RNA</Keyword>
            <Keyword MajorTopicYN="N">Viral Infection</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>31</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121191</ArticleId>
            <ArticleId IdType="pii">S0046-8177(19)30091-7</ArticleId>
            <ArticleId IdType="doi">10.1016/j.humpath.2019.05.006</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121180</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1089-8638</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of molecular biology</Title>
                <ISOAbbreviation>J. Mol. Biol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Mapping the Allosteric Communication Network of Aminodeoxychorismate Synthase.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0022-2836(19)30293-1</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.jmb.2019.05.021</ELocationID>
            <Abstract>
                <AbstractText>Allosteric communication between different subunits in metabolic enzyme complexes is of utmost physiological importance but only understood for few systems. We analyzed the structural basis of allostery in aminodeoxychorismate synthase (ADCS), which is a member of the family of glutamine amidotransferases (GATases) and catalyzes the committed step of the folate biosynthetic pathway. ADCS consists of the synthase subunit PabB and the glutaminase subunit PabA, which is allosterically stimulated by the presence of the PabB substrate chorismate. We first solved the crystal structure of a PabA subunit at 1.9 Å resolution. Based on this structure and the known structure of PabB, we computed an atomic model for the ADCS complex. We then used alanine scanning to test the functional role of 59 conserved residues located between the active sites of PabB and PabA. Steady-state kinetic characterization revealed four branches of a conserved network of mainly charged residues that propagate the signal from chorismate at the PabB active site to the PabA active site. The branches eventually lead to activity-inducing transformations at (i) the oxyanion hole motif, (ii) the catalytic Cys-His-Glu triad and (iii) glutamine binding residues at the PabA active site. We compare our findings with previously postulated activation mechanisms of different GATases, and propose a unifying regulation mechanism for this ubiquitous family of enzymes.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Semmelmann</LastName>
                    <ForeName>Florian</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Straub</LastName>
                    <ForeName>Kristina</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nazet</LastName>
                    <ForeName>Julian</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rajendran</LastName>
                    <ForeName>Chitra</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Merkl</LastName>
                    <ForeName>Rainer</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sterner</LastName>
                    <ForeName>Reinhard</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Biophysics and Physical Biochemistry, University of Regensburg, D-93040 Regensburg, Germany. Electronic address: Reinhard.Sterner@ur.de.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>J Mol Biol</MedlineTA>
            <NlmUniqueID>2985088R</NlmUniqueID>
            <ISSNLinking>0022-2836</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Allostery</Keyword>
            <Keyword MajorTopicYN="N">Ancestral sequence reconstruction</Keyword>
            <Keyword MajorTopicYN="N">Bi-enzyme complex</Keyword>
            <Keyword MajorTopicYN="N">Catalytic triad</Keyword>
            <Keyword MajorTopicYN="N">Glutamine amidotransferases</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121180</ArticleId>
            <ArticleId IdType="pii">S0022-2836(19)30293-1</ArticleId>
            <ArticleId IdType="doi">10.1016/j.jmb.2019.05.021</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121171</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-507X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Physiology &amp; behavior</Title>
                <ISOAbbreviation>Physiol. Behav.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Putting out the fire - Efficacy of common beverages in reducing oral burn from capsaicin.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0031-9384(19)30145-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.physbeh.2019.05.018</ELocationID>
            <Abstract>
                <AbstractText>Capsaicin is classically considered an irritant, due to the warming and burning sensations it elicits. Widespread consumption of chilis suggests many individuals enjoy this burn, but these sensations can be overwhelming if the burn is too intense. While substantial folklore exists on the ability of specific beverages to mitigate capsaicin burn, quantitative data to support these claims are generally lacking. Here, we systematically tested various beverages for their ability to reduce oral burn following consumption of capsaicin in tomato juice. Participants (n = 72, 42 women, 30 men) rated the burn of 30 mL of spicy tomato juice on a general Labeled Magnitude Scale (gLMS) immediately after swallowing, and again every 10 s for 2 min. On 7 of 8 trials, a test beverage (40 mL) was consumed after tomato juice was swallowed, including: skim milk, whole milk, seltzer water, Cherry Kool-Aid, non-alcoholic beer, cola, and water. Participants also answered questions regarding intake frequency and liking of spicy food. Initial burn of tomato juice alone was rated below &quot;strong&quot; but above &quot;moderate&quot; on a gLMS and continued to decay over the 2 min to a mean just above &quot;weak&quot;. All beverages significantly reduced the burn of the tomato juice. To quantify efficacy over time, area under the curve (AUC) values were calculated, and the largest reductions in burn were observed for whole milk, skim milk, and Kool-Aid. More work is needed to determine the mechanism(s) by which these beverages reduce burn (i.e., partitioning due to fat, binding by protein, or sucrose analgesia). Present data suggest milk is the best choice to mitigate burn, regardless of fat context, suggesting the presence of protein may be more relevant than lipid content.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Nolden</LastName>
                    <ForeName>Alissa A</ForeName>
                    <Initials>AA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Sensory Evaluation Center, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA; Department of Food Science, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA; Department of Food Science, University of Massachusetts, Amherst, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lenart</LastName>
                    <ForeName>Gabrielle</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Sensory Evaluation Center, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA; Department of Food Science, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hayes</LastName>
                    <ForeName>John E</ForeName>
                    <Initials>JE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Sensory Evaluation Center, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA; Department of Food Science, College of Agricultural Sciences, The Pennsylvania State University, University Park, PA, USA. Electronic address: jeh40@psu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Physiol Behav</MedlineTA>
            <NlmUniqueID>0151504</NlmUniqueID>
            <ISSNLinking>0031-9384</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Capsaicin</Keyword>
            <Keyword MajorTopicYN="N">Chemesthesis</Keyword>
            <Keyword MajorTopicYN="N">Irritation</Keyword>
            <Keyword MajorTopicYN="N">Psychophysics</Keyword>
            <Keyword MajorTopicYN="N">TRPV1</Keyword>
            <Keyword MajorTopicYN="N">Time intensity</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>06</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121171</ArticleId>
            <ArticleId IdType="pii">S0031-9384(19)30145-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.physbeh.2019.05.018</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121161</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-6240</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Brain research</Title>
                <ISOAbbreviation>Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>The Role of Olfaction in MCH-regulated Spontaneous Maternal Responses.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0006-8993(19)30276-8</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.brainres.2019.05.021</ELocationID>
            <Abstract>
                <AbstractText>Melanin concentrating hormone (MCH) is involved in the initiation of maternal behavior during the postpartum period. Virgin females also display some aspects of maternal care independent of the hormonal and neurochemical changes associated with pregnancy and parturition. Maternal behavior in virgin females is triggered by pups-generated chemosensory signals. We therefore examined the role of MCH in maternal-related behaviors in virgin mice and whether it involves chemosensory mechanisms. We used mice with germline knock-out of MCH receptor (MCHR1 KO) and mice with conditional ablation of MCH neurons (MCH cKO) using Cre-inducible diphtheria toxin (iDTR) system. We report that germline deletion of MCHR1 and ablation of MCH neurons impair spontaneous maternal behavior that is induced upon pups' exposure. The latency and duration to retrieve pups by MCHR1 KO and MCH cKO mice are longer than their control littermate mice. In support of this finding, we found that in the three-chamber social test, both MCHR1 KO and MCH cKO mice display a lack of interest in interacting with pups. Strikingly, however, we found that while MCHR1 KO mice were unable to detect pups' chemosensory signals and displayed impairment in general olfactory discrimination, MCH cKO mice exhibited normal olfactory function. Our findings indicate that the lack of MCHR1 or of normal MCH levels causes defects in maternal behavior in non-sensitized virgin mice, and that disruption of the olfactory signaling might not count for these defects.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Alhassen</LastName>
                    <ForeName>Lamees</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Phan</LastName>
                    <ForeName>Alvin</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Alhassen</LastName>
                    <ForeName>Wedad</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nguyen</LastName>
                    <ForeName>Paul</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lo</LastName>
                    <ForeName>Alice</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Shaharuddin</LastName>
                    <ForeName>Hanan</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sanathara</LastName>
                    <ForeName>Nayna</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Civelli</LastName>
                    <ForeName>Olivier</ForeName>
                    <Initials>O</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Pharmacology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States; Pharmaceutical Sciences, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States; Developmental and Cell Biology, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Alachkar</LastName>
                    <ForeName>Amal</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Pharmaceutical Sciences, School of Medicine, 369 Med Surge II, University of California, Irvine, Irvine, CA 92697-4625, Untied States. Electronic address: aalachka@uci.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Brain Res</MedlineTA>
            <NlmUniqueID>0045503</NlmUniqueID>
            <ISSNLinking>0006-8993</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Melanin concentrating hormone</Keyword>
            <Keyword MajorTopicYN="N">behavior</Keyword>
            <Keyword MajorTopicYN="N">knockout</Keyword>
            <Keyword MajorTopicYN="N">maternal</Keyword>
            <Keyword MajorTopicYN="N">mice</Keyword>
            <Keyword MajorTopicYN="N">virgin</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121161</ArticleId>
            <ArticleId IdType="pii">S0006-8993(19)30276-8</ArticleId>
            <ArticleId IdType="doi">10.1016/j.brainres.2019.05.021</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121159</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-6240</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Brain research</Title>
                <ISOAbbreviation>Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Metformin reverses the schizophrenia-like behaviors induced by MK-801 in rats.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0006-8993(19)30278-1</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.brainres.2019.05.023</ELocationID>
            <Abstract>
                <AbstractText>Schizophrenia is known to be a complex and disabling psychiatric disorder. Dopamine receptor antagonists have a significant therapeutic effect in improving the positive symptoms that are associated with the illness. Therefore, dopamine receptor antagonists are commonly used in the treatment of schizophrenia; however, they do not achieve satisfactory results in improving negative symptoms and cognitive impairment. Metformin, widely known as an antidiabetic drug, has been found to enhance spatial memory formation and improve anxiety-like behaviors in rodents. Metformin's neuroprotective effect has been well documented in several neurological disorders including Alzheimer's disease, Parkinson's disease, strokes, Huntington's disease, and seizures. In the present study, we used a rat model to explore the effect of metformin on schizophrenia-like behaviors induced by MK-801 (dizocilpine), an N-methyl-D-aspartate (NMDA) receptor antagonist. We found that the pre-pulse inhibition (PPI) deficit caused by MK-801 could be alleviated by metformin. The hyperlocomotion in the open field test induced by chronic treatment of MK-801 was reversed by administration of metformin. Metformin has no effect on the baseline level of anxiety in normal naive rats, while metformin could relieve the anxiety-like behaviors in MK-801-treatment rats, though this effect is not reaching a significant level. Additionally, metformin could significantly ameliorate working memory impairments induced by MK-801. Moreover, the increased level of phosphorylation of Akt and GSK3β in the frontal cortex induced by MK-801 was normalized by metformin. In conclusion, our results demonstrate that metformin improved schizophrenia-like symptoms in rats, and is therefore a potential agent for the treatment of schizophrenia.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Wang</LastName>
                    <ForeName>Xu</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Luo</LastName>
                    <ForeName>Chao</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China; School of Life Sciences, Central South University, Changsha, Hunan 410078, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mao</LastName>
                    <ForeName>Xiao-Yuan</ForeName>
                    <Initials>XY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Xi</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yin</LastName>
                    <ForeName>Ji-Ye</ForeName>
                    <Initials>JY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Wei</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China; National Clinical Research Center for Geriatric Disorders, Xiangya Hospital, Central South University, Changsha 410008, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhou</LastName>
                    <ForeName>Hong-Hao</ForeName>
                    <Initials>HH</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China; National Clinical Research Center for Geriatric Disorders, Xiangya Hospital, Central South University, Changsha 410008, PR China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Liu</LastName>
                    <ForeName>Zhao-Qian</ForeName>
                    <Initials>ZQ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Pharmacology, Xiangya Hospital, Central South University, Changsha 410008, PR China; Institute of Clinical Pharmacology, Central South University, Hunan Key Laboratory of Pharmacogenetics, Changsha 410078, PR China; National Clinical Research Center for Geriatric Disorders, Xiangya Hospital, Central South University, Changsha 410008, PR China. Electronic address: zqliu@csu.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Brain Res</MedlineTA>
            <NlmUniqueID>0045503</NlmUniqueID>
            <ISSNLinking>0006-8993</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">MK-801</Keyword>
            <Keyword MajorTopicYN="N">Metformin</Keyword>
            <Keyword MajorTopicYN="N">Rat model</Keyword>
            <Keyword MajorTopicYN="N">Schizophrenia-like behaviors</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121159</ArticleId>
            <ArticleId IdType="pii">S0006-8993(19)30278-1</ArticleId>
            <ArticleId IdType="doi">10.1016/j.brainres.2019.05.023</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121158</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-6240</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Brain research</Title>
                <ISOAbbreviation>Brain Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Direct oral anticoagulants are associated with limited damage of endothelial cells of the blood-brain barrier mediated by the thrombin/PAR-1 pathway.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0006-8993(19)30279-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.brainres.2019.05.024</ELocationID>
            <Abstract>
                <AbstractText>Anticoagulant therapy presents iatrogenic effects such as intracerebral hemorrhage (ICH). The latest anticoagulants on the market, direct oral anticoagulants (DOACs) such as apixaban, dabigatran and rivaroxaban, are reported to cause less ICH than other anticoagulants. Next to the ICH area, the thrombin is accumulated and the blood-brain barrier (BBB) is opened. The effects of thrombin on the BBB are largely mediated by the protease activated receptor (PAR) family, especially the PAR-1 isoform. Our hypothesis is that DOACs may limit the effects of thrombin on endothelial cells (of the BBB) alteration by a mechanism probably involving PAR-1 activation. To test this hypothesis in vitro, we used HBEC-5i human brain endothelial cells as a human BBB model. The effects of thrombin under warfarin, heparin, rivaroxaban, apixaban, and dabigatran treatment on endothelial cells were then investigated by measuring of permeability and junction proteins: ZO-1 and VE-cadherin expressions and PAR-1 cleavage. Depending on the anticoagulant used, we observed three profiles of response of the endothelial cells after thrombin exposure: i) dabigatran treatment allowed maintaining the tightness of the endothelial monolayer; ii) other DOACs limited thrombin-induced alteration of the endothelial monolayer; and iii) pretreatment with warfarin and heparin did not protect from thrombin-induced BBB breakdown. Pretreatment with DOACs clearly limited the impact of thrombin on PAR-1 cleavage in our model, contrary to other anticoagulants, associated with ZO-1 and VE-cadherin expressions. In conclusion, DOACs seem to limit the alteration of the monolayer of endothelial cells of the BBB mediated by the thrombin/PAR-1 pathway.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Puech</LastName>
                    <ForeName>Clémentine</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>INSERM, U1059 Sainbiose, Dysfonction Vasculaire et Hémostase, Saint-Etienne, France; Université de Lyon, Saint-Etienne, F-42023, France. Electronic address: c.puech@univ-st-etienne.fr.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Delavenne</LastName>
                    <ForeName>Xavier</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>INSERM, U1059 Sainbiose, Dysfonction Vasculaire et Hémostase, Saint-Etienne, France; Université de Lyon, Saint-Etienne, F-42023, France; Laboratoire de Pharmacologie Toxicologie, CHU Saint-Etienne, F-42055 Saint-Etienne, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>He</LastName>
                    <ForeName>Zhiguo</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Université de Lyon, Saint-Etienne, F-42023, France; EA 2521, Biologie, Ingénierie et Imagerie de la Greffe de Cornée (BIIGC), Saint-Etienne, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Forest</LastName>
                    <ForeName>Valérie</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Mines Saint-Etienne, Univ Lyon, Univ Jean Monnet, INSERM, U 1059 Sainbiose, Centre CIS, F-42023 Saint-Etienne, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mismetti</LastName>
                    <ForeName>Patrick</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>INSERM, U1059 Sainbiose, Dysfonction Vasculaire et Hémostase, Saint-Etienne, France; Université de Lyon, Saint-Etienne, F-42023, France; Unité de Recherche Clinique Innovation et Pharmacologie, CHU de Saint-Etienne, F-42055 Saint Etienne, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Perek</LastName>
                    <ForeName>Nathalie</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>INSERM, U1059 Sainbiose, Dysfonction Vasculaire et Hémostase, Saint-Etienne, France; Université de Lyon, Saint-Etienne, F-42023, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Brain Res</MedlineTA>
            <NlmUniqueID>0045503</NlmUniqueID>
            <ISSNLinking>0006-8993</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Blood-brain barrier</Keyword>
            <Keyword MajorTopicYN="N">Direct oral anticoagulants</Keyword>
            <Keyword MajorTopicYN="N">Endothelial cells monolayer</Keyword>
            <Keyword MajorTopicYN="N">Protease activated receptor-1</Keyword>
            <Keyword MajorTopicYN="N">Thrombin</Keyword>
            <Keyword MajorTopicYN="N">VE-cadherin</Keyword>
            <Keyword MajorTopicYN="N">ZO-1</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>26</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121158</ArticleId>
            <ArticleId IdType="pii">S0006-8993(19)30279-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.brainres.2019.05.024</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121152</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1872-7786</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Chemico-biological interactions</Title>
                <ISOAbbreviation>Chem. Biol. Interact.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Molecular modelling studies on the interactions of 7-methoxytacrine-4-pyridinealdoxime with VX-inhibited human acetylcholinesterase. A near attack approach to assess different spacer-lengths.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0009-2797(19)30350-3</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.cbi.2019.05.019</ELocationID>
            <Abstract>
                <AbstractText>The novel prophylactic agent 7-methoxytacrine-4-pyridinealdoxime is a hybrid compound that was formerly designed to keep acetylcholinesterase resistant to organophosphates inhibitors and to reactivate that enzyme in the case of intoxication by such inhibitors. In rational design, a 5-carbon length-spacer hybrid compound was synthesized to evaluate its inhibitory and reactivation capabilities. In this work, theoretical results were achieved through molecular modelling techniques, taking for granted enzymatic reactivation reaction by nucleophilic substitution. Based on the near attack conformation approach, docking studies were performed to assess the spacer-length from 1 to 10 carbons long of a series of analogues of the 7-methoxytacrine-4-pyridinealdoxime hybrid compounds. Consequently, the hybrids compounds with length-spacer of 4 and 5 carbons long were the best assessed and subsequently subjected to further molecular dynamics simulations, complemented by Poisson-Boltzmann surface area calculations. As a result, intermolecular interactions with the different binding sites inside human acetylcholinesterase were elucidated. Besides, thermodynamics and kinetics concepts pointed to the 4-carbon linker as optimum for enzymatic reactivation. Further studies, based on quantum mechanics in conjunction with molecular mechanics, were recommended to the presented near attack conformations to achieve more thermodynamics results between the hybrid compounds with 4- and 5-carbon linkers, like values of activation energy of reactivation reaction. All of those in silico evaluations could be considered as a set of tools for theoretically investigate novel enzymatic reactivators with different shape of spacers.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Valle da Silva</LastName>
                    <ForeName>Jorge Alberto</ForeName>
                    <Initials>JA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Molecular Modelling Applied to the Chemical and Biological Defense (LMCBD), Military Institute of Engineering, Praça General Tiburcio 80 Rio de Janeiro, RJ, Brazil. Electronic address: capalberto05@yahoo.com.br.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nepovimova</LastName>
                    <ForeName>Eugenie</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Science, Department of Chemistry, University of Hradec Kralove, Rokitanskeho 62, 50003, Hradec Kralove, Czech Republic. Electronic address: eugenie.nepovimova@uhk.cz.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ramalho</LastName>
                    <ForeName>Teodorico Castro</ForeName>
                    <Initials>TC</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Molecular Modelling, Chemistry Department, Federal University of Lavras, 37200-000, Lavras, MG, Brazil. Electronic address: teo@dqi.ufla.br.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kuca</LastName>
                    <ForeName>Kamil</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Center for Basic and Applied Research, Faculty of Informatics and Management, University of Hradec Kralove, 50003, Hradec Kralove, Czech Republic. Electronic address: kamil.kuca@uhk.cz.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>França</LastName>
                    <ForeName>Tanos Celmar Costa</ForeName>
                    <Initials>TCC</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Molecular Modelling Applied to the Chemical and Biological Defense (LMCBD), Military Institute of Engineering, Praça General Tiburcio 80 Rio de Janeiro, RJ, Brazil; Center for Basic and Applied Research, Faculty of Informatics and Management, University of Hradec Kralove, 50003, Hradec Kralove, Czech Republic. Electronic address: tanos@ime.eb.br.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Ireland</Country>
            <MedlineTA>Chem Biol Interact</MedlineTA>
            <NlmUniqueID>0227276</NlmUniqueID>
            <ISSNLinking>0009-2797</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">7-MEOTA-4-PA hybrid compound</Keyword>
            <Keyword MajorTopicYN="N">Acetylcholinesterase</Keyword>
            <Keyword MajorTopicYN="N">Molecular modelling</Keyword>
            <Keyword MajorTopicYN="N">NAC approach</Keyword>
            <Keyword MajorTopicYN="N">Spacer-length evaluation</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121152</ArticleId>
            <ArticleId IdType="pii">S0009-2797(19)30350-3</ArticleId>
            <ArticleId IdType="doi">10.1016/j.cbi.2019.05.019</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121148</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1873-6254</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Acta tropica</Title>
                <ISOAbbreviation>Acta Trop.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Excito-repellent activity of β-caryophyllene oxide against Aedes aegypti and Anopheles minimus.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0001-706X(18)31519-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.actatropica.2019.05.021</ELocationID>
            <Abstract>
                <AbstractText>Contact irritant and non-contact repellent activities of β-caryophyllene oxide were evaluated against laboratory strains of female Aedes aegypti (USDA strain), a major arbovirus vector and Anopheles minimus (KU strain), a major malaria parasite vector, compared with the synthetic repellent DEET, using an excito-repellency test system. β-caryophyllene oxide and DEET were tested at concentrations of 0.1, 0.25, 0.5 and 1.0% (v/v). Anopheles minimus was found to be more sensitive to β-caryophyllene oxide than that of Ae. aegypti and exhibited high avoidance response rates (86-96% escape) at 0.5% and 1.0% concentrations in contact and non-contact trials compared with Ae. aegypti (22-59% escape). However, at the same concentrations, DEET displayed lower irritancy and repellency capacities against these two mosquito species (range 0-54% escape) compared to β-caryophyllene oxide. The analysis of escape responses showed significant differences between mosquito species at all concentrations (P &lt; 0.05) except for 0.1%. For both species, there were significant differences in irritant and repellent responses between β-caryophyllene oxide and DEET at higher concentrations (0.5 and 1.0%).</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier B.V.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Nararak</LastName>
                    <ForeName>Jirod</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Entomology, Faculty of Agriculture, Kasetsart University, Bangkok, 10900, Thailand. Electronic address: rgt532@gmail.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sathantriphop</LastName>
                    <ForeName>Sunaiyana</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>National Institute of Health, Department of Medical Sciences, Ministry of Public Health, Nonthaburi, 11000, Thailand. Electronic address: sunaiyana@yahoo.com.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kongmee</LastName>
                    <ForeName>Monthathip</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Entomology, Faculty of Agriculture at Kamphaeng Saen, Kamphaeng Saen Campus, Kasetsart University, Nakhon Pathom, 73140, Thailand. Electronic address: fagrmtk@ku.ac.th.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mahiou-Leddet</LastName>
                    <ForeName>Valerie</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Aix Marseille Université, Avignon Université, CNRS, IRD, IMBE, FAC PHARM, Marseille, France. Electronic address: valerie.mahiou@univ-amu.fr.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ollivier</LastName>
                    <ForeName>Evelyne</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>Aix Marseille Université, Avignon Université, CNRS, IRD, IMBE, FAC PHARM, Marseille, France. Electronic address: evelyne.ollivier@univ-amu.fr.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Manguin</LastName>
                    <ForeName>Sylvie</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>HydroSciences Montpellier (HSM), Institut de Recherche pour le Développement (IRD), CNRS, Université Montpellier, Montpellier, France. Electronic address: sylvie.manguin@ird.fr.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chareonviriyaphap</LastName>
                    <ForeName>Theeraphap</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Entomology, Faculty of Agriculture, Kasetsart University, Bangkok, 10900, Thailand. Electronic address: faasthc@ku.ac.th.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Netherlands</Country>
            <MedlineTA>Acta Trop</MedlineTA>
            <NlmUniqueID>0370374</NlmUniqueID>
            <ISSNLinking>0001-706X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Aedes aegypti</Keyword>
            <Keyword MajorTopicYN="N">Anopheles minimus</Keyword>
            <Keyword MajorTopicYN="N">contact irritancy</Keyword>
            <Keyword MajorTopicYN="N">non-contact repellency</Keyword>
            <Keyword MajorTopicYN="N">β-caryophyllene oxide</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>25</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>26</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121148</ArticleId>
            <ArticleId IdType="pii">S0001-706X(18)31519-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.actatropica.2019.05.021</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121136</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1097-6868</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>American journal of obstetrics and gynecology</Title>
                <ISOAbbreviation>Am. J. Obstet. Gynecol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>The effect of childbirth on urinary incontinence: a matched cohort study in women aged 40-64 years.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0002-9378(19)30680-5</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ajog.2019.05.022</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">The relative impact of age, pregnancy and vaginal delivery on urinary incontinence is still an unresolved issue that involves the controversial question about the protective effect of cesarean section.</AbstractText>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">The purpose was to estimate and compare the effect size of one pregnancy, one vaginal delivery, and the derived protective effect of cesarean section for different aspects of urinary incontinence in women aged between 40 to 65 years, all 20 years after birth.</AbstractText>
                <AbstractText Label="STUDY DESIGN" NlmCategory="METHODS">This Swedish, nationwide matched cohort study involved 14,335 women. Three restricted, randomly selected, source cohorts of nulliparous women, unexposed to childbirth (n=9,136), one-para cesarean delivered women, exposed to one pregnancy (n=1,412), and one-para exposed to one pregnancy followed by vaginal delivery (n=3,787) were retrieved from The Swedish Medical Birth Register and Statistics Sweden and surveyed in 2008 and 2014 respectively. Parous women were all assessed 20 years postnatally. One-to-one matching with an interval for pairing of three years and three BMI units was used in women aged 40 to 64 years with information about BMI (kg/m<sup>2</sup>) and urinary incontinence. The procedure succeeded in 2,630 out of 2,635 women (99.8%), resulting in an adequate distribution of age and BMI between groups. The surveys used a postal and an internet-based questionnaire with validated questions for various aspects of urinary incontinence. Fisher's exact test and the Mann-Whitney U test was used for comparisons between matched groups and trend was analysed with Mantel-Haenszel statistics. Predicted, age-related values of different aspects of urinary incontinence were obtained by logistic regression analysis.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Pregnancy increased the prevalence of urinary incontinence from 20.1% to 30.1% (odds ratio [OR], 1.71; 95% confidence interval [CI], 1.43-2.05, P&lt; .0001]. Urinary incontinence increased further after vaginal delivery to 43.0% (OR, 1.75; 95% CI, 1.49-2.05; P&lt; .0001) and 'Moderate and Severe' urinary incontinence from 12.7% to 19.5% (OR, 1.67; 95% CI, 1.35-2.07; P &lt; .0001). There was a parallel increase in urinary incontinence from 40 to 65 years in nulliparous, vaginally and cesarean delivered women. Cesarean section compared to vaginal delivery was associated with a 30.0% reduction of urinary incontinence (P&lt; .0001) and 35% to 52% reduction of more severe grades of urinary incontinence (P&lt; .0001) and was unaffected by age.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Both pregnancy and vaginal delivery incurred an increased risk of urinary incontinence in the long-term. The age-related gap for urinary incontinence between nulliparous and one-para women delivered by vaginal delivery or cesarean section was constant between parallel trajectories that spanned ages between 40 and 65 years. The calculated protective effect of cesarean section was unaltered and significant during the same age interval.</AbstractText>
                <CopyrightInformation>Copyright © 2019. Published by Elsevier Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Gyhagen</LastName>
                    <ForeName>Maria</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Gothenburg Continence Research Centre, Institute of Clinical Sciences, Sahlgrenska Academy at Gothenburg University, Gothenburg; Department of Obstetrics and Gynecology, Södra Älvsborgs Hospital, Borås. Electronic address: maria.gyhagen@vgregion.se.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Åkervall</LastName>
                    <ForeName>Sigvard</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Gothenburg Continence Research Centre, Institute of Clinical Sciences, Sahlgrenska Academy at Gothenburg University, Gothenburg.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Molin</LastName>
                    <ForeName>Mattias</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Statistical Consultancy Group, Gothenburg.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Milsom</LastName>
                    <ForeName>Ian</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Obstetrics and Gynecology, Sahlgrenska University Hospital, Gothenburg, Sweden.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Obstet Gynecol</MedlineTA>
            <NlmUniqueID>0370476</NlmUniqueID>
            <ISSNLinking>0002-9378</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Bothersome urinary incontinence</Keyword>
            <Keyword MajorTopicYN="N">cesarean section</Keyword>
            <Keyword MajorTopicYN="N">matched cohort study</Keyword>
            <Keyword MajorTopicYN="N">mixed urinary incontinence</Keyword>
            <Keyword MajorTopicYN="N">nulliparous women</Keyword>
            <Keyword MajorTopicYN="N">pelvic floor dysfunction</Keyword>
            <Keyword MajorTopicYN="N">pregnancy</Keyword>
            <Keyword MajorTopicYN="N">stress urinary incontinence</Keyword>
            <Keyword MajorTopicYN="N">urge urinary incontinence</Keyword>
            <Keyword MajorTopicYN="N">urinary incontinence</Keyword>
            <Keyword MajorTopicYN="N">vaginal delivery</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121136</ArticleId>
            <ArticleId IdType="pii">S0002-9378(19)30680-5</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ajog.2019.05.022</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121135</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1879-1891</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>20</Day>
                    </PubDate>
                </JournalIssue>
                <Title>American journal of ophthalmology</Title>
                <ISOAbbreviation>Am. J. Ophthalmol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Genetic correlations between diabetes and glaucoma: an analysis of continuous and dichotomous phenotypes.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">S0002-9394(19)30245-4</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1016/j.ajo.2019.05.015</ELocationID>
            <Abstract>
                <AbstractText Label="PURPOSE" NlmCategory="OBJECTIVE">A genetic correlation is the proportion of phenotypic variance between traits that is shared on a genetic basis. Here we explore genetic correlations between diabetes- and glaucoma-related traits.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Cross-sectional study.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">We assembled genome-wide association study summary statistics from European-derived participants regarding diabetes-related traits like fasting blood sugar (FBS) and type 2 diabetes (T2D) and glaucoma-related traits (intraocular pressure (IOP), central corneal thickness (CCT), corneal hysteresis (CH), corneal resistance factor (CRF), cup-disc ratio (CDR), and primary open-angle glaucoma (POAG)). We included data from the National Eye Institute Glaucoma Human Genetics Collaboration Heritable Overall Operational Database, the UK Biobank and the International Glaucoma Genetics Consortium. We calculated genetic correlation (r<sub>g</sub>) between traits using linkage disequilibrium score regression. We also calculated genetic correlations between IOP, CCT and selected diabetes-related traits based on individual level phenotype data in two Northern European population-based samples using pedigree information and Sequential Oligogenic Linkage Analysis Routines (SOLAR).</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Overall, there was little r<sub>g</sub> between diabetes- and glaucoma-related traits. Specifically, we found a non-significant negative correlation between T2D and POAG (r<sub>g</sub>=-0.14; p=0.16). Using SOLAR, the genetic correlations between measured IOP, CCT, FBS, fasting insulin and hemoglobin A1c, were null. In contrast, genetic correlations between IOP and POAG (r<sub>g</sub> ≥0.45; p≤3.0E-04) and between CDR and POAG were high (r<sub>g</sub> =0.57; p=2.8E-10). However, genetic correlations between corneal properties (CCT, CRF and CH) and POAG were low (r<sub>g</sub> range: -0.18 - 0.11) and non-significant (p≥0.07).</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">These analyses suggest there is limited genetic correlation between diabetes- and glaucoma-related traits.</AbstractText>
                <CopyrightInformation>Copyright © 2019 Elsevier Inc. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Laville</LastName>
                    <ForeName>Vincent</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Computational Biology - USR 3756 CNRS), Institut Pasteur, Paris, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kang</LastName>
                    <ForeName>Jae H</ForeName>
                    <Initials>JH</Initials>
                    <AffiliationInfo>
                        <Affiliation>Channing Division of Network Medicine, Brigham and Women's Hospital, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cousins</LastName>
                    <ForeName>Clara C</ForeName>
                    <Initials>CC</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Ophthalmology, Massachusetts Eye and Ear Infirmary, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Iglesias</LastName>
                    <ForeName>Adriana I</ForeName>
                    <Initials>AI</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Ophthalmology and Clinical Genetics, Erasmus Medical Center, Rotterdam, The Netherlands.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nagy</LastName>
                    <ForeName>Réka</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>MRC Human Genetics Unit, Institute of Genetics and Molecular Medicine, University of Edinburgh, Western General Hospital, Edinburgh.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cooke Bailey</LastName>
                    <ForeName>Jessica N</ForeName>
                    <Initials>JN</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Population and Quantitative Health Sciences, Case Western Reserve University School of Medicine, Cleveland, OH, USA; Institute for Computational Biology, Case Western Reserve University School of Medicine, Cleveland, OH, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Igo</LastName>
                    <ForeName>Robert P</ForeName>
                    <Initials>RP</Initials>
                    <Suffix>Jr</Suffix>
                    <AffiliationInfo>
                        <Affiliation>Department of Population and Quantitative Health Sciences, Case Western Reserve University School of Medicine, Cleveland, OH, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Song</LastName>
                    <ForeName>Yeunjoo E</ForeName>
                    <Initials>YE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Population and Quantitative Health Sciences, Case Western Reserve University School of Medicine, Cleveland, OH, USA; Institute for Computational Biology, Case Western Reserve University School of Medicine, Cleveland, OH, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chasman</LastName>
                    <ForeName>Daniel I</ForeName>
                    <Initials>DI</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Preventive Medicine, Brigham and Women's Hospital, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Christen</LastName>
                    <ForeName>William G</ForeName>
                    <Initials>WG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Preventive Medicine, Brigham and Women's Hospital, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kraft</LastName>
                    <ForeName>Peter</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA; Department of Biostatistics, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rosner</LastName>
                    <ForeName>Bernard A</ForeName>
                    <Initials>BA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Channing Division of Network Medicine, Brigham and Women's Hospital, Harvard Medical School, Boston, MA, USA; Department of Biostatistics, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hu</LastName>
                    <ForeName>Frank</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA; Department of Nutrition, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wilson</LastName>
                    <ForeName>James F</ForeName>
                    <Initials>JF</Initials>
                    <AffiliationInfo>
                        <Affiliation>MRC Human Genetics Unit, Institute of Genetics and Molecular Medicine, University of Edinburgh, Western General Hospital, Edinburgh; Centre for Global Health Research, Usher Institute for Population Health Sciences and Informatics, University of Edinburgh, Edinburgh, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gharahkhani</LastName>
                    <ForeName>Puya</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Statistical Genetics, QIMR Berghofer Medical Research Institute, Brisbane, Australia.154, Centre for Eye Research Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hewitt</LastName>
                    <ForeName>Alex W</ForeName>
                    <Initials>AW</Initials>
                    <AffiliationInfo>
                        <Affiliation>Centre for Eye Research Australia, University of Melbourne, Royal Victorian Eye and Ear Hospital, East Melbourne, Australia; School of Medicine, Menzies Institute for Medical Research, University of Tasmania, Hobart, Tasmania, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mackey</LastName>
                    <ForeName>David A</ForeName>
                    <Initials>DA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Lions Eye Institute, Centre for Ophthalmology and Visual Science, University of Western Australia, Perth, Western Australia, Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hysi</LastName>
                    <ForeName>Pirro G</ForeName>
                    <Initials>PG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Twin Research and Genetic Epidemiology, King's College London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hammond</LastName>
                    <ForeName>Christopher J</ForeName>
                    <Initials>CJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Twin Research and Genetic Epidemiology, King's College London, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>vanDuijn</LastName>
                    <ForeName>Cornelia M</ForeName>
                    <Initials>CM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Ophthalmology and Clinical Genetics, Erasmus Medical Center, Rotterdam, The Netherlands; Nuffield Department of Population Health, University of Oxford, Oxford, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Haines</LastName>
                    <ForeName>Jonathan L</ForeName>
                    <Initials>JL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Population and Quantitative Health Sciences, Case Western Reserve University School of Medicine, Cleveland, OH, USA; Institute for Computational Biology, Case Western Reserve University School of Medicine, Cleveland, OH, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vitart</LastName>
                    <ForeName>Veronique</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>MRC Human Genetics Unit, Institute of Genetics and Molecular Medicine, University of Edinburgh, Western General Hospital, Edinburgh.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fingert</LastName>
                    <ForeName>John H</ForeName>
                    <Initials>JH</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Ophthalmology and Visual Science, University of Iowa, Iowa City, Iowa, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hauser</LastName>
                    <ForeName>Michael A</ForeName>
                    <Initials>MA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departments of Ophthalmology and Medicine, Duke University, Durham, NC, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Aschard</LastName>
                    <ForeName>Hugues</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Computational Biology - USR 3756 CNRS), Institut Pasteur, Paris, France; Department of Epidemiology, Harvard T. H. Chan School of Public Health, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wiggs</LastName>
                    <ForeName>Janey L</ForeName>
                    <Initials>JL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Ophthalmology, Massachusetts Eye and Ear Infirmary, Harvard Medical School, Boston, MA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Khawaja</LastName>
                    <ForeName>Anthony P</ForeName>
                    <Initials>AP</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Public Health and Primary Care, Institute of Public Health, University of Cambridge School of Clinical Medicine, Cambridge, UK.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>MacGregor</LastName>
                    <ForeName>Stuart</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Statistical Genetics, QIMR Berghofer Medical Research Institute, Brisbane, Australia.154, Centre for Eye Research Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pasquale</LastName>
                    <ForeName>Louis R</ForeName>
                    <Initials>LR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Channing Division of Network Medicine, Brigham and Women's Hospital, Harvard Medical School, Boston, MA, USA; Icahn School of Medicine at Mount Sinai, Department of Ophthalmology, New York, NY, USA. Electronic address: Louis.Pasquale@mssm.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <CollectiveName>UK Biobank, International Glaucoma Genetics Consortium, NEIGHBORHOOD Consortium</CollectiveName>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>20</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Ophthalmol</MedlineTA>
            <NlmUniqueID>0370500</NlmUniqueID>
            <ISSNLinking>0002-9394</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>25</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121135</ArticleId>
            <ArticleId IdType="pii">S0002-9394(19)30245-4</ArticleId>
            <ArticleId IdType="doi">10.1016/j.ajo.2019.05.015</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121088</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1365-2982</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Neurogastroenterology and motility : the official journal of the European Gastrointestinal Motility Society</Title>
                <ISOAbbreviation>Neurogastroenterol. Motil.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Down-regulation of HTR1A-modulated ACC activation contributes to stress-induced visceral hyperalgesia in rats.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e13620</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1111/nmo.13620</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Long-term stress was suggested to cause visceral hypersensitivity and promote functional gastrointestinal disorders (FGIDs). Some brain regions such as the anterior cingulate cortex (ACC) may play an important role for generating visceral hypersensitivity; however, its molecular mechanisms are not clear. This study aimed to explore the role of 5-HT1A receptors (HTR1As) in activating ACC and corresponding mechanism, in stress-induced visceral hyperalgesia rats.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">The VH rat model was established by chronic water avoidance stress (WAS), and the visceral sensitivity was measured by electromyogram. Rat's anxiety-like behaviors were evaluated by the open field test (OFT) and elevated plus maze (EPM). To overexpress or down-regulate HTR1A expression, HTR1A-specific lentivirus expressing the green fluorescent protein was administered into the ACC. Protein expression levels were observed by Western blot.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">The protein expression of HTR1A in bilateral ACC in WAS group was significantly lower than that in normal control (NC) and Sham-WAS groups, while the levels of c-fos in the ACC of WAS rats were significantly higher. Down-regulation of HTR1As could induce VH in control rats with the increased expression of c-fos, p-ERK, and p-Akt in ACC, while up-regulation of HTR1As in the ACC could partly inhibit ACC sensitization and stress-induced visceral hyperalgesia.</AbstractText>
                <AbstractText Label="CONCLUSIONS &amp; INFERENCES" NlmCategory="CONCLUSIONS">Down-regulation of HTR1As modulates ACC activation probably through activating ERK and Akt pathways, thus contributes to the formation of stress-induced visceral hyperalgesia.</AbstractText>
                <CopyrightInformation>© 2019 John Wiley &amp; Sons Ltd.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Yi</LastName>
                    <ForeName>Lisha</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sun</LastName>
                    <ForeName>Huihui</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Haiqin</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Ying</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhou</LastName>
                    <ForeName>Lu</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Xuan</LastName>
                    <ForeName>Liqian</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhan</LastName>
                    <ForeName>Tingting</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jiang</LastName>
                    <ForeName>Yuanxi</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Xu</LastName>
                    <ForeName>Shuchang</ForeName>
                    <Initials>S</Initials>
                    <Identifier Source="ORCID">https://orcid.org/0000-0002-4841-462X</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, Tongji Institute of Digestive Diseases, Tongji Hospital, Tongji University School of Medicine, Shanghai, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <GrantList CompleteYN="Y">
                <Grant>
                    <GrantID>81370491</GrantID>
                    <Agency>National Natural Science Foundation of China</Agency>
                    <Country/>
                </Grant>
                <Grant>
                    <GrantID>81502041</GrantID>
                    <Agency>National Natural Science Foundation of China</Agency>
                    <Country/>
                </Grant>
                <Grant>
                    <GrantID>81570484</GrantID>
                    <Agency>National Natural Science Foundation of China</Agency>
                    <Country/>
                </Grant>
                <Grant>
                    <GrantID>81600424</GrantID>
                    <Agency>National Natural Science Foundation of China</Agency>
                    <Country/>
                </Grant>
            </GrantList>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Neurogastroenterol Motil</MedlineTA>
            <NlmUniqueID>9432572</NlmUniqueID>
            <ISSNLinking>1350-1925</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">5-HT1A receptor</Keyword>
            <Keyword MajorTopicYN="N">anterior cingulate cortex</Keyword>
            <Keyword MajorTopicYN="N">functional gastrointestinal disorders</Keyword>
            <Keyword MajorTopicYN="N">stress</Keyword>
            <Keyword MajorTopicYN="N">visceral hyperalgesia</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121088</ArticleId>
            <ArticleId IdType="doi">10.1111/nmo.13620</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121081</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1520-6033</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Biotechnology progress</Title>
                <ISOAbbreviation>Biotechnol. Prog.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Hybrid optimization of preparative chromatography for a ternary monoclonal antibody mixture.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e2849</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1002/btpr.2849</ELocationID>
            <Abstract>
                <AbstractText>In the purification of monoclonal antibodies, ion-exchange chromatography is typically used among the polishing steps to reduce the amount of product-related impurities such as aggregates and fragments, whilst simultaneously reducing HCP, residual Protein A and potential toxins and viruses. When the product-related impurities are difficult to separate from the products, the optimization of these chromatographic steps can be complex and laborious. In this paper, we optimize the polishing chromatography of a monoclonal antibody from a challenging ternary feed mixture by introducing a hybrid approach of the simplex method and a form of local optimization. To maximize the productivity of this preparative bind-and-elute cation-exchange chromatography, wide ranges of the three critical operational parameters - column loading, the initial salt concentration and gradient slope - had to be considered. The hybrid optimization approach is shown to be extremely effective in dealing with this complex separation that was subject to multiple constraints based on yield, purity and product breakthrough. Furthermore, it enabled the generation of a large knowledge space that was subsequently used to study the sensitivity of the objective function. Increased design space understanding was gained through the application of Monte Carlo simulations. Hence, this work proposes a powerful hybrid optimization method, applied to an industrially relevant process development challenge. The properties of this approach and the results and insights gained, make it perfectly suited for the rapid development of biotechnological unit operations during early-stage bioprocess development. This article is protected by copyright. All rights reserved.</AbstractText>
                <CopyrightInformation>© 2019 American Institute of Chemical Engineers.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fischer</LastName>
                    <ForeName>Vivien</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Dept. of Biochemical Engineering, The Advanced Centre for Biochemical Engineering, University College London, Bernard Katz Building, Gordon Street, London WC1H 0AH, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Biopharm Process Research, BioPharm R&amp;D, GlaxoSmithKine, Gunnels Wood Road, Stevenage SG1 2NY, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kucia-Tran</LastName>
                    <ForeName>Richard</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biopharm Process Research, BioPharm R&amp;D, GlaxoSmithKine, Gunnels Wood Road, Stevenage SG1 2NY, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lewis</LastName>
                    <ForeName>Will</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biopharm Process Research, BioPharm R&amp;D, GlaxoSmithKine, Gunnels Wood Road, Stevenage SG1 2NY, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Velayudhan</LastName>
                    <ForeName>Ajoy</ForeName>
                    <Initials>A</Initials>
                    <Identifier Source="ORCID">https://orcid.org/0000-0002-0902-8160</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Dept. of Biochemical Engineering, The Advanced Centre for Biochemical Engineering, University College London, Bernard Katz Building, Gordon Street, London WC1H 0AH, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Biotechnol Prog</MedlineTA>
            <NlmUniqueID>8506292</NlmUniqueID>
            <ISSNLinking>1520-6033</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">antibody purification</Keyword>
            <Keyword MajorTopicYN="N">constrained experimental simplex optimization</Keyword>
            <Keyword MajorTopicYN="N">design space</Keyword>
            <Keyword MajorTopicYN="N">early-stage bioprocess development</Keyword>
            <Keyword MajorTopicYN="N">preparative scale polishing chromatography</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>30</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="revised">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>01</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>19</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121081</ArticleId>
            <ArticleId IdType="doi">10.1002/btpr.2849</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121071</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1523-4681</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of bone and mineral research : the official journal of the American Society for Bone and Mineral Research</Title>
                <ISOAbbreviation>J. Bone Miner. Res.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Age-related changes in the mechanical regulation of bone healing are explained by altered cellular mechanoresponse.</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.1002/jbmr.3801</ELocationID>
            <Abstract>
                <AbstractText>Increasing age is associated with a reduced bone regeneration potential and increased risk of morbidities and mortality. A reduced bone formation response to mechanical loading has been shown with aging and it remains unknown if the interplay between aging and mechanical stimuli during regeneration is similar to adaptation. We used a combined in vivo/in silico approach to investigate age-related alterations in the mechanical regulation of bone healing and identified the relative impact of altered cellular function on tissue patterns during the regenerative cascade. To modulate the mechanical environment, femoral osteotomies in adult and elderly mice were stabilized using either a rigid or a semirigid external fixator and the course of healing was evaluated using histomorphometric and microCT analyses at 7, 14 and 21 days post-surgery. Computer models were developed to investigate the influence of the local mechanical environment within the callus on tissue formation patterns. The models aimed to identify the key processes at the cellular level that alter the mechanical regulation of healing with aging. Fifteen age-related biological alterations were investigated on two levels (adult and elderly) with a design of experiments setup. We show a reduced response to changes in fixation stability with age which could be explained by reduced cellular mechano-response, simulated as alteration of the ranges of mechanical stimuli driving MSCs differentiation. Cellular mechano-response has been so far widely ignored as a therapeutic target in aged patients. Our data hints to mechano-therapeutics as a potential treatment to enhance bone healing in the elderly. This article is protected by copyright. All rights reserved.</AbstractText>
                <CopyrightInformation>This article is protected by copyright. All rights reserved.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Borgiani</LastName>
                    <ForeName>E</ForeName>
                    <Initials>E</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-9645-2524</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Julius Wolff Institute, Charité - Universitätsmedizin, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Berlin-Brandenburg School for Regenerative Therapies, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Figge</LastName>
                    <ForeName>C</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Julius Wolff Institute, Charité - Universitätsmedizin, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kruck</LastName>
                    <ForeName>B</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Julius Wolff Institute, Charité - Universitätsmedizin, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Willie</LastName>
                    <ForeName>B M</ForeName>
                    <Initials>BM</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-2907-3580</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Shriners Hospital for Children-Canada, Department of Pediatric Surgery, McGill University, Montreal, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Duda</LastName>
                    <ForeName>G N</ForeName>
                    <Initials>GN</Initials>
                    <AffiliationInfo>
                        <Affiliation>Julius Wolff Institute, Charité - Universitätsmedizin, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Berlin-Brandenburg School for Regenerative Therapies, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Checa</LastName>
                    <ForeName>S</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Julius Wolff Institute, Charité - Universitätsmedizin, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Berlin-Brandenburg School for Regenerative Therapies, Berlin, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Bone Miner Res</MedlineTA>
            <NlmUniqueID>8610640</NlmUniqueID>
            <ISSNLinking>0884-0431</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Bone healing</Keyword>
            <Keyword MajorTopicYN="N">aging</Keyword>
            <Keyword MajorTopicYN="N">cellular mechano-response</Keyword>
            <Keyword MajorTopicYN="N">computer modelling</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121071</ArticleId>
            <ArticleId IdType="doi">10.1002/jbmr.3801</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121045</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1938-2928</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>19</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Journal of medical entomology</Title>
                <ISOAbbreviation>J. Med. Entomol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>A Survey of Aedes (Diptera: Culicidae) Mosquitoes in Tunisia and the Potential Role of Aedes detritus and Aedes caspius in the Transmission of Zika Virus.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">tjz067</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1093/jme/tjz067</ELocationID>
            <Abstract>
                <AbstractText>The present study aimed to update the list of Aedes mosquito species occurring in Tunisia and to test the vector competence of Aedes (Ochlerotatus) caspius (Pallas) and Ae. (Ochlerotatus) detritus (Haliday), the locally most abundant and widespread species, to transmit Zika virus (ZIKV). In 2017-2018, mosquito larvae were collected from 39 different larval habitats in seven bioclimatic zones of Tunisia. The salinity and pH of each breeding site were measured. The survey revealed the presence of 10 Aedes species in Tunisia: Ae. (Stegomyia) albopictus (Skuse), Ae. (Ochlerotatus) berlandi (Séguy), Ae. caspius, Ae. detritus, Ae. (Finlaya) echinus (Edwards), Ae. (Finlaya) geniculatus (Olivier), Ae. (Acartomyia) mariae (Sergent and Sergent), Ae. (Ochlerotatus) pulcritarsis (Rondani), Ae. (Aedimorphus) vexans (Meigen), and Ae. (Fredwardsius) vittatus (Bigot). Of these 10 species, Ae. caspius and Ae. detritus were the most abundant in Tunisia. Aedes detritus and Ae. caspius larvae were reared until the imago stage under insectary conditions to test autogeny. The study showed that Ae. detritus is autogenous and stenogamous and Ae. caspius, anautogenous and eurygamous. Finally, the collected strains of these two species were experimentally infected with the Asian genotype of ZIKV, originally isolated from a patient in April 2014 in New Caledonia, to test their vector competence. Neither of these species was able to transmit ZIKV at 7 and 14 d postexposure. Further investigations are needed to test the competence of other Tunisian mosquito species that may be associated with ZIKV transmission.</AbstractText>
                <CopyrightInformation>© The Author(s) 2019. Published by Oxford University Press on behalf of Entomological Society of America. All rights reserved. For permissions, please e-mail: journals.permissions@oup.com.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Ben Ayed</LastName>
                    <ForeName>Wiem</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Epidemiology and Veterinarian Microbiology, Medical Entomology, Institut Pasteur, 13 Place Pasteur, B.P. 74., 1002 Tunis-Belvédère, Tunisia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Amraoui</LastName>
                    <ForeName>Fadila</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Virology, Arboviruses and Insect Vectors, Institut Pasteur, Paris, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>M'ghirbi</LastName>
                    <ForeName>Youmna</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Epidemiology and Veterinarian Microbiology, Medical Entomology, Institut Pasteur, 13 Place Pasteur, B.P. 74., 1002 Tunis-Belvédère, Tunisia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Schaffner</LastName>
                    <ForeName>Francis</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute of Parasitology, Swiss National Centre for Vector Entomology, University of Zurich, Zurich, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rhaim</LastName>
                    <ForeName>Adel</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Epidemiology and Veterinarian Microbiology, Medical Entomology, Institut Pasteur, 13 Place Pasteur, B.P. 74., 1002 Tunis-Belvédère, Tunisia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Failloux</LastName>
                    <ForeName>Anna-Bella</ForeName>
                    <Initials>AB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Virology, Arboviruses and Insect Vectors, Institut Pasteur, Paris, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bouattour</LastName>
                    <ForeName>Ali</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Laboratory of Epidemiology and Veterinarian Microbiology, Medical Entomology, Institut Pasteur, 13 Place Pasteur, B.P. 74., 1002 Tunis-Belvédère, Tunisia.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>19</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>J Med Entomol</MedlineTA>
            <NlmUniqueID>0375400</NlmUniqueID>
            <ISSNLinking>0022-2585</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">
          Aedes
        </Keyword>
            <Keyword MajorTopicYN="N">Tunisia</Keyword>
            <Keyword MajorTopicYN="N">Zika virus</Keyword>
            <Keyword MajorTopicYN="N">ecology</Keyword>
            <Keyword MajorTopicYN="N">vector competence</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121045</ArticleId>
            <ArticleId IdType="pii">5497994</ArticleId>
            <ArticleId IdType="doi">10.1093/jme/tjz067</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31121030</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1758-5368</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>The journals of gerontology. Series B, Psychological sciences and social sciences</Title>
                <ISOAbbreviation>J Gerontol B Psychol Sci Soc Sci</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Physical exercise training effect and mediation through cardiorespiratory fitness on dual-task performances differ in younger-old and older-old adults.</ArticleTitle>
            <ELocationID EIdType="pii" ValidYN="Y">gbz066</ELocationID>
            <ELocationID EIdType="doi" ValidYN="Y">10.1093/geronb/gbz066</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">It has often been reported that dual-task performance declines with age. Physical exercise can help improve cognition, but these improvements could depend on cognitive functions and age groups. Moreover, the mechanisms supporting this enhancement are not fully elucidated. This study investigated the impacts of physical exercise on single and dual-task performance in younger-old (&lt;70) and older-old (70+) adults. The study also assessed whether the training effect on cognition was mediated by improvement in cardiorespiratory fitness.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">One-hundred forty-three participants (65 to 89 years) took part in a physical exercise intervention for three months or were assigned to a control group. All participants completed a dual-task paradigm and an estimated measure of cardiorespiratory fitness. Regression models were used to test the training effect on these outcomes, and mediation analyses were used to determine if the training-related cognitive changes were mediated by changes in cardiorespiratory fitness.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">In 70+, training predicted improved processing speed (βc = - .33) and cardiorespiratory fitness (βa = .26) and the effect of training on processing speed was fully mediated by change in cardiorespiratory fitness (βab = -.12). In &lt;70, training predicted improvement in task-set cost (βc = -.26) and change in cardiorespiratory fitness (βa = .30) but improvement in task-set cost was not entirely mediated by change in cardiorespiratory fitness.</AbstractText>
                <CopyrightInformation>© The Author(s) 2019. Published by Oxford University Press on behalf of The Gerontological Society of America. All rights reserved. For permissions, please e-mail: journals.permissions@oup.com.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Bherer</LastName>
                    <ForeName>Louis</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Montreal, Department of Medicine, Montreal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Montreal Heart Institute, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Centre de recherche, Institut universitaire de gériatrie de Montréal, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Langeard</LastName>
                    <ForeName>Antoine</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Montreal, Department of Medicine, Montreal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Montreal Heart Institute, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Centre de recherche, Institut universitaire de gériatrie de Montréal, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kaushal</LastName>
                    <ForeName>Navin</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Montreal, Department of Medicine, Montreal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Montreal Heart Institute, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Centre de recherche, Institut universitaire de gériatrie de Montréal, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vrinceanu</LastName>
                    <ForeName>Tudor</ForeName>
                    <Initials>T</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Montreal, Department of Medicine, Montreal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Montreal Heart Institute, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Centre de recherche, Institut universitaire de gériatrie de Montréal, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Desjardins-Crépeau</LastName>
                    <ForeName>Laurence</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Research Centre, Montreal Heart Institute, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Centre de recherche, Institut universitaire de gériatrie de Montréal, Montréal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Langlois</LastName>
                    <ForeName>Francis</ForeName>
                    <Initials>F</Initials>
                    <AffiliationInfo>
                        <Affiliation>CIUSSS de l'Estrie, Centre Hospitalier Universitaire de Sherbrooke, Montreal, Quebec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kramer</LastName>
                    <ForeName>Arthur F</ForeName>
                    <Initials>AF</Initials>
                    <AffiliationInfo>
                        <Affiliation>Beckman Institute, University of Illinois, Champaign, Illinois, U.S.A.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Northeastern University, Boston, MA, U.S.A.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>J Gerontol B Psychol Sci Soc Sci</MedlineTA>
            <NlmUniqueID>9508483</NlmUniqueID>
            <ISSNLinking>1079-5014</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Physical activity</Keyword>
            <Keyword MajorTopicYN="N">divided attention</Keyword>
            <Keyword MajorTopicYN="N">executive functions</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>26</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121030</ArticleId>
            <ArticleId IdType="pii">5497917</ArticleId>
            <ArticleId IdType="doi">10.1093/geronb/gbz066</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31121003</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>When a leader job resource can be ambivalent or even destructive: Independence at work as a double-edged sword.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217482</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217482</ELocationID>
            <Abstract>
                <AbstractText>Independence at work is commonly considered a job resource which fosters motivation and employee well-being. Somewhat paradoxically, it is embedded in a relationship, and employees' independence also hinges on their leaders' willingness to grant it. Analyzing this resource as part of the leader-follower relationship can be useful in exploring its beneficial, ambivalent, or detrimental reciprocal effects. We present two Actor-Partner Interdependence Models (APIM) which analyze leaders' and followers' independence as antecedents, and work engagement and emotional exhaustion as outcomes. We test our models on 112 pairs of UK workers, finding a significant partner effect between leaders' independence and followers' exhaustion. Our findings confirm the utility of a dyadic perspective for investigating leadership and well-being at work, and suggest improvements for leadership training and measures fostering job well-being.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Gatti</LastName>
                    <ForeName>Paola</ForeName>
                    <Initials>P</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-6174-5052</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology, Università degli Studi di Torino, Turin, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bligh</LastName>
                    <ForeName>Michelle C</ForeName>
                    <Initials>MC</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Behavioral &amp; Organizational Sciences, Claremont Graduate University, Claremont, CA, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cortese</LastName>
                    <ForeName>Claudio G</ForeName>
                    <Initials>CG</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology, Università degli Studi di Torino, Turin, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31121003</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217482</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-34738</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120994</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Validity of three accelerometers to investigate lying, sitting, standing and walking.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217545</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217545</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">Hospital stays are associated with high levels of sedentary behavior and physical inactivity. To objectively investigate physical behavior of hospitalized patients, these is a need for valid measurement instruments. The aim of this study was to assess the criterion validity of three accelerometers to measure lying, sitting, standing and walking.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">This cross-sectional study was performed in a university hospital. Participants carried out several mobility tasks according to a structured protocol while wearing three accelerometers (ActiGraph GT9X Link, Activ8 Professional and Dynaport MoveMonitor). The participants were guided through the protocol by a test leader and were recorded on video to serve as reference. Sensitivity, specificity, positive predictive values (PPV) and negative predictive values (NPV) were determined for the categories lying, sitting, standing and walking.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">In total 12 subjects were included with a mean age of 49.5 (SD 21.5) years and a mean body mass index of 23.8 kg/m2 (SD 2.4). The ActiGraph GT9X Link showed an excellent sensitivity (90%) and PPV (98%) for walking, but a poor sensitivity for sitting and standing (57% and 53%), and a poor PPV (43%) for sitting. The Activ8 Professional showed an excellent sensitivity for sitting and walking (95% and 93%), excellent PPV (98%) for walking, but no sensitivity (0%) and PPV (0%) for lying. The Dynaport MoveMonitor showed an excellent sensitivity for sitting (94%), excellent PPV for lying and walking (100% and 99%), but a poor sensitivity (13%) and PPV (19%) for standing.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">The validity outcomes for the categories lying, sitting, standing and walking vary between the investigated accelerometers. All three accelerometers scored good to excellent in identifying walking. None of the accelerometers were able to identify all categories validly.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Valkenet</LastName>
                    <ForeName>Karin</ForeName>
                    <Initials>K</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-4715-685X</Identifier>
                    <AffiliationInfo>
                        <Affiliation>University Medical Center Utrecht, Utrecht University, Department of Rehabilitation, Physical Therapy Science &amp; Sports, The Netherlands.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Veenhof</LastName>
                    <ForeName>Cindy</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>University Medical Center Utrecht, Utrecht University, Department of Rehabilitation, Physical Therapy Science &amp; Sports, The Netherlands.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>University of Applied Sciences Utrecht, Expertise Center Innovation of Care, Research Group Innovation of Mobility Care, The Netherlands.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>14</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120994</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217545</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-28797</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120982</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>TB DEPOT (Data Exploration Portal): A multi-domain tuberculosis data analysis resource.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217410</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217410</ELocationID>
            <Abstract>
                <AbstractText>The NIAID TB Portals Program (TBPP) established a unique and growing database repository of socioeconomic, geographic, clinical, laboratory, radiological, and genomic data from patient cases of drug-resistant tuberculosis (DR-TB). Currently, there are 2,428 total cases from nine country sites (Azerbaijan, Belarus, Moldova, Georgia, Romania, China, India, Kazakhstan, and South Africa), 1,611 (66%) of which are multidrug- or extensively-drug resistant and 1,185 (49%), 863 (36%), and 952 (39%) of which contain X-ray, computed tomography (CT) scan, and genomic data, respectively. We introduce the Data Exploration Portal (TB DEPOT, https://depot.tbportals.niaid.nih.gov) to visualize and analyze these multi-domain data. The TB DEPOT leverages the TBPP integration of clinical, socioeconomic, genomic, and imaging data into standardized formats and enables user-driven, repeatable, and reproducible analyses. It furthers the TBPP goals to provide a web-enabled analytics platform to countries with a high burden of multidrug-resistant TB (MDR-TB) but limited IT resources and inaccessible data, and enables the reusability of data, in conformity with the NIH's Findable, Accessible, Interoperable, and Reusable (FAIR) principles. TB DEPOT provides access to &quot;analysis-ready&quot; data and the ability to generate and test complex clinically-oriented hypotheses instantaneously with minimal statistical background and data processing skills. TB DEPOT is also promising for enhancing medical training and furnishing well annotated, hard to find, MDR-TB patient cases. TB DEPOT, as part of TBPP, further fosters collaborative research efforts to better understand drug-resistant tuberculosis and aid in the development of novel diagnostics and personalized treatment regimens.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Gabrielian</LastName>
                    <ForeName>Andrei</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Engle</LastName>
                    <ForeName>Eric</ForeName>
                    <Initials>E</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-2136-8069</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harris</LastName>
                    <ForeName>Michael</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wollenberg</LastName>
                    <ForeName>Kurt</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Juarez-Espinosa</LastName>
                    <ForeName>Octavio</ForeName>
                    <Initials>O</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Glogowski</LastName>
                    <ForeName>Alexander</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Long</LastName>
                    <ForeName>Alyssa</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Patti</LastName>
                    <ForeName>Lisa</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hurt</LastName>
                    <ForeName>Darrell E</ForeName>
                    <Initials>DE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rosenthal</LastName>
                    <ForeName>Alex</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tartakovsky</LastName>
                    <ForeName>Mike</ForeName>
                    <Initials>M</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-8132-9013</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Office of Cyber Infrastructure &amp; Computational Biology, National Institute of Allergy and Infectious Disease, National Institutes of Health, Bethesda, MD, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>11</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>10</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120982</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217410</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-34142</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120979</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Heme oxygenase-1 repeat polymorphism in septic acute kidney injury.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217291</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217291</ELocationID>
            <Abstract>
                <AbstractText>Acute kidney injury (AKI) is a syndrome that frequently affects the critically ill. Recently, an increased number of dinucleotide repeats in the HMOX1 gene were reported to associate with development of AKI in cardiac surgery. We aimed to test the replicability of this finding in a Finnish cohort of critically ill septic patients. This multicenter study was part of the national FINNAKI study. We genotyped 300 patients with severe AKI (KDIGO 2 or 3) and 353 controls without AKI (KDIGO 0) for the guanine-thymine (GTn) repeat in the promoter region of the HMOX1 gene. The allele calling was based on the number of repeats, the cut off being 27 repeats in the S-L (short to long) classification, and 27 and 34 repeats for the S-M-L2 (short to medium to very long) classification. The plasma concentrations of heme oxygenase-1 (HO-1) enzyme were measured on admission. The allele distribution in our patients was similar to that published previously, with peaks at 23 and 30 repeats. The S-allele increases AKI risk. An adjusted OR was 1.30 for each S-allele in an additive genetic model (95% CI 1.01-1.66; p = 0.041). Alleles with a repeat number greater than 34 were significantly associated with lower HO-1 concentration (p&lt;0.001). In septic patients, we report an association between a short repeat in HMOX1 and AKI risk.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Vilander</LastName>
                    <ForeName>Laura M</ForeName>
                    <Initials>LM</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-4332-8359</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Division of Intensive Care Medicine, Department of Anesthesiology, Intensive Care and Pain Medicine, University of Helsinki and Helsinki University Hospital, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vaara</LastName>
                    <ForeName>Suvi T</ForeName>
                    <Initials>ST</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Intensive Care Medicine, Department of Anesthesiology, Intensive Care and Pain Medicine, University of Helsinki and Helsinki University Hospital, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Donner</LastName>
                    <ForeName>Kati M</ForeName>
                    <Initials>KM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute for Molecular Medicine Finland (FIMM), University of Helsinki, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lakkisto</LastName>
                    <ForeName>Päivi</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Clinical Chemistry, University of Helsinki and Helsinki University Hospital, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Minerva Foundation Institute for Medical Research, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kaunisto</LastName>
                    <ForeName>Mari A</ForeName>
                    <Initials>MA</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-6946-9195</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Institute for Molecular Medicine Finland (FIMM), University of Helsinki, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pettilä</LastName>
                    <ForeName>Ville</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Division of Intensive Care Medicine, Department of Anesthesiology, Intensive Care and Pain Medicine, University of Helsinki and Helsinki University Hospital, Helsinki, Finland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <CollectiveName>FINNAKI Study Group</CollectiveName>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120979</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217291</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-01345</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120977</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Seasonal variability of vitamin D status in patients with inflammatory bowel disease - A retrospective cohort study.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217238</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217238</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">Vitamin D deficiency predicts unfavorable disease outcomes in inflammatory bowel disease. Endogenous vitamin D synthesis is affected by seasonal factors including sunlight exposure, raising the question whether seasonality determines the risk of vitamin D deficiency and may mask other clinical risk factors.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">Univariable and multiple regression analyses were performed in a retrospective cohort of 384 patients to determine risk factors for vitamin D deficiency. Since the observed 25-hydroxyvitamin D [25(OH)D] concentrations followed a sinusoidal pattern over the year, all 25(OH)D concentrations were normalized for the predicted variability of the respective day of analysis based on a sinusoidal regression analysis of 25(OH)D test results obtained in more than 86,000 control serum samples.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Vitamin D deficiency was highly prevalent in patients with Crohn's disease or ulcerative colitis (63% and 55%, respectively) and associated with winter/spring seasons. After normalization of 25(OH)D concentrations for the day of analysis, vitamin D deficiency was associated with histories of complications related to inflammatory bowel disease, surgery, smoking and ongoing diarrhea while initial disease manifestation during adulthood, ongoing vitamin D supplementation and diagnosis of ulcerative colitis vs. Crohn's disease appeared to be protective. Multiple regression analyses revealed that vitamin D deficiency was associated with disease activity in Crohn's disease and anemia in ulcerative colitis patients. Only few deficient patients achieved sufficient 25(OH)D concentrations over time. However, increasing 25(OH)D concentrations correlated with improved Crohn's disease activity.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Vitamin D deficiency was highly prevalent in patients with Crohn's disease and ulcerative colitis and dependent on the season of the year. Following normalization for seasonality by sinusoidal regression analysis, vitamin D deficiency was found to be associated with parameters of complicated disease course while increasing 25(OH)D concentrations over time correlated with reduced activity of Crohn's disease.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Janssen</LastName>
                    <ForeName>Christine Elisabeth</ForeName>
                    <Initials>CE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine II, Medical Center-University of Freiburg, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Globig</LastName>
                    <ForeName>Anna Maria</ForeName>
                    <Initials>AM</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-5236-7459</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine II, Medical Center-University of Freiburg, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Berta-Ottenstein-Programme, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Busse Grawitz</LastName>
                    <ForeName>Andrea</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Institute for Clinical Chemistry and Laboratory Medicine, Medical Center-University of Freiburg, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bettinger</LastName>
                    <ForeName>Dominik</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine II, Medical Center-University of Freiburg, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Berta-Ottenstein-Programme, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hasselblatt</LastName>
                    <ForeName>Peter</ForeName>
                    <Initials>P</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-1107-6516</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine II, Medical Center-University of Freiburg, Faculty of Medicine, University of Freiburg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>All authors declare to have no conflict of interest directly related to this study. Outside of this work, AMG received travel grants from Abbvie and Janssen; PH received lecture fees from Falk foundation, Abbvie, Takeda, MSD as well as Janssen and travel grants from Abbvie and Takeda. This does not alter our adherence to PLOS ONE policies on sharing data and materials.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>23</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120977</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217238</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-02195</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120970</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Is risk-stratified breast cancer screening economically efficient in Germany?</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217213</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217213</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVES" NlmCategory="OBJECTIVE">Risk stratification has so far been evaluated under the assumption that women fully adhere to screening recommendations. However, the participation in German cancer screening programs remains low at 54%. The question arises whether risk-stratified screening is economically efficient under the assumption that adherence is not perfect.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">We have adapted a micro-simulation Markov model to the German context. Annual, biennial, and triennial routine screening are compared with five risk-adapted strategies using thresholds of relative risk to stratify screening frequencies. We used three outcome variables (mortality reduction, quality-adjusted life years, and false-positive results) under the assumption of full adherence vs. an adherence rate of 54%. Strategies are evaluated using efficiency frontiers and probabilistic sensitivity analysis (PSA).</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">The reduced adherence rate affects both performance and cost; incremental cost-effectiveness ratios remain constant. The results of PSA show that risk-stratified screening strategies are more efficient than biennial routine screening under certain conditions. At any willingness-to-pay (WTP), there is a risk-stratified alternative with a higher likelihood of being the best choice. However, without explicit decision criteria and WTP, risk-stratified screening is not more efficient than biennial routine screening. Potential improvements in the adherence rates have significant health gains and budgetary implications.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">If the participation rate for mammographic screening is as low as in Germany, stratified screening is not clearly more efficient than routine screening but dependent on the WTP. A more promising design for future stratified strategies is the combination of risk stratification mechanisms with interventions to improve the low adherence in selected high-risk groups.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Arnold</LastName>
                    <ForeName>Matthias</ForeName>
                    <Initials>M</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-9736-7233</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Centre for Health Economics, University of York, York, United Kingdom.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Munich Center of Health Sciences, Ludwig-Maximilians-Universität, Munich, Germany.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Institute of Health Economics and Health Care Management, Helmholtz Zentrum München - German Research Center for Environmental Health, Neuherberg, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pfeifer</LastName>
                    <ForeName>Katharina</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Frauenklinik, Klinikum Rechts der Isar, Technical University Munich (TUM), Munich, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Quante</LastName>
                    <ForeName>Anne S</ForeName>
                    <Initials>AS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Frauenklinik, Klinikum Rechts der Isar, Technical University Munich (TUM), Munich, Germany.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120970</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217213</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-30717</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120966</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Psychometric assessment of the French European Developmental Coordination Disorder Questionnaire (DCDQ-FE).</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217280</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217280</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">The Developmental Coordination Disorder Questionnaire'07 (DCDQ'07) is a parent-report measure to identify children at risk for Developmental Coordination Disorder (DCD). We developed a French version of the DCDQ'07 (DCDQ-FE) that has shown excellent inter-language reliability (intraclass correlation coefficient (ICC) = 0.91) and is culturally relevant for use in European countries. The aims of this study were to examine the internal consistency, test-retest reliability, construct validity of the Developmental Coordination Disorder Questionnaire-French European (DCDQ-FE), as well as establish a cut-off score.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">The psychometric properties of the DCDQ-FE were examined with a clinical group of 30 children (mean age: 9.4 years, SD = 2.6) and a control group of 43 children (mean age: 9.1 years, SD = 2.4). Their parents (n = 73) filled out the DCDQ-FE at a first sitting and 70 of them filled it out 38 days later in average for test-retest reliability. The children were assessed using the Movement Assessment Battery for Children-2 (MABC-2) so as to measure the convergent validity of the DCDQ-FE. The cut-off score was determined with an additional sample of 42 children according to scores on the MABC-2 (≥ 16th percentile) (n = 115).</AbstractText>
                <AbstractText Label="RESULTS AND IMPLICATIONS" NlmCategory="CONCLUSIONS">Internal consistency of the DCDQ-FE was excellent (Cronbach's alpha = 0.96) and test-retest reliability was good (ICC = 0.956) with no differences between scores obtained at the two sittings (p &gt; 0.05). Differences in scores between children in the clinical and control groups (Z = -6.58, p &lt; 0.001) provide evidence of construct validity. The correlation obtained between DCDQ-FE and MABC-2 scores (Spearman's rho correlation coefficient = 0.802, p &lt; 0.001) supports convergent validity. Using a cut-off of 56, overall sensitivity and specificity were 85.0% and 81.6% respectively (area under the curve = 0.896). The DCDQ-FE is a reliable and valid questionnaire for detecting children who are at risk for DCD in a European-French population of children aged 5 to 15 years old.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Ray-Kaeser</LastName>
                    <ForeName>Sylvie</ForeName>
                    <Initials>S</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0001-6706-6934</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Occupational Therapy, School of Social Work &amp; Health Sciences, EESP, HES-SO University of Applied Sciences and Arts Western Switzerland, Lausanne, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Thommen</LastName>
                    <ForeName>Evelyne</ForeName>
                    <Initials>E</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-5291-8345</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Social Work, School of Social Work &amp; Health Sciences, EESP, HES-SO University of Applied Sciences and Arts Western Switzerland, Lausanne, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Martini</LastName>
                    <ForeName>Rose</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Occupational Therapy Program, Faculty of Health Sciences, University of Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jover</LastName>
                    <ForeName>Marianne</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Aix Marseille University, PSYCLE, Aix-en-Provence, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gurtner</LastName>
                    <ForeName>Basilie</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Occupational Therapy, School of Social Work &amp; Health Sciences, EESP, HES-SO University of Applied Sciences and Arts Western Switzerland, Lausanne, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bertrand</LastName>
                    <ForeName>Anne Martine</ForeName>
                    <Initials>AM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Occupational Therapy, School of Social Work &amp; Health Sciences, EESP, HES-SO University of Applied Sciences and Arts Western Switzerland, Lausanne, Switzerland.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120966</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217280</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-04812</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120946</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Analysis of environmental risk factors for chronic obstructive pulmonary disease exacerbation: A case-crossover study (2004-2013).</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217143</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217143</ELocationID>
            <Abstract>
                <AbstractText Label="PURPOSE" NlmCategory="OBJECTIVE">We aim to assess if air pollution levels and climatological factors are associated with hospital admissions for exacerbation of chronic obstructive pulmonary disease (COPD) in Spain from 2004 to 2013.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">We conducted a retrospective study. Information on pollution level and climatological factors were obtained from the Spanish Meteorological Agency and hospitalizations from the Spanish hospital discharge database. A case-crossover design was used to identify factors associated with hospitalizations and in hospital mortality. Postal codes were used to assign climatic and pollutant factors to each patient.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">We detected 162,338 hospital admissions for COPD exacerbation. When seasonal effects were evaluated we observed that hospital admissions and mortality were more frequent in autumn and winter. In addition, we found significant associations of temperature, humidity, ozone (O3), carbon monoxide (CO), particulate matter up to 10 μm in size (PM10) and nitrogen dioxide (NO2) with hospital admissions. Lower temperatures at admission with COPD exacerbation versus 1, 1.5, 2 and 3 weeks prior to hospital admission for COPD exacerbation, were associated with a higher probability of dying in the hospital. Other environmental factors that were related to in-hospital mortality were NO2, O3, PM10 and CO.</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">Epidemiology of hospital admissions by COPD exacerbation was negatively affected by colder climatological factors (seasonality and absolute temperature) and short-term exposure to major air pollution (NO2, O3, CO and PM10).</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>de Miguel-Díez</LastName>
                    <ForeName>Javier</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Pneumology Department, Hospital General Universitario Gregorio Marañón, Universidad Complutense de Madrid, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hernández-Vázquez</LastName>
                    <ForeName>Julio</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Pneumology Department, Hospital Universitario Infanta Leonor, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>López-de-Andrés</LastName>
                    <ForeName>Ana</ForeName>
                    <Initials>A</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0001-5551-5181</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Preventive Medicine and Public Health Teaching and Research Unit, Department of Health Sciences, Universidad Rey Juan Carlos, Alcorcón, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Álvaro-Meca</LastName>
                    <ForeName>Alejandro</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Preventive Medicine and Public Health Teaching and Research Unit, Department of Health Sciences, Universidad Rey Juan Carlos, Alcorcón, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hernández-Barrera</LastName>
                    <ForeName>Valentín</ForeName>
                    <Initials>V</Initials>
                    <AffiliationInfo>
                        <Affiliation>Preventive Medicine and Public Health Teaching and Research Unit, Department of Health Sciences, Universidad Rey Juan Carlos, Alcorcón, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jiménez-García</LastName>
                    <ForeName>Rodrigo</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Preventive Medicine and Public Health Teaching and Research Unit, Department of Health Sciences, Universidad Rey Juan Carlos, Alcorcón, Madrid, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>This study was funded in part by Menarini. There are no patents, products in development or marketed products to declare. This does not alter the author’s adherence to all the PLOS ONE policies on sharing data and materials.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>21</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120946</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217143</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-27580</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120941</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Identification of immune and metabolic predictors of severe hand-foot-mouth disease.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0216993</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0216993</ELocationID>
            <Abstract>
                <AbstractText>Hand, foot and mouth disease (HFMD) is an infectious disease that affects mostly children. The children with HFMD also have other immune and metabolic disorders. However, the association of these disorders with the severity of HFMD has not yet been determined. In this study, we used a case-control study design to examine the correlation of immune and metabolic disorders with HFMD development in children. 406 mild and severe patients were recruited and divided into different subgroups based on the number of days from the initial onset time to hospitalization (1, 2, 3, 4, and ≥5 days). Logistic regression model was used to define the predictors of severe HFMD. We found that the patients from rural area (OR = 1.76, 95% CI [1.19~2.63], P = 0.005) or with body temperature of &gt;39°C (OR = 2.14, 95% CI [1.12~4.12], P = 0.022) exhibited higher risk for severe symptoms. In addition, the risk increased with the rise of body temperature by using a Chis-quare trend test (P = 0.01). We also found that a decreased number of eosinophils was an predictor of severe HFMD at 1, 2, 3,and 4 days post infection (dpi). Decreased levels of Na+, Cl-, and creatine kinase were also predictors at 1 and ≥5 dpi. On the other hand, elevated level of globulin was a predictor for severe HFMD at 4 dpi and ≥5 dpi, and the increased number of neutrophils or increased level of alkaline phosphatase posed risk for severe HFMD at 3 and ≥5 dpi. Our results suggested that rural living, hyperpyrexia, changes in the immune system that include the numbers of eosinophils and neutrophils and the levels of IgG and globulin, and metabolic alterations, such as the levels of alkaline phosphatase, Na+, Cl-, and creatine kinase in peripheral blood are predictors of severe HFMD.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Qin</LastName>
                    <ForeName>Luwei</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Public Health, Xinxiang Medical University, Xinxiang, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dang</LastName>
                    <ForeName>Dejian</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wang</LastName>
                    <ForeName>Xinhong</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Infectious Disease, The Children's Hospital of Zhengzhou City, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Rongguang</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Feng</LastName>
                    <ForeName>Huifen</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, The Fifth Affiliated Hospital of Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ren</LastName>
                    <ForeName>Jingchao</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Public Health, Xinxiang Medical University, Xinxiang, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Shuaiyin</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhou</LastName>
                    <ForeName>Guangyuan</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Public Health, Xinxiang Medical University, Xinxiang, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Huang</LastName>
                    <ForeName>Ping</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, The Fifth Affiliated Hospital of Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wang</LastName>
                    <ForeName>Bin</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Gastroenterology, The Fifth Affiliated Hospital of Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Xi</LastName>
                    <ForeName>Yuanlin</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wu</LastName>
                    <ForeName>Weidong</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Public Health, Xinxiang Medical University, Xinxiang, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jin</LastName>
                    <ForeName>Yuefei</ForeName>
                    <Initials>Y</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-1523-0808</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Duan</LastName>
                    <ForeName>Guangcai</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Epidemiology, College of Public Health, Zhengzhou University, Zhengzhou, China.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>01</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120941</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0216993</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-24479</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120938</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Cultural adaptation and psychometric validation of the Caring Efficacy scale in a sample of Italian nurses.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217106</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217106</ELocationID>
            <Abstract>
                <AbstractText>Caring is the essence of nursing practice. Caring Efficacy scale was developed with the purpose of measuring nurses' perceived self-efficacy in orienting and maintaining caring relationships with patients. Since any instruments measuring caring self-efficacy have not been developed in Italy, the study aimed at culturally adapting and validating Caring Efficacy scale in a sample of Italian nurses. A total of 300 registered nurses were asked to fill a self-reported questionnaire; translation-back-translation procedure was carried out to maintain semantic, idiomatic and conceptual equivalence of the original scale. Then, factor analysis was performed in order to test appropriateness of the factor structure. Convergent and discriminant validity was also tested. A two-factor structure with 17 items was found. Results show that Cronbach's Alpha value was 0.84 for Confidence to Care, and 0.75 for Doubts and Concerns. Correlation analysis for convergent and discriminant validity showed that Confidence to Care was positively correlated with sense of coherence and no significant correlation with Doubts and Concerns was found. Caring efficacy scale can be used by nurse managers as a way of assessing nurses' self-efficacy and their caring orientation, thus improving quality of patient care.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Aviles Gonzalez</LastName>
                    <ForeName>Cesar Ivan</ForeName>
                    <Initials>CI</Initials>
                    <AffiliationInfo>
                        <Affiliation>Anesthesia and Intensive Care Department, University of Cagliari, Monserrato, CA, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Galletta</LastName>
                    <ForeName>Maura</ForeName>
                    <Initials>M</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-0124-4248</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Medical Sciences and Public Health, University of Cagliari, Monserrato, CA, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Melis</LastName>
                    <ForeName>Paola</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Pain Therapy Service, University of Cagliari, Cagliari, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Contu</LastName>
                    <ForeName>Paolo</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medical Sciences and Public Health, University of Cagliari, Monserrato, CA, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Watson</LastName>
                    <ForeName>Jean</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Watson Caring Science Institute, Boulder, CO, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Finco</LastName>
                    <ForeName>Gabriele</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Anesthesia and Intensive Care Department, University of Cagliari, Monserrato, CA, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Jimenez Herrera</LastName>
                    <ForeName>Maria Francisca</ForeName>
                    <Initials>MF</Initials>
                    <AffiliationInfo>
                        <Affiliation>Departament d'Infermeria, Universitat Rovira i Virgili, Tarragona, Spain.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>15</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>03</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120938</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217106</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-01326</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120936</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Detection of mammagloblin by RT-PCR as a biomarker for lymph node metastasis in breast cancer patients: A systematic review and meta-analysis.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0216989</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0216989</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND" NlmCategory="BACKGROUND">This meta-analysis presents evidence regarding the diagnostic accuracy of mammaglobin detected using the RT-PCR technique, related to the presence of sentinel node metastasis in breast cancer patients.</AbstractText>
                <AbstractText Label="METHODS" NlmCategory="METHODS">The following databases were consulted: Cochrane, Lilacs, Scielo, Hinary, PubMed, Elsevier, Embase, ProQuest, the Universidad del Rosario´s Centro de Recursos Para el Aprendizaje y la Investigación (CRAI-UR) [Resource Center for Learning and Research], and the Google Scholar search engine. The quality of the studies was assessed using the QUADAS-2 and CASpe tools. The selected studies presented the necessary data to calculate diagnostic validity index of mammaglobin detection using RT-PCR, compared with the reference standard test. Global values for the sensitivity, specificity, positive predictive value, negative predictive value, probability ratios, diagnostic ORs, and summary ROC curves of this meta-analysis were obtained using the Meta-DiSc 1.4 program.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Initially, 731 articles were obtained; but only 25 were included in the meta-analysis. Sensitivity was 84% (95% CI: 83% - 86%), and specificity was 92% (95% CI: 91% - 93%). Positive and negative predictive values were 9.26 (95% CI: 6.47-13.26) and 0.17 (95% CI: 0.13-0.23), respectively. The diagnostic OR was 66.34 (95% CI: 42.52-103.52). The predictive area under the sROC curve was 94.78 (Q = 0.8876).</AbstractText>
                <AbstractText Label="CONCLUSIONS" NlmCategory="CONCLUSIONS">The evaluated diagnostic index showed that the expression of the mammaglobin biomarker has diagnostic prediction for detecting lymph node metastasis in breast cancer patients, when analyzed using RT-PCR, although more than 50% heterogeneity was found.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Monsalve-Lancheros</LastName>
                    <ForeName>Ana</ForeName>
                    <Initials>A</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-2170-0562</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Natural Science and Mathematics, Universidad del Rosario, Bogotá DC, Colombia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ibáñez-Pinilla</LastName>
                    <ForeName>Milcíades</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Medicine and Health Sciences, Universidad del Rosario, Bogotá DC, Colombia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ramírez-Clavijo</LastName>
                    <ForeName>Sandra</ForeName>
                    <Initials>S</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-0336-5614</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Natural Science and Mathematics, Universidad del Rosario, Bogotá DC, Colombia.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>07</Month>
                <Day>13</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>02</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120936</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0216989</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-20489</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120931</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Chronotype mediates gender differences in risk propensity and risk-taking.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0216619</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0216619</ELocationID>
            <Abstract>
                <AbstractText>Risk-taking is a complex form of decision-making that involves calculated assessments of potential costs and rewards that may be immediate or delayed. Thus, making predictions about inter-individual variation in risk-taking due to personality traits, decision styles or other attributes can be difficult. The association of risk-taking with gender is well-supported; males report higher propensity for risk-taking and show higher risk-taking on tasks measuring actual risk-taking behavior. Risk-taking also appears to be associated with circadian phenotypes (chronotypes), with evening-types reporting higher levels of risk-taking-but this association may be confounded by the fact that, in certain age groups, males are more likely to be evening-types. Here, we test for gender by chronotype effects on risk-taking in young adults (n = 610) using a self-reported risk propensity questionnaire, the health domain of the DOSPERT, and a behavioral task measuring risk-taking, the Balloon Analog Risk Task (BART). Our results show that males report and take significantly more risks than females in this population. In addition, evening-type individuals have significantly higher self-reported risk propensity and tend to take more risks on the BART. Interestingly, there is no significant difference in risk propensity or risk-taking behavior across male circadian phenotypes, but evening-type females significantly report and take more risk than female intermediate and morning types. In regression analyses, we found both gender and chronotype predict risk propensity and risk-taking. Path analysis confirms that chronotype has an indirect effect on gender differences in both risk propensity and risk-taking. Furthermore, we found that trait anxiety (STAI) and sleep disturbance (PROMIS), significantly correlate with chronotype and gender in the complete dataset, but do not independently predict differences in female risk-taking. These results suggest that chronotype mediates gender effects on risk-taking and that these effects are driven primarily by morning-type females, but are not related to gender-specific differences in trait anxiety or sleep quality.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Gowen</LastName>
                    <ForeName>Rebecca</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Biology Department, Colgate University, Hamilton, New York, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Filipowicz</LastName>
                    <ForeName>Allan</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>S.C. Johnson College of Business, Cornell University, Ithaca, New York, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ingram</LastName>
                    <ForeName>Krista K</ForeName>
                    <Initials>KK</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-4512-1549</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Biology Department, Colgate University, Hamilton, New York, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>24</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120931</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0216619</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-01540</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120921</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Optimization and validation of the EconomicClusters model for facilitating global health disparities research: Examples from Cameroon and Ghana.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0217197</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0217197</ELocationID>
            <Abstract>
                <AbstractText>Health disparities research in low- and middle-income countries (LMICs) is hampered by the difficulty of measuring economic status in low-resource settings. We previously developed the EconomicClusters k-medoids clustering-based algorithm for defining population-specific economic models based on few Demographic and Health Surveys (DHS) assets. The algorithm previously defined a twenty-group economic model for Cameroon. The aims of this study are to optimize the functionality of our EconomicClusters algorithm and app based on collaborator feedback from early use of this twenty-group economic model, to test the validity of the model as a metric of economic status, and to assess the utility of the model in another LMIC context. We condense the twenty Cameroonian economic groups into fewer, ordinally-ranked, groups using agglomerative hierarchical clustering based on mean cluster child height-for-age Z-score (HAZ), women's literacy score, and proportion of children who are deceased. We develop an EconomicClusters model for Ghana consisting of five economic groups and rank these groups based on the same three variables. The proportion of variance in women's literacy score accounted for by the EconomicClusters model was 5-12% less than the proportion of variance accounted for by the DHS Wealth Index model. The proportion of the variance in child HAZ and proportion of children who are deceased accounted for by the EconomicClusters model was similar to (0.4-2.5% less than) the proportion of variance accounted for by the DHS Wealth Index model. The EconomicClusters model requires asking only five questions, as opposed to greater than twenty Wealth Index questions. The EconomicClusters algorithm and app could facilitate health disparities research in any country with DHS data by generating ordinally-ranked, population-specific economic models that perform nearly as well as the Wealth Index in evaluating variability in health and social outcomes based on wealth status but that are more feasible to assess in time-constrained settings.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Eyler</LastName>
                    <ForeName>Lauren</ForeName>
                    <Initials>L</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-2967-0855</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgery, Center for Global Surgical Studies, University of California San Francisco, San Francisco, California, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hubbard</LastName>
                    <ForeName>Alan</ForeName>
                    <Initials>A</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-3769-0127</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Division of Biostatistics, School of Public Health, University of California Berkeley, Berkeley, California, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Juillard</LastName>
                    <ForeName>Catherine</ForeName>
                    <Initials>C</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-0847-8933</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Surgery, University of California Los Angeles, Los Angeles, California, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>09</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>08</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120921</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0217197</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-26360</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120910</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Comparison of bilateral and unilateral upper limb training in people with stroke: A systematic review and meta-analysis.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0216357</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0216357</ELocationID>
            <Abstract>
                <AbstractText Label="BACKGROUND AND OBJECTIVES" NlmCategory="OBJECTIVE">Bilateral upper limb training (BULT) and unilateral upper limb training (UULT) are two effective strategies for the recovery of upper limb motor function after stroke. This meta-analysis aimed to compare the improvements in motor impairment and functional performances of people with stroke after BULT and UULT.</AbstractText>
                <AbstractText Label="RESEARCH DESIGN AND METHODS" NlmCategory="METHODS">This systematic review and meta-analysis identified 21 randomized controlled trials (RCTs) met the eligibility criteria from CINAHL, Medline, Embase, Cochrane Library and PubMed. The outcome measures were the Fugl-Meyer Assessment of Upper Extremity (FMA-UE), Wolf Motor Function Test (WMFT), Action Research Arm Test (ARAT) and Box and Block Test (BBT), which are validated measures of upper limb function.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Twenty-one studies involving 842 subjects with stroke were included. Compared with UULT, BULT yielded a significantly greater mean difference (MD) in the FMA-UE (MD = 2.21, 95% Confidence Interval (CI), 0.12 to 4.30, p = 0.04; I2 = 86%, p&lt;0.001). However, a comparison of BULT and UULT yielded insignificant mean difference (MD) in terms of the time required to complete the WMFT (MD = 0.44; 95%CI, -2.22 to 3.10, p = 0.75; I2 = 55%, p = 0.06) and standard mean difference (SMD) in terms of the functional ability scores on the WMFT, ARAT and BBT (SMD = 0.25; 95%CI, -0.02 to 0.52, p = 0.07; I2 = 54%, p = 0.02).</AbstractText>
                <AbstractText Label="DISCUSSION AND IMPLICATIONS" NlmCategory="UNASSIGNED">Compared to UULT, BULT yielded superior improvements in the improving motor impairment of people with stroke, as measured by the FMA-UE. However, these strategies did not yield significant differences in terms of the functional performance of people with stroke, as measured by the WMFT, ARAT and BBT. More comparative studies of the effects of BULT and UULT are needed to increase the reliability of these conclusions.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Pei-Ming</ForeName>
                    <Initials>PM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Rehabilitation Sciences, The Hong Kong Polytechnic University, Hong Kong, China (SAR).</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Kwong</LastName>
                    <ForeName>Patrick W H</ForeName>
                    <Initials>PWH</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Rehabilitation Sciences, The Hong Kong Polytechnic University, Hong Kong, China (SAR).</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lai</LastName>
                    <ForeName>Claudia K Y</ForeName>
                    <Initials>CKY</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Nursing, The Hong Kong Polytechnic University, Hong Kong, China (SAR).</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ng</LastName>
                    <ForeName>Shamay S M</ForeName>
                    <Initials>SSM</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-1660-0548</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Rehabilitation Sciences, The Hong Kong Polytechnic University, Hong Kong, China (SAR).</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>12</Month>
                <Day>07</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>12</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120910</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0216357</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-35114</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120893</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Near-universal hospitalization of US emergency department patients with cancer and febrile neutropenia.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0216835</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0216835</ELocationID>
            <Abstract>
                <AbstractText Label="IMPORTANCE" NlmCategory="OBJECTIVE">Febrile neutropenia (FN) is the most common oncologic emergency and is among the most deadly. Guidelines recommend risk stratification and outpatient management of both pediatric and adult FN patients deemed to be at low risk of complications or mortality, but our prior single-center research demonstrated that the vast majority (95%) are hospitalized.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">From a nationwide perspective, to determine the proportion of cancer patients of all ages hospitalized after an emergency department (ED) visit for FN, and to analyze variability in hospitalization rates. Our a priori hypothesis was that &gt;90% of US cancer-associated ED FN visits would end in hospitalization.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Analysis of data from the Nationwide Emergency Department Sample, 2006-2014.</AbstractText>
                <AbstractText Label="SETTING" NlmCategory="METHODS">Stratified probability sample of all US ED visits.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">Inclusion criteria were: (1) Clinical Classification Software code indicating cancer, (2) diagnostic code indicating fever, and (3) diagnostic code indicating neutropenia. We excluded visits ending in transfer.</AbstractText>
                <AbstractText Label="EXPOSURE" NlmCategory="METHODS">The hospital at which the visit took place.</AbstractText>
                <AbstractText Label="MAIN OUTCOMES AND MEASURES" NlmCategory="UNASSIGNED">Our main outcome is the proportion of ED FN visits ending in hospitalization, with an a priori hypothesis of &gt;90%. Our secondary outcomes are: (a) hospitalization rates among subsets, and (b) proportion of variability in the hospitalization rate attributable to which hospital the patient visited, as measured by the intra-class correlation coefficient (ICC).</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Of 348,868 visits selected to be representative of all US ED visits, 94% ended in hospitalization (95% Confidence Interval [CI] 93-94%). Each additional decade of age conferred 1.23x increased odds of hospitalization. Those with private (92%), self-pay (92%), and other (93%) insurance were less likely to be hospitalized than those with public insurance (95%, odds ratios [OR] 0.74-0.76). Hospitalization was least likely at non-metropolitan hospitals (84%, OR 0.15 relative to metropolitan teaching hospitals), and was also less likely at metropolitan non-teaching hospitals (94%, OR 0.64 relative to metropolitan teaching hospitals). The ICC adjusted for hospital random effects and patient and hospital characteristics was 26% (95%CI 23-29%), indicating that 26% of the variability in hospitalization rate was attributable to which hospital the patient visited.</AbstractText>
                <AbstractText Label="CONCLUSIONS AND RELEVANCE" NlmCategory="CONCLUSIONS">Nearly all cancer-associated ED FN visits in the US end in hospitalization. Inter-hospital variation in hospitalization practices explains 26% of the limited variability in hospitalization decisions. Simple, objective tools are needed to improve risk stratification for ED FN patients.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Baugh</LastName>
                    <ForeName>Christopher W</ForeName>
                    <Initials>CW</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-2360-1891</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Emergency Medicine, Brigham and Women's Hospital, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Harvard Medical School, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Faridi</LastName>
                    <ForeName>Mohammad Kamal</ForeName>
                    <Initials>MK</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Emergency Medicine, Massachusetts General Hospital, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mueller</LastName>
                    <ForeName>Emily L</ForeName>
                    <Initials>EL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Pediatrics, Indiana University School of Medicine, Indianapolis, Indiana, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Camargo</LastName>
                    <ForeName>Carlos A</ForeName>
                    <Initials>CA</Initials>
                    <Suffix>Jr</Suffix>
                    <AffiliationInfo>
                        <Affiliation>Harvard Medical School, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Emergency Medicine, Massachusetts General Hospital, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pallin</LastName>
                    <ForeName>Daniel J</ForeName>
                    <Initials>DJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Emergency Medicine, Brigham and Women's Hospital, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Harvard Medical School, Boston, Massachusetts, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>22</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120893</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0216835</ArticleId>
            <ArticleId IdType="pii">PONE-D-19-08061</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Data-Review" Owner="NLM">
        <PMID Version="1">31120888</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Electronic-eCollection">
            <Journal>
                <ISSN IssnType="Electronic">1932-6203</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>14</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                    </PubDate>
                </JournalIssue>
                <Title>PloS one</Title>
                <ISOAbbreviation>PLoS ONE</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Reporting preclinical anesthesia study (REPEAT): Evaluating the quality of reporting in the preclinical anesthesiology literature.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e0215221</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pone.0215221</ELocationID>
            <Abstract>
                <AbstractText>Poor reporting quality may contribute to irreproducibility of results and failed 'bench-to-bedside' translation. Consequently, guidelines have been developed to improve the complete and transparent reporting of in vivo preclinical studies. To examine the impact of such guidelines on core methodological and analytical reporting items in the preclinical anesthesiology literature, we sampled a cohort of studies. Preclinical in vivo studies published in Anesthesiology, Anesthesia &amp; Analgesia, Anaesthesia, and the British Journal of Anaesthesia (2008-2009, 2014-2016) were identified. Data was extracted independently and in duplicate. Reporting completeness was assessed using the National Institutes of Health Principles and Guidelines for Reporting Preclinical Research. Risk ratios were used for comparative analyses. Of 7615 screened articles, 604 met our inclusion criteria and included experiments reporting on 52 490 animals. The most common topic of investigation was pain and analgesia (30%), rodents were most frequently used (77%), and studies were most commonly conducted in the United States (36%). Use of preclinical reporting guidelines was listed in 10% of applicable articles. A minority of studies fully reported on replicates (0.3%), randomization (10%), blinding (12%), sample-size estimation (3%), and inclusion/exclusion criteria (5%). Statistics were well reported (81%). Comparative analysis demonstrated few differences in reporting rigor between journals, including those that endorsed reporting guidelines. Principal items of study design were infrequently reported, with few differences between journals. Methods to improve implementation and adherence to community-based reporting guidelines may be necessary to increase transparent and consistent reporting in the preclinical anesthesiology literature.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fergusson</LastName>
                    <ForeName>Dean A</ForeName>
                    <Initials>DA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Avey</LastName>
                    <ForeName>Marc T</ForeName>
                    <Initials>MT</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-8696-3232</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Barron</LastName>
                    <ForeName>Carly C</ForeName>
                    <Initials>CC</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, McMaster University, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine, McMaster University, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bocock</LastName>
                    <ForeName>Mathew</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Biefer</LastName>
                    <ForeName>Kristen E</ForeName>
                    <Initials>KE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, University of Alberta, Edmonton, Alberta, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Boet</LastName>
                    <ForeName>Sylvain</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, The Ottawa Hospital, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Innovation in Medical Education, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Bourque</LastName>
                    <ForeName>Stephane L</ForeName>
                    <Initials>SL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, University of Alberta, Edmonton, Alberta, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Conic</LastName>
                    <ForeName>Isidora</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Chen</LastName>
                    <ForeName>Kai</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Perioperative Medicine, Queen's University, Kingston, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dong</LastName>
                    <ForeName>Yuan Yi</ForeName>
                    <Initials>YY</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fox</LastName>
                    <ForeName>Grace M</ForeName>
                    <Initials>GM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>George</LastName>
                    <ForeName>Ronald B</ForeName>
                    <Initials>RB</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, Pain Management &amp; Perioperative Medicine, Dalhousie University, Halifax, Nova Scotia, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Goldenberg</LastName>
                    <ForeName>Neil M</ForeName>
                    <Initials>NM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, University of Toronto, Toronto, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Gragasin</LastName>
                    <ForeName>Ferrante S</ForeName>
                    <Initials>FS</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, University of Alberta, Edmonton, Alberta, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harsha</LastName>
                    <ForeName>Prathiba</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, McMaster University, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hong</LastName>
                    <ForeName>Patrick J</ForeName>
                    <Initials>PJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>James</LastName>
                    <ForeName>Tyler E</ForeName>
                    <Initials>TE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Medicine, McMaster University, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Larrigan</LastName>
                    <ForeName>Sarah M</ForeName>
                    <Initials>SM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, The Ottawa Hospital, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>MacNeil</LastName>
                    <ForeName>Jenna L</ForeName>
                    <Initials>JL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Manuel</LastName>
                    <ForeName>Courtney A</ForeName>
                    <Initials>CA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Discipline of Anesthesia, Memorial University, St. John's, Newfoundland and Labrador, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Maximos</LastName>
                    <ForeName>Sarah</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology, Université de Montréal, Montréal, Québec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mazer</LastName>
                    <ForeName>David</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, University of Toronto, Toronto, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Mittal</LastName>
                    <ForeName>Rohan</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, University of Alberta, Edmonton, Alberta, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>McGinn</LastName>
                    <ForeName>Ryan</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Nguyen</LastName>
                    <ForeName>Long H</ForeName>
                    <Initials>LH</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Patel</LastName>
                    <ForeName>Abhilasha</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Richebé</LastName>
                    <ForeName>Philippe</ForeName>
                    <Initials>P</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology, Université de Montréal, Montréal, Québec, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Saha</LastName>
                    <ForeName>Tarit K</ForeName>
                    <Initials>TK</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Perioperative Medicine, Queen's University, Kingston, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Steinberg</LastName>
                    <ForeName>Benjamin E</ForeName>
                    <Initials>BE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, University of Toronto, Toronto, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sampson</LastName>
                    <ForeName>Sonja D</ForeName>
                    <Initials>SD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Discipline of Anesthesia, Memorial University, St. John's, Newfoundland and Labrador, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Stewart</LastName>
                    <ForeName>Duncan J</ForeName>
                    <Initials>DJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Regenerative Medicine Program, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Cellular and Molecular Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Syed</LastName>
                    <ForeName>Summer</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, McMaster University, Hamilton, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vella</LastName>
                    <ForeName>Kimberly</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesia, Pain Management &amp; Perioperative Medicine, Dalhousie University, Halifax, Nova Scotia, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wesch</LastName>
                    <ForeName>Neil L</ForeName>
                    <Initials>NL</Initials>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lalu</LastName>
                    <ForeName>Manoj M</ForeName>
                    <Initials>MM</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-0322-382X</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Clinical Epidemiology Program, Blueprint Translational Research Group, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Faculty of Medicine, University of Ottawa, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Anesthesiology and Pain Medicine, The Ottawa Hospital, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Regenerative Medicine Program, The Ottawa Hospital Research Institute, Ottawa, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <CollectiveName>Canadian Perioperative Anesthesia Clinical Trials Group</CollectiveName>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS One</MedlineTA>
            <NlmUniqueID>101285081</NlmUniqueID>
            <ISSNLinking>1932-6203</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>10</Month>
                <Day>09</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>03</Month>
                <Day>29</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>epublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120888</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pone.0215221</ArticleId>
            <ArticleId IdType="pii">PONE-D-18-29350</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120886</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1553-7404</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>15</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>PLoS genetics</Title>
                <ISOAbbreviation>PLoS Genet.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Stop-codon read-through arises largely from molecular errors and is generally nonadaptive.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e1008141</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pgen.1008141</ELocationID>
            <Abstract>
                <AbstractText>Stop-codon read-through refers to the phenomenon that a ribosome goes past the stop codon and continues translating into the otherwise untranslated region (UTR) of a transcript. Recent ribosome-profiling experiments in eukaryotes uncovered widespread stop-codon read-through that also varies among tissues, prompting the adaptive hypothesis that stop-codon read-through is an important, regulated mechanism for generating proteome diversity. Here we propose and test a competing hypothesis that stop-codon read-through arises mostly from molecular errors and is largely nonadaptive. The error hypothesis makes distinct predictions about the probability of read-through, frequency of sequence motifs for read-through, and conservation of the read-through region, each of which is supported by genome-scale data from yeasts and fruit flies. Thus, except for the few cases with demonstrated functions, stop-codon read-through is generally nonadaptive. This finding, along with other molecular errors recently quantified, reveals a much less precise or orderly cellular life than is commonly thought.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Chuan</ForeName>
                    <Initials>C</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-4381-3891</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Ecology and Evolutionary Biology, University of Michigan, Ann Arbor, MI, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Jianzhi</ForeName>
                    <Initials>J</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0001-6141-1290</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Ecology and Evolutionary Biology, University of Michigan, Ann Arbor, MI, United States of America.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS Genet</MedlineTA>
            <NlmUniqueID>101239074</NlmUniqueID>
            <ISSNLinking>1553-7390</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>02</Month>
                <Day>18</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>04</Month>
                <Day>16</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120886</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pgen.1008141</ArticleId>
            <ArticleId IdType="pii">PGENETICS-D-19-00288</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120875</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1553-7358</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <Volume>15</Volume>
                    <Issue>5</Issue>
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>PLoS computational biology</Title>
                <ISOAbbreviation>PLoS Comput. Biol.</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Efficient algorithms to discover alterations with complementary functional association in cancer.</ArticleTitle>
            <Pagination>
                <MedlinePgn>e1006802</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1371/journal.pcbi.1006802</ELocationID>
            <Abstract>
                <AbstractText>Recent large cancer studies have measured somatic alterations in an unprecedented number of tumours. These large datasets allow the identification of cancer-related sets of genetic alterations by identifying relevant combinatorial patterns. Among such patterns, mutual exclusivity has been employed by several recent methods that have shown its effectiveness in characterizing gene sets associated to cancer. Mutual exclusivity arises because of the complementarity, at the functional level, of alterations in genes which are part of a group (e.g., a pathway) performing a given function. The availability of quantitative target profiles, from genetic perturbations or from clinical phenotypes, provides additional information that can be leveraged to improve the identification of cancer related gene sets by discovering groups with complementary functional associations with such targets. In this work we study the problem of finding groups of mutually exclusive alterations associated with a quantitative (functional) target. We propose a combinatorial formulation for the problem, and prove that the associated computational problem is computationally hard. We design two algorithms to solve the problem and implement them in our tool UNCOVER. We provide analytic evidence of the effectiveness of UNCOVER in finding high-quality solutions and show experimentally that UNCOVER finds sets of alterations significantly associated with functional targets in a variety of scenarios. In particular, we show that our algorithms find sets which are better than the ones obtained by the state-of-the-art method, even when sets are evaluated using the statistical score employed by the latter. In addition, our algorithms are much faster than the state-of-the-art, allowing the analysis of large datasets of thousands of target profiles from cancer cell lines. We show that on two such datasets, one from project Achilles and one from the Genomics of Drug Sensitivity in Cancer project, UNCOVER identifies several significant gene sets with complementary functional associations with targets. Software available at: https://github.com/VandinLab/UNCOVER.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Sarto Basso</LastName>
                    <ForeName>Rebecca</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Industrial Engineering and Operations Research, University of California at Berkeley, Berkeley, CA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hochbaum</LastName>
                    <ForeName>Dorit S</ForeName>
                    <Initials>DS</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-2498-0512</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Industrial Engineering and Operations Research, University of California at Berkeley, Berkeley, CA, USA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vandin</LastName>
                    <ForeName>Fabio</ForeName>
                    <Initials>F</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-2244-2320</Identifier>
                    <AffiliationInfo>
                        <Affiliation>Department of Information Engineering, University of Padova, Padova, Italy.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Computer Science, Brown University, Providence, RI, USA.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Department of Mathematics and Computer Science, University of Southern Denmark, Odense, Denmark.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>PLoS Comput Biol</MedlineTA>
            <NlmUniqueID>101238922</NlmUniqueID>
            <ISSNLinking>1553-734X</ISSNLinking>
        </MedlineJournalInfo>
        <CoiStatement>The authors have declared that no competing interests exist.</CoiStatement>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2018</Year>
                <Month>03</Month>
                <Day>28</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="accepted">
                <Year>2019</Year>
                <Month>01</Month>
                <Day>17</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120875</ArticleId>
            <ArticleId IdType="doi">10.1371/journal.pcbi.1006802</ArticleId>
            <ArticleId IdType="pii">PCOMPBIOL-D-18-00496</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120860</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">2501-062X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>22</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Romanian journal of internal medicine = Revue roumaine de medecine interne</Title>
                <ISOAbbreviation>Rom J Intern Med</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Will imaging change the diagnosis and management of giant cell arteritis?</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.2478/rjim-2019-0013</ELocationID>
            <ELocationID EIdType="pii" ValidYN="Y">/j/rjim.ahead-of-print/rjim-2019-0013/rjim-2019-0013.xml</ELocationID>
            <Abstract>
                <AbstractText>Giant cell arteritis is a common systemic vasculitis affecting the elderly, with maximum prevalence in the 7th decade of age, targeting aortic derived medium and large vessels of the neck and head. Diagnosis is established on a biopsy specimen of the temporal artery wall, through pathological confirmation of panarteritis, typically characterized by mononuclear cell infiltrate, with the 1990 ACR criteria often used in clinical practice. We present the case of a patient with a new onset headache and systemic inflammation, did not fulfil the classical diagnostic criteria, nor did the temporal artery biopsy (TAB) provide a positive result. However, the ultrasonographical features, clinical evolution and response to corticosteroid therapy confirmed the diagnosis. This patient had bilateral presence of the halo sign on color duplex ultrasonography (CDUS), cited as a highly specific feature, when compared to the ACR criteria as a standard reference. We employed its positive likelihood-ratio (LR+) of 43 as previously estimated, while considering a low pre-test probability for a positive diagnosis (15%), to calculate a post-test probability of 88%, leading to our decision to treat him as having giant cell arteritis. Remission of the headache and rebound phenomena when tapered off steroid therapy substantially contributed to the positive diagnosis, underlining the importance of future studies needing to use clinical evolution as a standard of reference.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Chiriac</LastName>
                    <ForeName>Andra</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Colentina Clinical Hospital, Department of Neurology.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Badea</LastName>
                    <ForeName>Camelia</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Carol Davila University of Medicine and Pharmacy Bucharest.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Colentina Clinical Hospital, Department of Internal medicine.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Băicuş</LastName>
                    <ForeName>Cristian</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Carol Davila University of Medicine and Pharmacy Bucharest.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>Colentina Clinical Hospital, Department of Internal medicine.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>22</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>Germany</Country>
            <MedlineTA>Rom J Intern Med</MedlineTA>
            <NlmUniqueID>9304507</NlmUniqueID>
            <ISSNLinking>1220-4749</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">compression sign</Keyword>
            <Keyword MajorTopicYN="N">giant cell arteritis</Keyword>
            <Keyword MajorTopicYN="N">halo sign</Keyword>
            <Keyword MajorTopicYN="N">ultrasonography</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="received">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>04</Day>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120860</ArticleId>
            <ArticleId IdType="doi">10.2478/rjim-2019-0013</ArticleId>
            <ArticleId IdType="pii">/j/rjim.ahead-of-print/rjim-2019-0013/rjim-2019-0013.xml</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120845</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Occupational Therapy Practitioners' Perceptions About Older Adults With Developmental Disabilities in Traditional Health Care Settings.</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303345010p1-7303345010p6</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.029835</ELocationID>
            <Abstract>
                <AbstractText Label="IMPORTANCE" NlmCategory="OBJECTIVE">Health care providers' knowledge of and comfort working with adults with developmental disabilities (DD) affect the quality of care this growing population receives. Previous research on this topic has not included occupational therapy practitioners.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To determine occupational therapy practitioners' views about working with older adults with DD in traditional health care settings.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Quantitative survey over 4 mo.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">A random sample of 310 practitioners from the American Occupational Therapy Association's Gerontology and Physical Disabilities Special Interest Sections working in traditional health care settings.</AbstractText>
                <AbstractText Label="OUTCOMES AND MEASURES" NlmCategory="UNASSIGNED">A researcher-developed survey to assess occupational therapy practitioners' comfort, knowledge, challenge, and supports and barriers in regard to working with older adults with DD.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">In the 310 included surveys (31% response rate), most occupational therapy practitioners reported feeling comfortable (76.1%-80.0%) and knowledgeable (66.5%-68.4%) working with older adults with DD. Approximately 93% reported that work with older adults with DD was at least somewhat challenging. Key perceived barriers included clients' cognitive needs, lack of caregiver collaboration, and challenging behavior.</AbstractText>
                <AbstractText Label="CONCLUSION AND RELEVANCE" NlmCategory="UNASSIGNED">Most occupational therapy practitioners in traditional health care settings found working with older adults with DD challenging, and many did not feel sufficiently knowledgeable to meet the needs of this population. Similar to other health professionals, occupational therapy practitioners may benefit from additional resources to provide services to this population.</AbstractText>
                <AbstractText Label="WHAT THIS ARTICLE ADDS" NlmCategory="UNASSIGNED">Older adults with DD receive occupational therapy services in hospitals, rehabilitation centers, nursing homes, and other medical settings. Because clients such as these are not common in these settings, occupational therapy practitioners who work there would like more tools to help provide good care.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Mahoney</LastName>
                    <ForeName>Wanda J</ForeName>
                    <Initials>WJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>Wanda J. Mahoney, PhD, OTR/L, is Associate Professor, Washington University School of Medicine, Program in Occupational Therapy, St. Louis, MO; wmahoney@wustl.edu. At the time of this study, she was Assistant Professor, Occupational Therapy Department, Midwestern University, Downers Grove, IL.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ceballos</LastName>
                    <ForeName>Jennifer</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Jennifer Ceballos, MOT, OTR/L, is Occupational Therapist, Van Matre Encompass Health Rehabilitation Hospital, Rockford, IL. At the time of this study, she was Student, Occupational Therapy Department, Midwestern University, Downers Grove, IL.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Amir</LastName>
                    <ForeName>Nisreen</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Nisreen Amir, MOT, OTR/L, is Lead Occupational Therapist, Lexington Healthcare Center of Orland Park, IL. At the time of this study, she was Student, Occupational Therapy Department, Midwestern University, Downers Grove, IL.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120845</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.029835</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120843</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Occupational Therapy Intervention to Improve Outcomes Among Frail Older Adults: A Scoping Review.</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303205130p1-7303205130p12</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.030585</ELocationID>
            <Abstract>
                <AbstractText Label="IMPORTANCE" NlmCategory="OBJECTIVE">Frailty is common in later life and increases older adults' risk for early disability, institutionalization, and mortality.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To explore the research literature on occupational therapy interventions to improve outcomes among frail, community-dwelling older adults.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Scoping review of the peer-reviewed literature about occupational therapy interventions and frailty published between January 1996 and January 2017.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Ten studies met the inclusion criteria. The majority of the studies focused on adults age 65 yr or older, operationalized frailty as activities of daily living disability, and did not use validated frailty measures to identify frail older adults. Interventions were delivered both as a stand-alone intervention and as part of a multidisciplinary approach. Treatments focused on recommendations and training in use of adaptive devices or assistive technologies, performance of self-care, and recommendations for home modifications.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">Additional research is warranted to build the evidence base and better inform the design and selection of occupational therapy interventions to improve outcomes among frail older adults.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fritz</LastName>
                    <ForeName>Heather</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>Heather Fritz, PhD, OTR/L, is Assistant Professor of Occupational Therapy and Gerontology, Eugene Applebaum College of Pharmacy and Health Sciences and Institute of Gerontology, Wayne State University, Detroit, MI; heather.fritz@wayne.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Seidarabi</LastName>
                    <ForeName>Sara</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Sara Seidarabi, MOT, is Occupational Therapy Student, Eugene Applebaum College of Pharmacy and Health Sciences, Wayne State University, Detroit, MI.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Barbour</LastName>
                    <ForeName>Ryan</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Ryan Barbour, MOT, is Occupational Therapy Student, Eugene Applebaum College of Pharmacy and Health Sciences, Wayne State University, Detroit, MI.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vonbehren</LastName>
                    <ForeName>Alexandra</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Alexandra Vonbehren, MOT, is Occupational Therapy Student, Eugene Applebaum College of Pharmacy and Health Sciences, Wayne State University, Detroit, MI.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120843</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.030585</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120842</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Impact of Service Dogs on Family Members' Psychosocial Functioning.</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303205120p1-7303205120p11</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.031690</ELocationID>
            <Abstract>
                <AbstractText Label="IMPORTANCE" NlmCategory="OBJECTIVE">A growing body of evidence supports service dogs' positive psychosocial impact on people with a chronic condition, but very little is known about the effect of service dogs on the family members with whom they live.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To measure the impact that a service dog may have on family member functioning.</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Cross-sectional with a single time-point assessment.</AbstractText>
                <AbstractText Label="SETTING" NlmCategory="METHODS">Data were collected via a self-report survey completed online, over the phone, or by mail.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">Potential participants were recruited from national service dog provider Canine Assistants. Participants were caregivers or spouses of a person with a disability or illness who either currently had a service dog (n = 51) or was on the waitlist to receive one (n = 77). Participants were 50 family members (46 parents-caregivers and 4 spouses-partners) living with a service dog and 76 family members (68 parents-caregivers and 8 spouses-partners) whose family member was on the waitlist to receive one.</AbstractText>
                <AbstractText Label="OUTCOMES AND MEASURES" NlmCategory="UNASSIGNED">Participants completed standardized measures to quantify psychosocial health and functioning, health-related quality of life (HRQOL), and family functioning.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Living with a service dog was most closely associated with less health-related worry and better overall psychosocial health and emotional functioning, less total family impact from the chronic condition, and better emotional HRQOL.</AbstractText>
                <AbstractText Label="CONCLUSIONS AND RELEVANCE" NlmCategory="CONCLUSIONS">These findings provide preliminary evidence that, in addition to having an impact on recipients, service dogs can affect several aspects of family members' psychosocial health and functioning.</AbstractText>
                <AbstractText Label="WHAT THIS ARTICLE ADDS" NlmCategory="UNASSIGNED">This research demonstrates that the impact of a service dog may extend beyond the recipient and have positive impacts on family members' psychosocial functioning as well. Occupational therapy practitioners should include family members in discussions regarding the integration of a service dog into the home and recognize the potential for family-wide effects from the service dog's assistance.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Bibbo</LastName>
                    <ForeName>Jessica</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>Jessica Bibbo, PhD, is Research Scientist, Center for Research and Education, Benjamin Rose Institute on Aging, Cleveland, OH. At the time of this research, she was Postdoctoral Research Fellow, Center for the Human-Animal Bond, Department of Comparative Pathobiology, Purdue University College of Veterinary Medicine, West Lafayette, IN; jbibbo@benrose.org.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rodriguez</LastName>
                    <ForeName>Kerri E</ForeName>
                    <Initials>KE</Initials>
                    <AffiliationInfo>
                        <Affiliation>Kerri E. Rodriguez, MA, is Doctoral Candidate, Center for the Human-Animal Bond, Department of Comparative Pathobiology, Purdue University College of Veterinary Medicine.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>O'Haire</LastName>
                    <ForeName>Marguerite E</ForeName>
                    <Initials>ME</Initials>
                    <AffiliationInfo>
                        <Affiliation>Marguerite E. O'Haire, PhD, is Associate Professor, Center for the Human-Animal Bond, Department of Comparative Pathobiology, Purdue University College of Veterinary Medicine.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120842</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.031690</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120838</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Italian Version of the Jebsen-Taylor Hand Function Test for the Assessment of Hand Disorders: A Cross-Sectional Study.</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303205080p1-7303205080p6</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.030080</ELocationID>
            <Abstract>
                <AbstractText Label="IMPORTANCE" NlmCategory="OBJECTIVE">Having a test to evaluate hand function is fundamental to occupational therapy practice.</AbstractText>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">To assess the psychometric properties of the Italian version of the Jebsen-Taylor Hand Function Test (JTHFT).</AbstractText>
                <AbstractText Label="DESIGN" NlmCategory="METHODS">Cross-sectional study.</AbstractText>
                <AbstractText Label="SETTING" NlmCategory="METHODS">Three health care institutions in Rome, Italy.</AbstractText>
                <AbstractText Label="PARTICIPANTS" NlmCategory="METHODS">136 people with injuries, burns, or neurological diseases of the hand.</AbstractText>
                <AbstractText Label="INTERVENTION" NlmCategory="METHODS">No intervention was provided.</AbstractText>
                <AbstractText Label="OUTCOMES AND MEASURES" NlmCategory="UNASSIGNED">We administered the JTHFT, an assessment of fine motor skills during performance of activities of daily living, and compared results with dynamometer readings.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">The mean ± standard deviation total time required to perform all subtests was 89.47 ± 67.98 s for the dominant hand (DH) and 167.11 ± 257.58 s for the nondominant hand (NDH). Reliability procedures were applied to data from 51 participants; mean intrarater intraclass correlation coefficient (ICC) was .814 for the DH and .981 for the NDH, and mean interrater ICC was .818 for the DH and .821 for the NDH. Pearson's correlation coefficients were significant.</AbstractText>
                <AbstractText Label="CONCLUSION AND RELEVANCE" NlmCategory="UNASSIGNED">Results support the use of the Italian version of the JTHFT as a measure of functional dexterity in people with upper limb disorders.</AbstractText>
                <AbstractText Label="WHAT THIS ARTICLE ADDS" NlmCategory="UNASSIGNED">The JTHFT is a valid and reliable assessment tool for nonspecific hand diseases. Italian health professionals can now use the JTHFT with more confidence.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Nobilia</LastName>
                    <ForeName>Marta</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Marta Nobilia, BSc, OT, is Occupational Therapist, Hand Surgery Unit, IRCCS MultiMedica, Milan, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Culicchia</LastName>
                    <ForeName>Greta</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Greta Culicchia, BSc, OT, is Occupational Therapist, Hand Surgery Unit, IRCCS MultiMedica, Milan, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Tofani</LastName>
                    <ForeName>Marco</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Marco Tofani, MSc, OT, is Research Assistant, Neurorehabilitation Unit, Department of Neurosciences and Neurorehabilitation, Bambino Gesù Children's Hospital, Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>De Santis</LastName>
                    <ForeName>Rita</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>Rita De Santis, MSc, OT, is Occupational Therapist, Department of Anatomical, Histological, Forensic, and Locomotor Sciences, Sapienza University of Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Savona</LastName>
                    <ForeName>Andrea</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Andrea Savona, BSc, OT, is Occupational Therapist, Sapienza University of Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Guarino</LastName>
                    <ForeName>Domenico</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Domenico Guarino, BSc, OT, is Occupational Therapist, Montecatone Rehabilitation Institute, Imola, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Valente</LastName>
                    <ForeName>Donatella</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Donatella Valente, MSc, is Associate Professor, Department of Human Neurosciences, Sapienza University of Rome, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Galeoto</LastName>
                    <ForeName>Giovanni</ForeName>
                    <Initials>G</Initials>
                    <AffiliationInfo>
                        <Affiliation>Giovanni Galeoto, MSc, PT, is Research Fellow, Department of Public Health and Infectious Diseases, Sapienza University of Rome, Italy; giovanni.galeoto@uniroma1.it.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120838</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.030080</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120837</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Measurement Validity of the Low Vision Independence Measure (LVIM).</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303205070p1-7303205070p11</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.031070</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">This study's objective was to test the psychometrics of Smith's (2013) Low Vision Independence Measure (LVIM) using the Rasch model.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">A cohort design was used with 93 participants receiving occupational therapy for low vision. Confirmatory factor analysis (CFA) with a parceling approach was used to test the LVIM factors and Rasch analysis to examine item-level psychometrics.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Participants' average age was 78.9 yr (standard deviation = 12.1), and the majority were female (72.8%) with macular degeneration (62.3%). The CFA revealed two measurement factors: visual field or scotoma (n = 28) and visual acuity (n = 24). We removed six misfitting items, and the two factors of the revised LVIM demonstrated good rating scale function, good internal consistency (person reliability: visual field, .87; visual acuity, .90), good precision (person strata: visual field, 3.91; visual acuity, 4.40), no ceiling or floor effects, and no differential item functioning.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">The revised LVIM demonstrates good psychometrics on the Rasch model and can be used as a valid outcome measure in low vision rehabilitation.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Smith</LastName>
                    <ForeName>Theresa M</ForeName>
                    <Initials>TM</Initials>
                    <AffiliationInfo>
                        <Affiliation>Theresa M. Smith, PhD, OTR, CLVT, is Associate Professor, School of Occupational Therapy, Texas Woman's University, Houston; tsmith12@twu.edu. At the time of this research, she was Associate Professor, Department of Occupational Therapy, University of Texas Medical Branch, Galveston.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Krishnan</LastName>
                    <ForeName>Shilpa</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>Theresa M. Smith, PhD, OTR, CLVT, is Associate Professor, School of Occupational Therapy, Texas Woman's University, Houston; tsmith12@twu.edu. At the time of this research, she was Associate Professor, Department of Occupational Therapy, University of Texas Medical Branch, Galveston.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hong</LastName>
                    <ForeName>Ickpyo</ForeName>
                    <Initials>I</Initials>
                    <AffiliationInfo>
                        <Affiliation>Theresa M. Smith, PhD, OTR, CLVT, is Associate Professor, School of Occupational Therapy, Texas Woman's University, Houston; tsmith12@twu.edu. At the time of this research, she was Associate Professor, Department of Occupational Therapy, University of Texas Medical Branch, Galveston.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Reistetter</LastName>
                    <ForeName>Timothy A</ForeName>
                    <Initials>TA</Initials>
                    <AffiliationInfo>
                        <Affiliation>Theresa M. Smith, PhD, OTR, CLVT, is Associate Professor, School of Occupational Therapy, Texas Woman's University, Houston; tsmith12@twu.edu. At the time of this research, she was Associate Professor, Department of Occupational Therapy, University of Texas Medical Branch, Galveston.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120837</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.031070</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="In-Process" Owner="NLM">
        <PMID Version="1">31120833</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print">
            <Journal>
                <ISSN IssnType="Print">0272-9490</ISSN>
                <JournalIssue CitedMedium="Print">
                    <Volume>73</Volume>
                    <Issue>3</Issue>
                    <PubDate>
                        <MedlineDate>2019 May/Jun</MedlineDate>
                    </PubDate>
                </JournalIssue>
                <Title>The American journal of occupational therapy : official publication of the American Occupational Therapy Association</Title>
                <ISOAbbreviation>Am J Occup Ther</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Development, Reliability, and Validity of the Multiple Errands Test Home Version (MET-Home) in Adults With Stroke.</ArticleTitle>
            <Pagination>
                <MedlinePgn>7303205030p1-7303205030p10</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.5014/ajot.2019.027755</ELocationID>
            <Abstract>
                <AbstractText Label="OBJECTIVE" NlmCategory="OBJECTIVE">Our objective was to perform initial psychometric analysis of the Multiple Errands Test Home Version (MET-Home), which was designed to assess the influence of poststroke executive dysfunction on in-home task performance.</AbstractText>
                <AbstractText Label="METHOD" NlmCategory="METHODS">We examined the reliability and validity of the MET-Home in adults with stroke (n = 23) and individually matched control participants (n = 23). All participants completed a series of assessments during a single in-home visit.</AbstractText>
                <AbstractText Label="RESULTS" NlmCategory="RESULTS">Notable differences in MET-Home subscores were discovered between participants with stroke and control participants. Participants with stroke omitted more tasks, broke more rules, passed by tasks more often, and were less efficient than matched control participants. The MET-Home demonstrated evidence of adequate internal consistency, excellent interrater reliability, and significant moderate associations with several tests.</AbstractText>
                <AbstractText Label="CONCLUSION" NlmCategory="CONCLUSIONS">This preliminary study suggests that the MET-Home differentiates between adults with stroke and matched control participants. The MET-Home provides evidence of initial reliability and validity among adults with stroke.</AbstractText>
                <CopyrightInformation>Copyright © 2019 by the American Occupational Therapy Association, Inc.</CopyrightInformation>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Burns</LastName>
                    <ForeName>Suzanne Perea</ForeName>
                    <Initials>SP</Initials>
                    <AffiliationInfo>
                        <Affiliation>Suzanne Perea Burns, PhD, OTR, is Assistant Professor, School of Occupational Therapy, Texas Woman's University, Denton; sburns3@twu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Dawson</LastName>
                    <ForeName>Deirdre R</ForeName>
                    <Initials>DR</Initials>
                    <AffiliationInfo>
                        <Affiliation>Deirdre R. Dawson, PhD, OT Reg. (Ont.), is Associate Professor, Department of Occupational Science and Occupational Therapy and Rehabilitation Sciences Institute, University of Toronto, Toronto, Ontario, Canada, and Senior Scientist, Rotman Research Institute, Baycrest Health Sciences, Toronto, Ontario, Canada.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Perea</LastName>
                    <ForeName>Jaimee D</ForeName>
                    <Initials>JD</Initials>
                    <AffiliationInfo>
                        <Affiliation>Jaimee D. Perea, MS, OTR/L, CLVT, is Occupational Therapist, Pate Rehabilitation, Fort Worth, TX.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Vas</LastName>
                    <ForeName>Asha</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Asha Vas, PhD, OT, CBIST, is Assistant Professor, School of Occupational Therapy, Texas Woman's University, Dallas.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pickens</LastName>
                    <ForeName>Noralyn Davel</ForeName>
                    <Initials>ND</Initials>
                    <AffiliationInfo>
                        <Affiliation>Noralyn Davel Pickens, PhD, OT, is Professor and Associate Director, School of Occupational Therapy, Texas Woman's University, Dallas.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Neville</LastName>
                    <ForeName>Marsha</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Marsha Neville, PhD, OT, is Professor, School of Occupational Therapy, Texas Woman's University, Dallas.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Occup Ther</MedlineTA>
            <NlmUniqueID>7705978</NlmUniqueID>
            <ISSNLinking>0272-9490</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>ppublish</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120833</ArticleId>
            <ArticleId IdType="doi">10.5014/ajot.2019.027755</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120799</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1362-301X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Brain injury</Title>
                <ISOAbbreviation>Brain Inj</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Development and initial validation of a digital divided-attention neurocognitive test for use in concussion assessment.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-11</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1080/02699052.2019.1619094</ELocationID>
            <Abstract>
                <AbstractText><b>Objective:</b> Computerized neurocognitive tests are commonly used after a concussion injury. The use of reliable and valid tests that utilize a divided-attention task may improve assessment. Therefore, the purpose of this study is to test a digital divided-attention neurocognitive test for test-retest reliability, practise effects, and initial validity. <b>Methods and procedures:</b> One hundred ninety-two subjects (159 healthy, 33 concussed) were assessed utilizing the neurocognitive test. Group comparisons were made between subjects with concussions and matched controls to determine the initial sensitivity of the test. <b>Results:</b> Intraclass correlation coefficients remained high (greater than 0.50) across all time points tested, and practise effects were largest in first retest session but we correlated (single task: R<sup>2</sup> = 0.89, divided-attention: R<sup>2</sup> = 0.85). Subjects who had experienced concussions performed significantly worse than matched controls on both the maths computation task and shape matching task during the divided-attention test. <b>Conclusion:</b> The mathematical computation component of the divided-attention test yielded high reliability. Practise effects were seen between the first and second testing sessions with smaller, insignificant improvements seen thereafter. Sensitivity to injury was comparable to other digital neurocognitive tests suggesting ongoing testing is warranted.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>VanNostrand</LastName>
                    <ForeName>Michael</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>a Department of PT Education , SUNY Upstate Medical University , Syracuse , NY.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Rieger</LastName>
                    <ForeName>Brian</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>b Upstate Concussion Center , SUNY Upstate Medical University , Syracuse , NY.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Baracks</LastName>
                    <ForeName>Joshua</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>c Bloomberg School of Public Health , Johns Hopkins University , Baltimore , MD.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Neville</LastName>
                    <ForeName>Christopher</ForeName>
                    <Initials>C</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0002-8601-976X</Identifier>
                    <AffiliationInfo>
                        <Affiliation>a Department of PT Education , SUNY Upstate Medical University , Syracuse , NY.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>b Upstate Concussion Center , SUNY Upstate Medical University , Syracuse , NY.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Brain Inj</MedlineTA>
            <NlmUniqueID>8710358</NlmUniqueID>
            <ISSNLinking>0269-9052</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Mild traumatic brain injury</Keyword>
            <Keyword MajorTopicYN="N">concussion</Keyword>
            <Keyword MajorTopicYN="N">divided-attention</Keyword>
            <Keyword MajorTopicYN="N">neurocognitive</Keyword>
            <Keyword MajorTopicYN="N">working memory</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120799</ArticleId>
            <ArticleId IdType="doi">10.1080/02699052.2019.1619094</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120794</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1464-5165</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Disability and rehabilitation</Title>
                <ISOAbbreviation>Disabil Rehabil</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Child and parent perceptions of acceptability and therapeutic value of a socially assistive robot used during pediatric rehabilitation.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-8</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1080/09638288.2019.1617357</ELocationID>
            <Abstract>
                <AbstractText><b>Purpose:</b> Socially assistive robots are emerging as a method of supporting the rehabilitation of children with physical disabilities. To date there has been no in-depth analysis of parent and child perspectives regarding the use of socially assistive robots for pediatric rehabilitation. The purpose of this study was to capture the experiences of parents and children who participated in a rehabilitation session with a socially assistive rehabilitation robot. <b>Methods:</b> An interpretivist qualitative design was used. Semi-structured interviews of five parent-child pairs were undertaken to examine their experiences during a rehabilitation session with the NAO robot. Interviews were analyzed using inductive thematic analysis. <b>Results:</b> Five themes were identified: 1) affective influence, 2) independence, 3) preference for human interaction, 4) accessibility of therapy and 5) familiarity with technology. <b>Conclusion:</b> Based on parent and child perspectives, the NAO robot is an acceptable complement to rehabilitation therapies. Children and parents perceived the NAO robot to have therapeutic value through its potential to enhance engagement, promote child independence during rehabilitation exercises and its potential support a rehabilitation program when a human therapist is not accessible. Implications for rehabilitation Socially assistive robots are an acceptable tool to support the delivery of exercise programs in pediatric rehabilitation. Therapists need to consider how to provide a positive affective experience during rehabilitation sessions, the use of socially assistive robots may be one method of doing this. When using socially assistive robots to support rehabilitation the individual needs and preferences of the child and family should be considered. Socially assistive robots may have a role in supporting home exercises programs; future work is needed to determine the feasibility of this.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Butchart</LastName>
                    <ForeName>Joanna</ForeName>
                    <Initials>J</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-3161-0023</Identifier>
                    <AffiliationInfo>
                        <Affiliation>a Royal Children's Hospital , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>b Murdoch Children's Research Institute , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harrison</LastName>
                    <ForeName>Reema</ForeName>
                    <Initials>R</Initials>
                    <AffiliationInfo>
                        <Affiliation>c School of Public Health and Community Medicine, University of New South Wales , Sydney , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ritchie</LastName>
                    <ForeName>Jan</ForeName>
                    <Initials>J</Initials>
                    <AffiliationInfo>
                        <Affiliation>c School of Public Health and Community Medicine, University of New South Wales , Sydney , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Martí</LastName>
                    <ForeName>Felip</ForeName>
                    <Initials>F</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-0610-5375</Identifier>
                    <AffiliationInfo>
                        <Affiliation>d Department of Computer Science and Software Engineering , Swinburne University of Technology , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>McCarthy</LastName>
                    <ForeName>Chris</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>d Department of Computer Science and Software Engineering , Swinburne University of Technology , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Knight</LastName>
                    <ForeName>Sarah</ForeName>
                    <Initials>S</Initials>
                    <AffiliationInfo>
                        <Affiliation>b Murdoch Children's Research Institute , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>e Department of Paediatrics , The University of Melbourne , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Scheinberg</LastName>
                    <ForeName>Adam</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>a Royal Children's Hospital , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>b Murdoch Children's Research Institute , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>e Department of Paediatrics , The University of Melbourne , Melbourne , Australia.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>England</Country>
            <MedlineTA>Disabil Rehabil</MedlineTA>
            <NlmUniqueID>9207179</NlmUniqueID>
            <ISSNLinking>0963-8288</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Rehabilitation</Keyword>
            <Keyword MajorTopicYN="N">paediatric rehabilitation</Keyword>
            <Keyword MajorTopicYN="N">physiotherapy</Keyword>
            <Keyword MajorTopicYN="N">rehabilitation robot</Keyword>
            <Keyword MajorTopicYN="N">robotic therapy</Keyword>
            <Keyword MajorTopicYN="N">socially assistive robot</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120794</ArticleId>
            <ArticleId IdType="doi">10.1080/09638288.2019.1617357</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120785</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1546-3141</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>AJR. American journal of roentgenology</Title>
                <ISOAbbreviation>AJR Am J Roentgenol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Local Ablation Does Not Worsen Perioperative Outcomes After Liver Transplant for Hepatocellular Carcinoma.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-8</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.2214/AJR.18.20993</ELocationID>
            <Abstract>
                <AbstractText><b>OBJECTIVE.</b> Local ablation of hepatocellular carcinoma (HCC) before liver transplant has important advantages, such as preventing disease progression, tumor downstaging, and offering a test of time. However, it might render liver transplant more technically demanding. Thus far, its potential effect on liver transplant outcomes is still unknown, and, therefore, the current study was performed. <b>MATERIALS AND METHODS.</b> Patients who underwent liver transplant for HCC at a single tertiary referral center between 2008 and 2016 were included and retrospectively analyzed. Patients who underwent liver resection and local ablation before liver transplant were excluded. Patients treated with local ablation before liver transplant were compared with those not treated with local ablation, both before and after propensity score matching. In addition, the local ablation group was compared with patients who underwent primary resection before liver transplant. Posttreatment mortality and morbidity were determined, and overall and disease-free survival rates were calculated. <b>RESULTS.</b> In total, 182 patients were included. Twenty-six patients underwent resection but not local ablation before liver transplant. Of the remaining 156 patients, 66 (42%) underwent local ablation before liver transplant and 90 (58%) did not. Perioperative mortality and morbidity were similar in both groups before and after propensity score matching (8% and 74% in the local ablation group vs 10% and 83% in the non-local ablation group, <i>p</i> = 0.60 and 0.17, respectively). In addition, no significant differences in long-term outcomes were observed between the groups before and after propensity score matching. Also, no differences were observed in outcomes in the local ablation group versus the liver resection group. <b>CONCLUSION.</b> Local ablation before liver transplant does not have a negative effect on outcomes after liver transplant for HCC.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>de Haas</LastName>
                    <ForeName>Robbert J</ForeName>
                    <Initials>RJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Service d'Imagerie Medicale, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>2 Department of Radiology, Medical Imaging Center Groningen, University of Groningen, University Medical Center Groningen, PO Box 30001, 9700 RB Groningen, The Netherlands.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lim</LastName>
                    <ForeName>Chetana</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>3 Service de Chirurgie Hépato-Bilio-Pancréatique et Transplant Hépatique, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>6 Present: Department of Hepatobiliary and Pancreatic Surgery and Transplantation, Sheba Medical Center, Faculty of Medicine, Tel Aviv University, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ricci</LastName>
                    <ForeName>Claudio</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>4 Department of Internal Medicine and Surgery, Alma Mater Studiorum, University of Bologna, S. Orsola-Malpighi Hospital, Bologna, Italy.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Lahat</LastName>
                    <ForeName>Eylon</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>3 Service de Chirurgie Hépato-Bilio-Pancréatique et Transplant Hépatique, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>6 Present: Department of Hepatobiliary and Pancreatic Surgery and Transplantation, Sheba Medical Center, Faculty of Medicine, Tel Aviv University, Israel.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fuentes</LastName>
                    <ForeName>Liliana</ForeName>
                    <Initials>L</Initials>
                    <AffiliationInfo>
                        <Affiliation>3 Service de Chirurgie Hépato-Bilio-Pancréatique et Transplant Hépatique, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Salloum</LastName>
                    <ForeName>Chady</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>3 Service de Chirurgie Hépato-Bilio-Pancréatique et Transplant Hépatique, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>5 Centre Hépato-Biliaire, Hôpital Paul Brousse, Assistance Publique-Hôpitaux de Paris, Université Paris-Sud, Villejuif, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Azoulay</LastName>
                    <ForeName>Daniel</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>3 Service de Chirurgie Hépato-Bilio-Pancréatique et Transplant Hépatique, Hôpital Henri Mondor, Assistance Publique-Hôpitaux de Paris, Université Paris-Est, Créteil, France.</Affiliation>
                    </AffiliationInfo>
                    <AffiliationInfo>
                        <Affiliation>5 Centre Hépato-Biliaire, Hôpital Paul Brousse, Assistance Publique-Hôpitaux de Paris, Université Paris-Sud, Villejuif, France.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>AJR Am J Roentgenol</MedlineTA>
            <NlmUniqueID>7708173</NlmUniqueID>
            <ISSNLinking>0361-803X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">hepatocellular carcinoma</Keyword>
            <Keyword MajorTopicYN="N">liver transplant</Keyword>
            <Keyword MajorTopicYN="N">local ablation</Keyword>
            <Keyword MajorTopicYN="N">perioperative outcomes</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120785</ArticleId>
            <ArticleId IdType="doi">10.2214/AJR.18.20993</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120783</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1546-3141</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>AJR. American journal of roentgenology</Title>
                <ISOAbbreviation>AJR Am J Roentgenol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Aspirin Is Associated With Improved Liver Function After Embolization of Hepatocellular Carcinoma.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-7</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.2214/AJR.18.20846</ELocationID>
            <Abstract>
                <AbstractText><b>OBJECTIVE.</b> The purpose of this study was to assess the mechanism by which aspirin therapy improves survival when combined with transarterial chemoembolization or transarterial embolization (TAE) for hepatocellular carcinoma (HCC). <b>MATERIALS AND METHODS.</b> A retrospective review included 304 patients with HCC who were treated with TAE. The patients were divided into two groups on the basis of whether the patient took aspirin (<i>n</i> = 42) or did not take aspirin (<i>n</i> = 262) at the time of initial TAE. For each patient, response of embolized tumors, time to progression, initial site of progression, survival time, and liver function test results before and after embolization were evaluated. <b>RESULTS.</b> Patients taking aspirin and those not taking aspirin at the time of initial TAE for HCC had no difference in initial response rate (88% vs 90% complete response or partial response, <i>p</i> = 0.59), median time to progression (6.2 vs 5.2 months, <i>p</i> = 0.42), initial site of progression (<i>p</i> = 0.77), or fraction of patients dying with disease progression (88% vs 89%, <i>p</i> = 1.00). Before embolization, there was no difference in mean bilirubin level (0.8 vs 0.9 mg/dL, <i>p</i> = 0.11) for patients taking versus not taking aspirin. Among patients taking aspirin, bilirubin level was significantly lower 1 day (0.9 vs 1.3, <i>p</i> &lt; 0.001), 1 month (0.9 vs 1.2, <i>p</i> = 0.048), and 1 year (0.8 vs 1.0, <i>p</i> = 0.021) after embolization. The median overall survival period after initial embolization was longer for patients taking aspirin (57 vs 23 months, <i>p</i> = 0.008). <b>CONCLUSION.</b> Aspirin use is associated with improved liver function test results and survival after TAE for HCC. It is not associated with differences in response or time to progression.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Boas</LastName>
                    <ForeName>F Edward</ForeName>
                    <Initials>FE</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Brown</LastName>
                    <ForeName>Karen T</ForeName>
                    <Initials>KT</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Ziv</LastName>
                    <ForeName>Etay</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yarmohammadi</LastName>
                    <ForeName>Hooman</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Sofocleous</LastName>
                    <ForeName>Constantinos T</ForeName>
                    <Initials>CT</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Erinjeri</LastName>
                    <ForeName>Joseph P</ForeName>
                    <Initials>JP</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Harding</LastName>
                    <ForeName>James J</ForeName>
                    <Initials>JJ</Initials>
                    <AffiliationInfo>
                        <Affiliation>2 Department of Medicine, Gastrointestinal Medical Oncology Service, Memorial Sloan Kettering Cancer Center, New York, NY.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Solomon</LastName>
                    <ForeName>Stephen B</ForeName>
                    <Initials>SB</Initials>
                    <AffiliationInfo>
                        <Affiliation>1 Department of Radiology, Interventional Radiology Service, Memorial Sloan Kettering Cancer Center, 1275 York Ave, New York, NY 10065.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>AJR Am J Roentgenol</MedlineTA>
            <NlmUniqueID>7708173</NlmUniqueID>
            <ISSNLinking>0361-803X</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">aspirin</Keyword>
            <Keyword MajorTopicYN="N">embolization</Keyword>
            <Keyword MajorTopicYN="N">hepatocellular carcinoma</Keyword>
            <Keyword MajorTopicYN="N">hepatoprotective</Keyword>
            <Keyword MajorTopicYN="N">liver function</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120783</ArticleId>
            <ArticleId IdType="doi">10.2214/AJR.18.20846</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120774</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1530-9304</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Evolutionary computation</Title>
                <ISOAbbreviation>Evol Comput</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Difficulty Adjustable and Scalable Constrained Multi-objective Test Problem Toolkit.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-28</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1162/evco_a_00259</ELocationID>
            <Abstract>
                <AbstractText>Multi-objective evolutionary algorithms (MOEAs) have progressed significantly in recent decades, but most of them are designed to solve unconstrained multi-objective optimization problems. In fact, many real-world multi-objective problems contain a number of constraints. To promote research on constrained multi-objective optimization, we first propose a problem classification scheme with three primary types of difficulty, which reflect various types of challenges presented by real-world optimization problems, in order to characterize the constraint functions in constrained multi-objective optimization problems (CMOPs). These are feasibility-hardness, convergence-hardness and diversity-hardness. We then develop a general toolkit to construct difficulty-adjustable and scalable CMOPs (DAS-CMOPs, or DAS-CMaOPs when the number of objectives is greater than three) with three types of parameterized constraint functions developed to capture the three proposed types of difficulty. In fact, the combination of the three primary constraint functions with different parameters allows the construction of a large variety of CMOPs, with difficulty that can be defined by a triplet, with each of its parameters specifying the level of one of the types of primary difficulty. Furthermore, the number of objectives in this toolkit can be scaled beyond three. Based on this toolkit, we suggest nine difficulty-adjustable and scalable CMOPs and nine CMaOPs, to be called DAS-CMOP1-9 and DAS-CMaOP1-9, respectively. To evaluate the proposed test problems, two popular CMOEAs - MOEA/D-CDP (MOEA/D with constraint dominance principle) and NSGA-II-CDP (NSGA-II with constraint dominance principle) and two popular constrained many-objective evolutionary algorithms (CMaOEAs)-C-MOEA/DD and CNSGA-III-are used to compare performance on DAS-CMOP1-9 and DAS-CMaOP1-9 with a variety of difficulty triplets, respectively. The experimental results reveal that mechanisms in MOEA/D-CDP may be more effective in solving convergence-hard DAS-CMOPs, while mechanisms of NSGA-II-CDP may be more effective in solving DAS-CMOPs with simultaneous diversity-, feasibility- and convergencehardness. Mechanisms in C-NSGA-III may be more effective in solving feasibility-hard CMaOPs, while mechanisms of C-MOEA/DD may be more effective in solving CMaOPs with convergence-hardness. In addition, none of them can solve these problems efficiently, which stimulates us to continue to develop new CMOEAs and CMaOEAs to solve the suggested DAS-CMOPs and DAS-CMaOPs.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Fan</LastName>
                    <ForeName>Zhun</ForeName>
                    <Initials>Z</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Electronic Engineering, Shantou University, Guangdong, 515063, China. Key Lab of Digital Signal and Image Processing of Guangdong Province, Guangdong, China zfan@stu.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Wenji</ForeName>
                    <Initials>W</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Electronic Engineering, Shantou University, Guangdong, 515063, China liwj@stu.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Cai</LastName>
                    <ForeName>Xinye</ForeName>
                    <Initials>X</Initials>
                    <AffiliationInfo>
                        <Affiliation>College of Computer Science and Technology, Nanjing University of Aeronautics and Astronautics, Jiangsu, 210016, China xinye@nuaa.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Li</LastName>
                    <ForeName>Hui</ForeName>
                    <Initials>H</Initials>
                    <AffiliationInfo>
                        <Affiliation>School of Mathematics and Statistics, Xi'an Jiaotong University, Shan'xi, 710049, China lihui10@xjtu.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Wei</LastName>
                    <ForeName>Caimin</ForeName>
                    <Initials>C</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Mathematics, Shantou University, Guangdong, 515063, China cmwei@stu.edu.cn.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Qingfu</ForeName>
                    <Initials>Q</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Computer Science, City University of Hong Kong, Hong Kong, China qingfu.zhang@cityu.edu.hk.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Deb</LastName>
                    <ForeName>Kalyanmoy</ForeName>
                    <Initials>K</Initials>
                    <AffiliationInfo>
                        <Affiliation>BEACON Center for the Study of Evolution in Action, Michigan State University. East Lansing, Michigan, USA kdeb@egr.msu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Goodman</LastName>
                    <ForeName>Erik</ForeName>
                    <Initials>E</Initials>
                    <AffiliationInfo>
                        <Affiliation>BEACON Center for the Study of Evolution in Action, Michigan State University. East Lansing, Michigan, USA goodman@egr.msu.edu.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Evol Comput</MedlineTA>
            <NlmUniqueID>9513581</NlmUniqueID>
            <ISSNLinking>1063-6560</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Constrained Problems</Keyword>
            <Keyword MajorTopicYN="N">Controlled Difficulties</Keyword>
            <Keyword MajorTopicYN="N">Evolutionary Multi-objective Optimization</Keyword>
            <Keyword MajorTopicYN="N">Test Problems</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120774</ArticleId>
            <ArticleId IdType="doi">10.1162/evco_a_00259</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120772</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1530-9304</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Evolutionary computation</Title>
                <ISOAbbreviation>Evol Comput</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Diagonal Acceleration for Covariance Matrix Adaptation Evolution Strategies.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-30</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1162/evco_a_00260</ELocationID>
            <Abstract>
                <AbstractText>We introduce an acceleration for covariance matrix adaptation evolution strategies (CMA-ES) by means of <i>adaptive diagonal decoding</i> (dd-CMA). This diagonal acceleration endows the default CMA-ES with the advantages of separable CMA-ES without inheriting its drawbacks. Technically, we introduce a diagonal matrix <i>D</i> that expresses coordinate-wise variances of the sampling distribution in <i>DCD</i> form. The diagonal matrix can learn a rescaling of the problem in the coordinates within linear number of function evaluations. Diagonal decoding can also exploit separability of the problem, but, crucially, does not compromise the performance on non-separable problems. The latter is accomplished by modulating the learning rate for the diagonal matrix based on the condition number of the underlying correlation matrix. dd-CMA-ES not only combines the advantages of default and separable CMA-ES, but may achieve overadditive speedup: it improves the performance, and even the scaling, of the better of default and separable CMA-ES on classes of non-separable test functions that reflect, arguably, a landscape feature commonly observed in practice. The paper makes two further secondary contributions: we introduce two different approaches to guarantee positive definiteness of the covariance matrix with active CMA, which is valuable in particular with large population size; we revise the default parameter setting in CMA-ES, proposing accelerated settings in particular for large dimension. All our contributions can be viewed as independent improvements of CMA-ES, yet they are also complementary and can be seamlessly combined. In numerical experiments with dd-CMA-ES up to dimension 5120, we observe remarkable improvements over the original covariance matrix adaptation on functions with coordinate-wise illconditioning. The improvement is observed also for large population sizes up to about dimension squared.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Akimoto</LastName>
                    <ForeName>Y</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>University of Tsukuba, 1-1-1 Tennodai, Tsukuba, JAPAN akimoto@cs.tsukuba.ac.jp.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Hansen</LastName>
                    <ForeName>N</ForeName>
                    <Initials>N</Initials>
                    <AffiliationInfo>
                        <Affiliation>Inria, RandOpt Team, CMAP, Ecole Polytechnique, Palaiseau, FRANCE nikolaus.hansen@inria.fr.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Evol Comput</MedlineTA>
            <NlmUniqueID>9513581</NlmUniqueID>
            <ISSNLinking>1063-6560</ISSNLinking>
        </MedlineJournalInfo>
        <KeywordList Owner="NOTNLM">
            <Keyword MajorTopicYN="N">Evolution strategies</Keyword>
            <Keyword MajorTopicYN="N">active covariance matrix update</Keyword>
            <Keyword MajorTopicYN="N">adaptive diagonal decoding</Keyword>
            <Keyword MajorTopicYN="N">covariance matrix adaptation</Keyword>
            <Keyword MajorTopicYN="N">default strategy parameters.</Keyword>
        </KeywordList>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120772</ArticleId>
            <ArticleId IdType="doi">10.1162/evco_a_00260</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120767</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1558-9110</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>21</Day>
                    </PubDate>
                </JournalIssue>
                <Title>American journal of speech-language pathology</Title>
                <ISOAbbreviation>Am J Speech Lang Pathol</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Communicative Strengths in Severe Aphasia: The Famous People Protocol and Its Value in Planning Treatment.</ArticleTitle>
            <Pagination>
                <MedlinePgn>1-9</MedlinePgn>
            </Pagination>
            <ELocationID EIdType="doi" ValidYN="Y">10.1044/2019_AJSLP-18-0283</ELocationID>
            <Abstract>
                <AbstractText>Purpose This clinical focus article describes the development and use of the Famous People Protocol (FPP), a clinical tool for observing the strategies people with severe aphasia (PWSA) can use to communicate when speech is limited. Its goal is to provide a systematic approach to identifying individually appropriate communication strategies for PWSA. Method Though not a test, the FPP's development and pilot testing were consonant with qualitative approaches to test development. Eighty-one people with aphasia and 37 nonaphasic participants were given the current version of FPP and the Western Aphasia Battery-Revised (WAB-R; Kertesz, 2006 ). This clinical focus article reports on the 36 PWA who scored near or below the mean WAB score of the larger group. Results The FPP has a maximum score of 100 based on (a) identification of famous people in different categories, entertainers, athletes, U.S. presidents, sports figures, and internationally famous people, and (b) responses to additional questions about the famous people. Identification is scored quantitatively on a 3-point scale, and question responses are scored correct (1) or incorrect (0). Mean scores for the PWSA and control groups were 54.6 and 95.2, respectively. FPP and WAB-R scores were moderately correlated ( r = .67). Qualitative results describe the variety of strategies that PWSA used on the FPP. Conclusions The FPP is a way for clinicians to engage PWSA in an activity that can reveal personally relevant strategies to help PWSA communicate more effectively. The strategies can then become the basis for subsequent training on using them conversationally. Appendixes provide examples of clinical approaches.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Holland</LastName>
                    <ForeName>Audrey</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Speech, Language, and Hearing Sciences, The University of Arizona, Tucson.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Forbes</LastName>
                    <ForeName>Margaret</ForeName>
                    <Initials>M</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology, Carnegie Mellon University, Pittsburgh, PA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Fromm</LastName>
                    <ForeName>Davida</ForeName>
                    <Initials>D</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology, Carnegie Mellon University, Pittsburgh, PA.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>MacWhinney</LastName>
                    <ForeName>Brian</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>Department of Psychology, Carnegie Mellon University, Pittsburgh, PA.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>21</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Am J Speech Lang Pathol</MedlineTA>
            <NlmUniqueID>9114726</NlmUniqueID>
            <ISSNLinking>1058-0360</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120767</ArticleId>
            <ArticleId IdType="doi">10.1044/2019_AJSLP-18-0283</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>


<PubmedArticle>
    <MedlineCitation Status="Publisher" Owner="NLM">
        <PMID Version="1">31120746</PMID>
        <DateRevised>
            <Year>2019</Year>
            <Month>05</Month>
            <Day>23</Day>
        </DateRevised>
        <Article PubModel="Print-Electronic">
            <Journal>
                <ISSN IssnType="Electronic">1520-510X</ISSN>
                <JournalIssue CitedMedium="Internet">
                    <PubDate>
                        <Year>2019</Year>
                        <Month>May</Month>
                        <Day>23</Day>
                    </PubDate>
                </JournalIssue>
                <Title>Inorganic chemistry</Title>
                <ISOAbbreviation>Inorg Chem</ISOAbbreviation>
            </Journal>
            <ArticleTitle>Be<sub>2</sub>CO<sub>3</sub>F<sub>2</sub> Monolayer: A Flexible Ultraviolet Nonlinear Optical Material via Rational Design.</ArticleTitle>
            <ELocationID EIdType="doi" ValidYN="Y">10.1021/acs.inorgchem.8b03575</ELocationID>
            <Abstract>
                <AbstractText>Multifunctional monolayer materials with attractive properties and novel applications are of present research interest. In this contribution, we design a new monolayer Be<sub>2</sub>CO<sub>3</sub>F<sub>2</sub> (BCF) by taking a KBe<sub>2</sub>BO<sub>3</sub>F<sub>2</sub> unique crystal that is able to produce a high energetic laser by a direct second harmonic generation method, as a parent. The cohesive energy, positive phonon modes, and elastic constants reveal that the BCF monolayer is dynamically and mechanically stable, and the appropriate cleavage energy predicts the experimental realization possibility. The property investigations demonstrated that the monolayer BCF has the significantly superiority in flexibility over the representative flexible optoelectronic material MoS<sub>2</sub> based on the calculation of Young's modulus. Additionally, the monolayer BCF possesses both a large band gap (5.2 eV) and a second harmonic generation response. These results demonstrate that the monolayer BCF may provide better applications as a promising multifunctional material in the flexible nonlinear optical fields. We hope that this research will pave a new way for designing new generation multifunctional devices.</AbstractText>
            </Abstract>
            <AuthorList CompleteYN="Y">
                <Author ValidYN="Y">
                    <LastName>Rouzhahong</LastName>
                    <ForeName>Yilimiranmu</ForeName>
                    <Initials>Y</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Functional Materials and Devices for Special Environments, Xinjiang Key Laboratory of Electronic Information Materials and Devices , Xinjiang Technical Institute of Physics &amp; Chemistry , 40-1 South Beijing Road , Urumqi 830011 , China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Zhang</LastName>
                    <ForeName>Bingbing</ForeName>
                    <Initials>B</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Functional Materials and Devices for Special Environments, Xinjiang Key Laboratory of Electronic Information Materials and Devices , Xinjiang Technical Institute of Physics &amp; Chemistry , 40-1 South Beijing Road , Urumqi 830011 , China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Abudurusuli</LastName>
                    <ForeName>Ailijiang</ForeName>
                    <Initials>A</Initials>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Functional Materials and Devices for Special Environments, Xinjiang Key Laboratory of Electronic Information Materials and Devices , Xinjiang Technical Institute of Physics &amp; Chemistry , 40-1 South Beijing Road , Urumqi 830011 , China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Pan</LastName>
                    <ForeName>Shilie</ForeName>
                    <Initials>S</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0003-4521-4507</Identifier>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Functional Materials and Devices for Special Environments, Xinjiang Key Laboratory of Electronic Information Materials and Devices , Xinjiang Technical Institute of Physics &amp; Chemistry , 40-1 South Beijing Road , Urumqi 830011 , China.</Affiliation>
                    </AffiliationInfo>
                </Author>
                <Author ValidYN="Y">
                    <LastName>Yang</LastName>
                    <ForeName>Zhihua</ForeName>
                    <Initials>Z</Initials>
                    <Identifier Source="ORCID">http://orcid.org/0000-0001-9214-3612</Identifier>
                    <AffiliationInfo>
                        <Affiliation>CAS Key Laboratory of Functional Materials and Devices for Special Environments, Xinjiang Key Laboratory of Electronic Information Materials and Devices , Xinjiang Technical Institute of Physics &amp; Chemistry , 40-1 South Beijing Road , Urumqi 830011 , China.</Affiliation>
                    </AffiliationInfo>
                </Author>
            </AuthorList>
            <Language>eng</Language>
            <PublicationTypeList>
                <PublicationType UI="D016428">Journal Article</PublicationType>
            </PublicationTypeList>
            <ArticleDate DateType="Electronic">
                <Year>2019</Year>
                <Month>05</Month>
                <Day>23</Day>
            </ArticleDate>
        </Article>
        <MedlineJournalInfo>
            <Country>United States</Country>
            <MedlineTA>Inorg Chem</MedlineTA>
            <NlmUniqueID>0366543</NlmUniqueID>
            <ISSNLinking>0020-1669</ISSNLinking>
        </MedlineJournalInfo>
    </MedlineCitation>
    <PubmedData>
        <History>
            <PubMedPubDate PubStatus="entrez">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="pubmed">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
            <PubMedPubDate PubStatus="medline">
                <Year>2019</Year>
                <Month>5</Month>
                <Day>24</Day>
                <Hour>6</Hour>
                <Minute>0</Minute>
            </PubMedPubDate>
        </History>
        <PublicationStatus>aheadofprint</PublicationStatus>
        <ArticleIdList>
            <ArticleId IdType="pubmed">31120746</ArticleId>
            <ArticleId IdType="doi">10.1021/acs.inorgchem.8b03575</ArticleId>
        </ArticleIdList>
    </PubmedData>
</PubmedArticle>

</PubmedArticleSet>`;
